<?php
/**
 * Description of Fiskalizator
 *
 * @author korisnik
 */

class Fiskalizator 
{
    public $dirXMLDokumntata = '';
    public $datotekaOdgovora;
    public $datotekaGreske ='fiskal_errors.log';

    public $CisUrl = 'https://cistest.apis-it.hr:8449/FiskalizacijaServiceTest';
    public $certifikat = '';
    public $certLozinka = '';
    public $timeout = 5;
    //public $ca_cert = 'certificates/demo/ssl_cis.crt';
    public $ca_cert = '';
    //public $ca_cert = 'FinaRDCCA2015.crt';
    private $zki;
    public $trajanje = 0.0;
    public $spremaDokumente = false;

    private $raw_request;
    private $raw_response;
    private $errors = array();
 
    var $tns = 'http://www.apis-it.hr/fin/2012/types/f73';
    var $xsi='http://www.w3.org/2001/XMLSchema-instance';


    function __construct()
    {
        //$this->direktorijXMLRacuna='dobar dan';
         //echo $this->direktorijXMLRacuna . '   ';
    }
    

    function kreirajZahtjevRacuna(Racun $racun)
    {
        //$nazivXMLDok = $this->direktorijXMLRacuna . 'Racun' . $racun->oznPosPr . $racun->brOznRac . '.xml';
        $nazivXMLDok = 'Racun' . $racun->oznPosPr . $racun->brOznRac . '.xml';
        // PHP verzija s kojom radimo ima grešku u klasi xwriter 
        // funkcija openUri($nazivXMLDok) ne radi dobro ako u nazivu ima  direktorij
        if (!empty($this->dirXMLDokumntata))
        {
            $pwd = getcwd();
            chdir($this->dirXMLDokumntata);
        } 
        $noviXMLRacun = new XMLWriter();
        $noviXMLRacun->openUri($nazivXMLDok);

        $noviXMLRacun->startDocument('1.0','UTF-8');  
        $noviXMLRacun->setIndent(true);
        $noviXMLRacun->startElement("tns:RacunZahtjev");
        $noviXMLRacun->writeAttribute('xmlns:tns', $this->tns);
        $noviXMLRacun->writeAttribute('xmlns:xsi', $this->xsi);

        ///*
        $noviXMLRacun->startElement('tns:Zaglavlje');
        $noviXMLRacun->writeElement('tns:IdPoruke', $this->generirajUUID());
        $noviXMLRacun->writeElement('tns:DatumVrijeme', date('d.m.Y\TH:i:s'));
        $noviXMLRacun->endElement(); //Zaglavlje
        //*/

        $noviXMLRacun->startElement('tns:Racun');
        $noviXMLRacun->writeElement('tns:Oib', $racun->oib);
        $noviXMLRacun->writeElement('tns:USustPdv', $racun->uSustPdv);

        $d1=new DateTime($racun->datVrijeme);
        $noviXMLRacun->writeElement('tns:DatVrijeme', $d1->format('d.m.Y\TH:i:s'));
        $noviXMLRacun->writeElement('tns:OznSlijed', $racun->oznSlijed);
        $noviXMLRacun->startElement("tns:BrRac");

        $noviXMLRacun->writeElement('tns:BrOznRac', $racun->brOznRac);
        $noviXMLRacun->writeElement('tns:OznPosPr', $racun->oznPosPr);
        $noviXMLRacun->writeElement('tns:OznNapUr', $racun->oznNapUr);
        $noviXMLRacun->endElement(); //BrRac

        if(isset($racun->pdv))
        {
            $noviXMLRacun->startElement("tns:Pdv");
            foreach ($racun->pdv as $lpdv)
            {
                $noviXMLRacun->startElement('tns:Porez');
                $noviXMLRacun->writeElement('tns:Stopa', number_format($lpdv['Stopa'],2, '.', ''));
                $noviXMLRacun->writeElement('tns:Osnovica', number_format($lpdv['Osnovica'],2, '.', ''));
                $noviXMLRacun->writeElement('tns:Iznos', number_format($lpdv['Iznos'],2, '.', ''));
                $noviXMLRacun->endElement(); 
            }
            $noviXMLRacun->endElement();    
        }
        if(isset($racun->pnp))
        {
            $noviXMLRacun->startElement("tns:Pnp");
            foreach ($racun->pnp as $lpdv)
            {
                $noviXMLRacun->startElement('tns:Porez');
                $noviXMLRacun->writeElement('tns:Stopa', number_format($lpdv['Stopa'],2, '.', ''));
                $noviXMLRacun->writeElement('tns:Osnovica', number_format($lpdv['Osnovica'],2, '.', ''));
                $noviXMLRacun->writeElement('tns:Iznos', number_format($lpdv['Iznos'],2, '.', ''));
                $noviXMLRacun->endElement(); 
            }
            $noviXMLRacun->endElement();    
        }
        if(isset($racun->ostaliPor))
        {
            $noviXMLRacun->startElement("tns:OstaliPor");
            foreach ($racun->ostaliPor as $lop)
            {
                $noviXMLRacun->startElement('tns:Porez');
                $noviXMLRacun->writeElement('tns:Naziv', $lop['Naziv']);
                $noviXMLRacun->writeElement('tns:Stopa', number_format($lop['Stopa'],2, '.', ''));
                $noviXMLRacun->writeElement('tns:Osnovica', number_format($lop['Osnovica'],2, '.', ''));
                $noviXMLRacun->writeElement('tns:Iznos', number_format($lop['Iznos'],2, '.', ''));
                $noviXMLRacun->endElement(); 
            }
            $noviXMLRacun->endElement();    
        }
        ///*
        if ($racun->iznosOslobPdv>0)
            $noviXMLRacun->writeElement('tns:IznosOslobPdv', number_format($racun->iznosOslobPdv,2, '.', ''));
        if ($racun->iznosMarza>0)
            $noviXMLRacun->writeElement('tns:IznosMarza', number_format($racun->iznosMarza,2, '.', ''));
        if ($racun->iznosNePodlOpor>0)
            $noviXMLRacun->writeElement('tns:IznosNePodlOpor', number_format($racun->iznosNePodlOpor,2, '.', ''));
        //*/
        if(isset($racun->naknade))
        {
            $noviXMLRacun->startElement("tns:Naknade");
            foreach ($racun->naknade as $n)
            {
                $noviXMLRacun->startElement('tns:Naknada');
                $noviXMLRacun->writeElement('tns:NazivN', $n['Naziv']);
                $noviXMLRacun->writeElement('tns:IznosN', number_format($n['Iznos'],2, '.', ''));
                $noviXMLRacun->endElement(); 
            }
            $noviXMLRacun->endElement();    
        }

        $noviXMLRacun->writeElement('tns:IznosUkupno', number_format($racun->iznosUkupno, 2, '.', ''));

        $noviXMLRacun->writeElement('tns:NacinPlac', $racun->nacinPlac);
        $noviXMLRacun->writeElement('tns:OibOper', $racun->oibOper);
        
        if(trim($racun->postojeciZKI)!='')
            $noviXMLRacun->writeElement('tns:ZastKod', $racun->postojeciZKI);
        /*
        $noviXMLRacun->writeElement('tns:ZastKod', $this->zastitniKodIzracun( $this->certPath, //'fiskal 1.pfx', 
                $racun->lozinkaCert, 
                $racun->oib,
                $racun->datVrijeme, 
                $racun->brOznRac, 
                $racun->oznPosPr, 
                $racun->oznNapUr,
                $racun->iznosUkupno))
        */
        $noviXMLRacun->writeElement('tns:NakDost', $racun->nakDost);
        if ($racun->nakDost=='true')
        {
            $noviXMLRacun->writeElement('tns:ParagonBrRac', $racun->paragonBrRac);
            $noviXMLRacun->writeElement('tns:SpecNamj', $racun->specNamj);
        }


        $noviXMLRacun->endElement(); //racunZahtjev

        $noviXMLRacun->endDocument();
        $noviXMLRacun->flush();

        // PHP verzija s kojom radimo ima grešku u klasi xwriter 
        // funkcija openUri($nazivXMLDok) ne radi dobro ako u nazivu ima  direktorij
        if (!empty($this->dirXMLDokumntata))
        {
            chdir($pwd);
        } 
        return($this->dirXMLDokumntata.$nazivXMLDok);
    }

    function posaljiZahtjevPoslPr(PoslovniProstor $pp)
    {
        $ppNaziv = $this->kreirajZahtjevPoslPr($pp);
        return $this->posaljiZahtjev($ppNaziv);
    }

    function posaljiZahtjev($ppNaziv)
    {        
        $doc = new DOMDocument();
        $doc->load($ppNaziv);
        $this->errors = array();
        $this->datotekaOdgovora = '';
        $this->raw_response = '';
        $odgovor = $this->doRequest($doc);
        if(!$this->spremaDokumente)
            unlink($ppNaziv);
        else if ($odgovor != false ) 
            $this->datotekaOdgovora =$this->snimiOdgovor($ppNaziv, $odgovor);
        if ($errors = $this->getErrors() or $odgovor === false ) 
        {
            $this->saveErrors($doc);
            return false;
        }
        else 
        {
            return true;
        }  
    }

    function posaljiZahtjevRacuna(Racun $racun)
    {
        $ppNaziv = $this->kreirajZahtjevRacuna($racun);
        if($this->posaljiZahtjev($ppNaziv))
            return $this->getJIR($this->raw_response);
        else
            return false;
    }

    function snimiOdgovor($nazivZahtjeva, $odgovor)
    {
        $nazivOdgovor =  str_replace('.xml', 'Odgovor.xml', $nazivZahtjeva);
        $domOdgovor = new DOMDocument();
        $domOdgovor->preserveWhiteSpace = false;
        $domOdgovor->formatOutput = true;
        $domOdgovor->loadXML($odgovor);
        $domOdgovor->save($nazivOdgovor);
        return $nazivOdgovor;
    }   

    function kreirajZahtjevPoslPr(PoslovniProstor $pp)
    {
        //$nazivXMLDok=$this->direktorijXMLRacuna . 'PoslPr' . $pp->oznPoslProstora. ($pp->oznakaZatvaranja=='Z'? 'Z':''). '.xml';
        $nazivXMLDok='PoslPr' . $pp->oznPoslProstora. ($pp->oznakaZatvaranja=='Z'? 'Z':''). '.xml';
        // PHP verzija s kojom radimo ima grešku u klasi xwriter 
        // funkcija openUri($nazivXMLDok) ne radi dobro ako u nazivu ima  direktorij
        if (!empty($this->dirXMLDokumntata))
        {
            $pwd = getcwd();
            chdir($this->dirXMLDokumntata);
        } 
        $noviXMLPoslPr = new XMLWriter();
        //echo $this->direktorijXMLRacuna . 'Racun' . $this->racun['OznPosPr'] . $this->racun['BrOznRac'] .'.xml';
        $noviXMLPoslPr->openUri($nazivXMLDok);

        $noviXMLPoslPr->startDocument('1.0','UTF-8');  
        $noviXMLPoslPr->setIndent(true);
        $noviXMLPoslPr->startElement("tns:PoslovniProstorZahtjev");
        $noviXMLPoslPr->writeAttribute('xmlns:tns', $this->tns);
        //$noviXMLPoslPr->writeAttribute('xmlns:xsi', $this->xsi);

        // /*
        $noviXMLPoslPr->startElement('tns:Zaglavlje');
        $noviXMLPoslPr->writeElement('tns:IdPoruke', $this->generirajUUID());
        $noviXMLPoslPr->writeElement('tns:DatumVrijeme', date('d.m.Y\TH:i:s'));
        $noviXMLPoslPr->endElement(); //Zaglavlje
        // */

        $noviXMLPoslPr->startElement('tns:PoslovniProstor');
        $noviXMLPoslPr->writeElement('tns:Oib', $pp->oib);
        $noviXMLPoslPr->writeElement('tns:OznPoslProstora', $pp->oznPoslProstora);

        $noviXMLPoslPr->startElement('tns:AdresniPodatak');
        if (strlen(trim($pp->ulica.$pp->kucniBroj.$pp->kucniBrojDodatak.$pp->kucniBrojDodatak.$pp->naselje.$pp->opcina))>0)
        {
            $noviXMLPoslPr->startElement('tns:Adresa');
            if (strlen(trim($pp->ulica))>0)
                $noviXMLPoslPr->writeElement('tns:Ulica', $pp->ulica);
            if (strlen(trim($pp->kucniBroj))>0)
                $noviXMLPoslPr->writeElement('tns:KucniBroj', $pp->kucniBroj);
            if (strlen(trim($pp->kucniBrojDodatak))>0)
                $noviXMLPoslPr->writeElement('tns:BrojPoste', $pp->kucniBrojDodatak);
            if (strlen(trim($pp->brojPoste))>0)
                $noviXMLPoslPr->writeElement('tns:BrojPoste', $pp->brojPoste);
            if (strlen(trim($pp->naselje))>0)
                $noviXMLPoslPr->writeElement('tns:Naselje', $pp->naselje);
            if (strlen(trim($pp->opcina))>0)
                $noviXMLPoslPr->writeElement('tns:Opcina', $pp->opcina);
            $noviXMLPoslPr->endElement(); //Adresa
        }
        if (strlen(trim($pp->ostaliTipoviPP))>0)
            $noviXMLPoslPr->writeElement('tns:OstaliTipoviPP', $pp->ostaliTipoviPP);
        $noviXMLPoslPr->endElement(); //AdresniPodatak

        $noviXMLPoslPr->writeElement('tns:RadnoVrijeme', $pp->radnoVrijeme);
        $d1=new DateTime($pp->datumPocetkaPrimjene);
        $noviXMLPoslPr->writeElement('tns:DatumPocetkaPrimjene', $d1->format('d.m.Y'));
        //if ($pp->oznakaZatvaranja=='Z')
        if (!empty($pp->oznakaZatvaranja))
            $noviXMLPoslPr->writeElement('tns:OznakaZatvaranja', $pp->oznakaZatvaranja);
        if (strlen(trim($pp->specNamj))>0)
            $noviXMLPoslPr->writeElement('tns:SpecNamj', $pp->specNamj);


        $noviXMLPoslPr->endElement(); //PoslovniProstor

        $noviXMLPoslPr->endDocument();
        $noviXMLPoslPr->flush();
        if (!empty($this->dirXMLDokumntata))
        {
            chdir($pwd);
        } 
        return($this->dirXMLDokumntata.$nazivXMLDok);
    }
    /*
    private function writeDomEl(DOMDocument $doc, $s1, $s2)
    {
        $new = $doc->createElement($s1);
        $new->appendChild($doc->createTextNode($s2));
        return $new;
    }   
    */

function posaljiEcho($poruka)
{ 
/*
$echoDok  =<<<EOD
<?xml version="1.0" encoding="UTF-8"?>
<tns:EchoRequest
xmlns:tns="http://www.apis-it.hr/fin/2012/types/f73"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://www.apis-it.hr/fin/2012/types/f73 FiskalizacijaSchema.xsd ">$poruka</tns:EchoRequest>
EOD;
*/

$echoDok  =<<<EOD
<?xml version="1.0" encoding="UTF-8"?>
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/">
<soapenv:Body>
<tns:EchoRequest xmlns:tns="http://www.apis-it.hr/fin/2012/types/f73"
 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
 xsi:schemaLocation="http://www.apisit.hr/fin/2012/types/f73 FiskalizacijaSchema.xsd ">'   .$poruka
</tns:EchoRequest>
</soapenv:Body>
</soapenv:Envelope>
EOD;

    //echo 'dokument: '. $echoDok ;
    $domEchoPoruka = new DOMDocument();
    $domEchoPoruka->loadXML(stripslashes($echoDok));
    $domEchoPoruka->save('odgovor.xml');
    $odgovor = $this->doRequest($domEchoPoruka);
    if ($errors = $this->getErrors() or $response === false ) 
    {
         foreach ($errors as $error)
                    echo 'Error ==> "'.htmlspecialchars($error).'"<br>';
    }
    else 
    {
            echo 'Zahtjev uspješno izvršen.<br>';
    }  
    var_dump($odgovor);
}

    function zastitniKodIzracun($certifikat, $lozinka, $oib, $datetime, $brrac, $ozn_posl, $ozn_napl, $ukup_izn_rac)
    {
        $p12cert = array();
        $fd = fopen($certifikat, 'r');
        $p12buf = fread($fd, filesize($certifikat));
        fclose($fd);
        $private_key='';

        ///*
        if (openssl_pkcs12_read($p12buf, $p12cert, $lozinka))
        {	
                $private_key = $p12cert['pkey'];	
        }
        else
        {
                echo 'Nemogu otvoriti certifikat! Povjerite lozinku  \n';
                while ($msg = openssl_error_string())
                    echo ' Greška: '.$msg . "    <br/>";                
                exit();
        }

            //*/
        openssl_pkcs12_read($p12buf, $p12cert, $lozinka);
        $private_key = $p12cert['pkey'];
        if($private_key == FALSE) {
            echo '<br/>PRIVATE KEY IS FALSE<br/>';
        } 
        $medjurezultat = $oib;
        $datVrij = 	date('d.m.Y H:i:s', strtotime($datetime));
        $medjurezultat .= $datVrij;
        $medjurezultat .= $brrac;
        $medjurezultat .= $ozn_posl;
        $medjurezultat .= $ozn_napl;
        $medjurezultat .= $ukup_izn_rac;
        $signature = "";

        //
        openssl_sign($medjurezultat, $signature, $private_key, OPENSSL_ALGO_SHA1);
        //openssl_free_key($private_key);
        return md5($signature);

    }


    private function saveErrors(DOMDocument $doc)
    {
        if(empty($this->datotekaGreske)) return;

        if (!($fp = fopen($this->datotekaGreske, 'a'))) 
        {
            echo 'Nemogu otvoriti log datoteku:'.$this->datotekaGreske.'<br>';
            return;
        }
        fprintf($fp, "---------- Vrijeme nastanka greške: %s\nGreška: \nTrajanje veze: %f\n", date('d.m.Y H:i:s'), $this->trajanje);

        $errors = $this->getErrors() ;
        foreach ($errors as $error)
        fprintf ($fp, htmlspecialchars($error)."\n");

        fprintf($fp, "Dukument zahtjeva:\n");
        $doc->preserveWhiteSpace = false;
        $doc->formatOutput = true;
        fprintf($fp, $doc->saveXML());
        fclose($fp);

    }   

    public function getJIR($xml) 
    {
        $obj = simplexml_load_string($xml);
        //if (!empty($obj))
        if ($response = $obj->xpath("//*[local-name() = 'Jir']")) 
                return (string)$response[0];
        return false;
    }

    public function getZKI()
    {
        if ($this->zki) 
            return $this->zki;
        if(empty($this->raw_request))
            return false;
        
        $obj = simplexml_load_string($this->raw_request);
        
        //if (!empty($obj))
        try {
            if ($response = $obj->xpath("//*[local-name() = 'ZastKod']") ) 
                return (string)$response[0];
            
        } catch (Exception $exc) {
            ; //echo $exc->getTraceAsString();
        }

        return false;
    }

    public function getRequest() 
    {
            return $this->raw_request;
    }

    public function getResponse() {
            return $this->raw_response;
    }

    public function getErrors() {
            return $this->errors;
    }

    public function setProductionMode(){
            $this->CisUrl = 'https://cis.porezna-uprava.hr:8449/FiskalizacijaService';
            //$this->ca_cert = 'certificates/production/ssl_cis.crt';
            $this->tns = 'http://www.apis-it.hr/fin/2012/types/f73';
    }

    private function dodajSoapEnvelope($xml) 
    {
        $orig_header = '<?xml version="1.0" encoding="UTF-8"?>';

        $soapHeader = '<?xml version="1.0" encoding="UTF-8"?>
                <SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:tns="http://www.apis-it.hr/fin/2012/types/f73"><SOAP-ENV:Body>';

        $soapFooter = '</SOAP-ENV:Body></SOAP-ENV:Envelope>';

        if (strpos($xml, $orig_header) === false)
        {
                $this->errors[] = 'CODE5: Pogrešna XML deklaracija. Potrebno je: <?xml version="1.0" encoding="UTF-8"?>';
                return false;
        }

        $xml = str_replace($orig_header, $soapHeader, $xml);

        $xml .= $soapFooter;

        return $xml;
    }



    public function doRequest(DOMDocument $doc)
    {
            $trajanje = 0.0;
            if (!$this->ucitajCertifikat()) 
                return false;
            //$this->appendHeaderToRequest($doc);
            if (!$signed_xml = $this->potpisiXML($doc)) 
                return false;

            //if (!$this->raw_request = Fiskalizator::dodajSoapEnvelope($signed_xml)) 
            if (!$this->raw_request = $this->dodajSoapEnvelope($signed_xml)) 
                return false;

            return $this->makeServiceCall();
    }

    private function makeServiceCall()
    {

        $conn = curl_init();

        if(trim($this->ca_cert)!='')
            $settings = array(
                CURLOPT_URL		=> $this->CisUrl ,
                CURLOPT_CONNECTTIMEOUT	=> $this->timeout,
                CURLOPT_TIMEOUT 	=> $this->timeout,
                CURLOPT_RETURNTRANSFER	=> true,
                CURLOPT_POST 		=> true,
                CURLOPT_POSTFIELDS 	=> $this->raw_request,

                // secure this!
                CURLOPT_SSL_VERIFYHOST  => 2,
                CURLOPT_SSL_VERIFYPEER 	=> true,
                CURLOPT_CAINFO 		=> dirname(__FILE__) .'/'.$this->ca_cert,
                //CURLOPT_CAINFO 		=> $this->ca_cert,
            );
        else
            // pozivanje bez ssl certifikata
            $settings = array(
                CURLOPT_URL		=> $this->CisUrl ,
                CURLOPT_CONNECTTIMEOUT	=> $this->timeout,
                CURLOPT_TIMEOUT 	=> $this->timeout,
                CURLOPT_RETURNTRANSFER	=> true,
                CURLOPT_SSL_VERIFYPEER 	=> false,
                CURLOPT_POST 		=> true,
                //CURLOPT_POSTFIELDS 	=> $soapMessage
                CURLOPT_POSTFIELDS 	=> $this->raw_request
            );

        curl_setopt_array($conn, $settings);
        //curl_setopt($conn, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($conn, CURLOPT_SSL_VERIFYPEER, 0);

        $pocetak = microtime(true);
        if ($this->raw_response = curl_exec($conn) ) 
        {
            $this->trajanje = microtime(true) - $pocetak;
            if ($this->checkResponseForErrors() === false) 
                    return $this->raw_response;

            return $this->raw_response;

        } 
        else 
        {

            $this->errors[] = 'CODECURL: '.curl_error($conn);
            $this->trajanje = microtime(true) - $pocetak;
            return false;
        }
    }


    private function potpisiXML(DOMDocument $doc)
    {
        $rootElem = $doc->documentElement;
        $rootElem->setAttribute('Id', 'signXmlId');

        #dodaje/postavlja zastitni kod ako se radi o RacunZahtjev
        $this->dodajZKIRacunu($doc);

        #calc digest here, so we dont have to specify what are we using to calculate digest
        $canonical = $doc->C14N(true, false);
        $signatureDigest = base64_encode(hash('sha1', $canonical, true));

        $this->DodajSignaturu($doc,$signatureDigest);

        $signedInfoNode = $doc->getElementsByTagName('SignedInfo')->item(0);
        $sigNodeXMLString = $signedInfoNode->C14N(true);

        if (! openssl_sign ($sigNodeXMLString, $signature, $this->certPrivateKey, OPENSSL_ALGO_SHA1)) 
        {
            $this->errors[] = 'CODE6: Neuspjelo potpisivanje XML dokumenta.';
            return false;
        }

        $signatureValue = base64_encode($signature);

        $sigNode = $doc->getElementsByTagName('Signature')->item(0);
        $sigNode->appendChild(new DOMElement('SignatureValue', $signatureValue));

        $this->addX509Node($doc);

        return $doc->saveXML();

    }


    private function addX509Node($doc) 
    {

        $sigNode = $doc->getElementsByTagName('Signature')->item(0);

        $keyInfoNode = $sigNode->appendChild(new DOMElement('KeyInfo'));
        $x509DataNode = $keyInfoNode->appendChild(new DOMElement('X509Data'));

        $x509DataNode->appendChild(new DOMElement('X509Certificate', $this->certPureText));
        $x509IssuerSerialNode = $x509DataNode->appendChild(new DOMElement('X509IssuerSerial'));
        $x509IssuerSerialNode->appendChild(new DOMElement('X509IssuerName',$this->certIssuerName));
        $x509IssuerSerialNode->appendChild(new DOMElement('X509SerialNumber',$this->certSerialNumber));
    }


    private function ucitajCertifikat() 
    {
        if (!is_file($this->certifikat))
        {
                $this->errors[] = 'CODE3: Datoteka cerifikata ne postoji: '.$this->certifikat.'!';
                return;
        }

        $certText = file_get_contents($this->certifikat);
        openssl_pkcs12_read($certText, $cert, $this->certLozinka);

        if (!$cert)
        {
            $this->errors[] = 'CODE4: Ne mogu obraditi certificat! (Pogrešna lozinka ili neispavan cerzifikat)';
            return false;
        }

        $this->certPrivateKey = $cert['pkey'];

        $certData = openssl_x509_parse($cert['cert']);
        $pureCertText = $cert['cert'];
        $beginCertText = '-----BEGIN CERTIFICATE-----';
        $endCertText = '-----END CERTIFICATE-----';
        $pureCertText = str_replace($beginCertText, '', $pureCertText);

        $this->certPureText = str_replace($endCertText, '', $pureCertText);

        $issuerVals = array();
        foreach($certData['issuer'] as $key => $val)
                $issuerVals[] = $key.'='.$val;

        $this->certIssuerName = implode(',',$issuerVals);
        if(substr($certData['serialNumber'], 0,2)=='0x')
            $this->certSerialNumber = bigHex2Dec($certData['serialNumber']);
        else
            $this->certSerialNumber = $certData['serialNumber'];

        return true;
    }


    private function DodajSignaturu(DOMDocument $doc,$signatureDigest)
    {
        $rootElem = $doc->documentElement;

        $sigNode = $rootElem->appendChild(new DOMElement('Signature'));
        $sigNode->setAttribute('xmlns','http://www.w3.org/2000/09/xmldsig#');

        $signedInfoNode = $sigNode->appendChild(new DOMElement('SignedInfo'));
        $signedInfoNode->setAttribute('xmlns','http://www.w3.org/2000/09/xmldsig#');

        $canonMethodNode = $signedInfoNode->appendChild(new DOMElement('CanonicalizationMethod'));
        $canonMethodNode->setAttribute('Algorithm','http://www.w3.org/2001/10/xml-exc-c14n#');

        $signatureMethodNode = $signedInfoNode->appendChild(new DOMElement('SignatureMethod'));
        $signatureMethodNode->setAttribute('Algorithm','http://www.w3.org/2000/09/xmldsig#rsa-sha1');

        $referenceNode = $signedInfoNode->appendChild(new DOMElement('Reference'));
        $referenceNode->setAttribute('URI','#signXmlId');

        $transformsNode = $referenceNode->appendChild(new DOMElement('Transforms'));
        $tr1Node = $transformsNode->appendChild(new DOMElement('Transform'));
        $tr2Node = $transformsNode->appendChild(new DOMElement('Transform'));
        $tr1Node->setAttribute('Algorithm','http://www.w3.org/2000/09/xmldsig#enveloped-signature');
        $tr2Node->setAttribute('Algorithm', 'http://www.w3.org/2001/10/xml-exc-c14n#');

        $digestMethodNode = $referenceNode->appendChild(new DOMElement('DigestMethod'));
        $digestMethodNode->setAttribute('Algorithm','http://www.w3.org/2000/09/xmldsig#sha1');

        $digestValueNode = $referenceNode->appendChild(new DOMElement('DigestValue',$signatureDigest));
    }


    private function checkResponseForErrors() 
    {

        $obj =  $this->getResponseSimpleXMLObj();

        if ($e = $obj->xpath('//faultstring')) {
                $this->errors[] = 'CODE0: '.(string)$e[0];
                return;
        }

        if ( !$obj->xpath("//*[local-name() = 'Signature']") ) {
                $this->errors[] = 'CODE1: Signatura nije nađena u odgovoru.';
                return;
        }

        if ($e = $obj->xpath("//*[local-name() = 'PorukaGreske']") ) {
                $this->errors[] = 'CODE2: '.(string)$e[0];
                return;
        }

        $this->doesRequestId_match_responseId();
    }

    private function getResponseSimpleXMLObj() 
    {
            //if (!isset($this->responseSimpleXmlObj)) {
                    $this->responseSimpleXmlObj = simplexml_load_string($this->raw_response);
            //}
            return $this->responseSimpleXmlObj;
    }

    private function getRequestSimpleXMLObj() 
    {
            //if (!isset($this->requestSimpleXmlObj)) {
                    $this->requestSimpleXmlObj = simplexml_load_string($this->raw_request);
            //}
            return $this->requestSimpleXmlObj;
    }

    private function dodajZKIRacunu($doc)
    {
        $prefix =  $doc->documentElement->prefix;

        //samo za račun
        if ($doc->documentElement->tagName !== "{$prefix}:RacunZahtjev"){
                return false;
        }

        //ako postoji ne treba ga dodati
        if ($doc->getElementsByTagName('ZastKod')->item(0)){
                return false;
        }

        $zki = $this->racunajZKI($doc);

        $invoice = $doc->getElementsByTagName('Racun')->item(0);

        $NakDost = $doc->getElementsByTagName('NakDost')->item(0);

        $ProtectionCodeNode = new DOMElement("{$prefix}:ZastKod", $zki, $doc->documentElement->namespaceURI);
        $invoice->insertBefore($ProtectionCodeNode, $NakDost);
    }


    private function racunajZKI($doc)
    {
        $nodes = array('Oib','DatVrijeme','BrOznRac','OznPosPr','OznNapUr','IznosUkupno');
        $vals = array();
        foreach ($nodes as $node){
                $vals[$node] = $doc->getElementsByTagName($node)->item(0)->nodeValue;
        }

        $vals['DatVrijeme'] = str_replace('T', ' ', $vals['DatVrijeme']);
        $temp = implode('', $vals);

        if (! openssl_sign ($temp, $out, $this->certPrivateKey, OPENSSL_ALGO_SHA1)) 
        {
            $this->errors[] = 'CODE7: Neuspjelo izračunavanje zaštitnog koda - "ZastitniKod".';
            return false;
        }
        $this->zki = md5($out);
        return $this->zki;

    }
    /*
    private function appendHeaderToRequest($doc) {

            $prefix =  $doc->documentElement->prefix;

            $dateTime = date('d.m.Y').'T'.date('H:i:s');

            $header = new DOMElement("{$prefix}:Zaglavlje", '', $doc->documentElement->namespaceURI);
            $req_dateTime = new DOMElement("{$prefix}:DatumVrijeme", $dateTime, $doc->documentElement->namespaceURI);
            $req_UUID = new DOMElement("{$prefix}:IdPoruke", $this->generateUUID(), $doc->documentElement->namespaceURI);

            $refElem = $doc->documentElement->firstChild;

            $doc->documentElement->insertBefore($header, $refElem);

            $header->appendChild($req_UUID);
            $header->appendChild($req_dateTime);

    }
    */
    private function generirajUUID() 
    {

        return sprintf( '%04x%04x-%04x-%04x-%04x-%04x%04x%04x',
            mt_rand( 0, 0xffff ), mt_rand( 0, 0xffff ), mt_rand( 0, 0xffff ),
            mt_rand( 0, 0x0fff ) | 0x4000,
            mt_rand( 0, 0x3fff ) | 0x8000,
            mt_rand( 0, 0xffff ), mt_rand( 0, 0xffff ), mt_rand( 0, 0xffff ) );
    }

    private function doesRequestId_match_responseId()
    {
        $res = $this->getResponseSimpleXMLObj();
        $req = $this->getRequestSimpleXMLObj();

        if ( ! $reqId = $req->xpath("//*[local-name() = 'IdPoruke']") ) {
                $this->errors[] = 'CODE8: MessageId "IdPoruke" not found in request';
                return false;
        } else {
                $reqId = (string)$reqId[0];
        }

        if ( ! $resId = $res->xpath("//*[local-name() = 'IdPoruke']") ) {
                $this->errors[] = 'CODE8: MessageId "IdPoruke" not found in response';
                return false;
        } else {
                $resId = (string)$resId[0];
        }

        if ($reqId !== $resId) {
                $this->errors[] = 'CODE8: MessageId in request is not same as MessageId in response.';
                return false;
        }
        return true;
    }

   
}


class PoslovniProstor
{
    var $oib ='';
    var $oznPoslProstora ='';
    var $ulica ='';
    var $kucniBroj ='';
    var $kucniBrojDodatak ='';
    var $brojPoste ='';
    var $naselje ='';
    var $opcina ='';
    var $ostaliTipoviPP ='';
    var $radnoVrijeme ='';
    var $datumPocetkaPrimjene ='';
    var $specNamj ='';
    var $oznakaZatvaranja ='';
}

class Racun
{
    var 
    $oib ='',      
    $uSustPdv = '',
    $datVrijeme = '',
    $oznSlijed = '',
    $brOznRac = '',
    $oznPosPr ='', 
    $oznNapUr = '',
    $iznosOslobPdv = 0,
    $iznosMarza = 0,
    $iznosNePodlOpor = 0,
    $iznosUkupno = 0,
    $nacinPlac = '',
    $oibOper = '',
    $nakDost = '',
    $paragonBrRac = '',
    $specNamj = '';
    var $pnp; // = array();
        //= array ( array ('Stopa' => 3, 'Osnovica' => 10, 'Iznos' => 0.3));
    var $ostaliPor; // = array() ;
        //= array (array ('Naziv' => 'Porez na luksuz', 'Stopa' => 25, 'Osnovica' => 100, 'Iznos' => 25));
    var $naknade; // = array();
        //= array (array ('Naziv' => 'Povratna naknada', 'Iznos' => 45.37));
    var $pdv; // = array();
       // = array ( array ('Stopa' => 25.0, 'Osnovica' => 100.0, 'Iznos' => 25.0),
         //   array ('Stopa' => 7.0, 'Osnovica' => 100.0, 'Iznos' => 7.0));
    var $postojeciZKI = '';
    
    function dodajPdv($stopa, $osnovica, $iznos)
    {
        $this->pdv[] =  array ('Stopa' => $stopa, 'Osnovica' => $osnovica, 'Iznos' => $iznos);
    }
           
    function dodajPnp($stopa, $osnovica, $iznos)
    {
        $this->pnp[] =  array ('Stopa' => $stopa, 'Osnovica' => $osnovica, 'Iznos' => $iznos);
        
    }

    function dodajOstaliPor($naziv, $stopa, $osnovica, $iznos)
    {
         $this->ostaliPor[] =  array ('Naziv' => $naziv, 'Stopa' => $stopa, 'Osnovica' => $osnovica, 'Iznos' => $iznos);
    }

    function dodajNaknadu($naziv, $iznos)
    {
        $this->naknade[] =  array ('Naziv' => $naziv, 'Iznos' => $iznos);       
    }
    
}

function bigHex2Dec($hex) {
    if($hex=='==0x')
        return 0;
    if(strlen($hex) == 1) {
        return hexdec($hex);
    } else {
        $preostalo = substr($hex, 0, -1);
        $zadnjaZnamenka = substr($hex, -1);
        return bcadd(bcmul(16, bigHex2Dec($preostalo)), hexdec($zadnjaZnamenka));
    }
}

?>
