
-- create the tables for the database

CREATE TABLE maticna_robe (
  kodRobe           CHAR(16)       NOT NULL,
  nazivRobe         VARCHAR(100)   NOT NULL, 
  jedinicaMjere     CHAR(3) NOT NULL,
  cijena            DECIMAL(11,3)  NOT NULL,
  popust            DECIMAL(4,2) NOT NULL,  
  kodGrupe          VARCHAR(13) NOT NULL,
  poreznaGrupa      VARCHAR(2) DEFAULT "A" NOT NULL,
  minZaliha         DECIMAL(11,3)  NOT NULL,
  EANkod            VARCHAR(13) DEFAULT " ",
  brutoTezina       DECIMAL(8,2) DEFAULT 0.00,
  netoTezina        DECIMAL(8,2) DEFAULT 0.00,
  zemljaPorijekla   INT  DEFAULT 0,
  zemljaUvoznik     INT DEFAULT 0,
  proOzRobe         VARCHAR(40)	NOT NULL,
  sklopPoKatalogu   VARCHAR(40) DEFAULT " ",
  stavkaSklopa      VARCHAR(20) DEFAULT " ",
  kodProizvodjaca   VARCHAR(13) DEFAULT " ",
  povratnaNaknada   DECIMAL(3,1) DEFAULT 0,
  robaUsluga        CHAR(1) DEFAULT "R" NOT NULL,
  prikazStanja      CHAR(1) DEFAULT "P" NOT NULL,
  opis              TEXT  NOT NULL, 
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (kodRobe), 
  INDEX poKoduGrupeInazivu(kodGrupe, nazivRobe), 
  INDEX poKoduGrupeIcijeni(kodGrupe, cijena),
  UNIQUE INDEX poProOzRobe (proOzRobe)
);


