<?php
function get_jedinice_mjere() {
    global $db;
    $query = 'SELECT * FROM jedinice_mjere'; 
	try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_jedinicu_mjere($kodJMJ) {
    global $db;
    $query = '
        SELECT *
        FROM jedinice_mjere
        WHERE kodJMJ = :kodJMJ';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodJMJ', $kodJMJ);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}


function add_jedinice_mjere($slog) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = 'INSERT INTO jedinice_mjere
                 (kodJMJ, nazivJMJ, datumOtvaranja, tkoJeIzmjenio)
              VALUES
                 (:kodJMJ, :nazivJMJ, NOW(), :email_user )';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodJMJ', $slog['kodJMJ']);
        $statement->bindValue(':nazivJMJ', $slog['nazivJMJ']);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

        // Get the last product ID that was automatically generated
       // $kodGrupe_ = $db->lastInsertId();
        return $slog['kodJMJ'];
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function update_jedinice_mjere($slog)  {
    global $db;
	$email_user = $_SESSION['admin']['email'];
    $query = '
        UPDATE jedinice_mjere
        SET nazivJMJ = :nazivJMJ,
            datumIzmjene = NOW(),
            tkoJeIzmjenio = :email_user
        WHERE kodJMJ = :kodJMJ';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodJMJ', $slog['kodJMJ']);
        $statement->bindValue(':nazivJMJ', $slog['nazivJMJ']);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function delete_jedinice_mjere($kodJMJ) {
    global $db;
    $query = 'DELETE FROM jedinice_mjere WHERE kodJMJ = :kodJMJ';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodJMJ', $kodJMJ);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

?>