<?php
function get_zemlje() {
    global $db;
    $query = 'SELECT * FROM zemlje'; 
	try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_zemlja($zemlja) {
    global $db;
    $query = '
        SELECT *
        FROM zemlje
        WHERE zemlja = :zemlja';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':zemlja', $zemlja);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function add_zemlje($slog) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = '
        INSERT INTO zemlje
        (
            zemlja,
            zemljaC2, 
            zemljaB3,
            nazivZemljeHR,
            nazivZemljeEN,  
            oznakaValute,  
            autoOznakaZemlje, 
            datumOtvaranja, 
            tkoJeIzmjenio
        )
        VALUES
        (
            :zemlja,
            :zemljaC2, 
            :zemljaB3,
            :nazivZemljeHR,
            :nazivZemljeEN,  
            :oznakaValute,  
            :autoOznakaZemlje, 
            NOW(), 
            :email_user 
        )';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':zemlja', $slog['zemlja']);
        if(trim($slog['zemljaB3'])=='')
            $statement->bindValue(':zemljaB3', null, PDO::PARAM_NULL);
        else   
            $statement->bindValue(':zemljaB3', $slog['zemljaB3']);
        $statement->bindValue(':zemljaC2', $slog['zemljaC2']);
        $statement->bindValue(':nazivZemljeHR', $slog['nazivZemljeHR']);
        $statement->bindValue(':nazivZemljeEN', $slog['nazivZemljeEN']);
        $statement->bindValue(':oznakaValute', $slog['oznakaValute']);
        $statement->bindValue(':autoOznakaZemlje', $slog['autoOznakaZemlje']);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

  
        return $slog['zemlja'];
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function update_zemlje($slog)  {
    global $db;
	$email_user = $_SESSION['admin']['email'];
    $query = '
        UPDATE zemlje
        SET
            zemljaC2 = :zemljaC2, 
            zemljaB3 = :zemljaB3,
            nazivZemljeHR = :nazivZemljeHR,
            nazivZemljeEN = :nazivZemljeEN,  
            oznakaValute = :oznakaValute,  
            autoOznakaZemlje = :autoOznakaZemlje, 
            datumIzmjene = NOW(),
            tkoJeIzmjenio = :email_user
        WHERE zemlja = :zemlja';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':zemlja', $slog['zemlja']);
        if(trim($slog['zemljaB3'])=='')
            $statement->bindValue(':zemljaB3', null, PDO::PARAM_NULL);
        else   
            $statement->bindValue(':zemljaB3', $slog['zemljaB3']);
        $statement->bindValue(':zemljaC2', $slog['zemljaC2']);
        $statement->bindValue(':nazivZemljeHR', $slog['nazivZemljeHR']);
        $statement->bindValue(':nazivZemljeEN', $slog['nazivZemljeEN']);
        $statement->bindValue(':oznakaValute', $slog['oznakaValute']);
        $statement->bindValue(':autoOznakaZemlje', $slog['autoOznakaZemlje']);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function delete_zemlje($zemlja) {
    global $db;
    $query = 'DELETE FROM zemlje WHERE zemlja = :zemlja';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':zemlja', $zemlja);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
?>