﻿/* razlike salda chaky mika Unešena su salda korekcijska temeljnica 12 Usklađenje ali su za 2200 unešena salda pogrešnim predznakom
npr. dobavljač Danici ima saldo 60.294,47 a treba biti -60294,47
Unšena je korekcijska stavka pod temeljnicu 12
Br.dokumenta       Duguje     Potražuje
UsklađenjeDanic    119664,14      0
Da bi dobili saldo -60294,47    
moramo dugovno umanjiti za 2x60294,47 = 122588,94 ili povećati potražno za toliko
UsklađejnjeDanic   Duguje     Potražuje
                  -2924,80       0
ako je trenutni saldo nula ne krigira se to je ok
 */
CREATE TABLE salda (  
  kodPartnera char(13) NOT NULL, 
  PRIMARY KEY (kodPartnera)
) DEFAULT CHARSET=utf8;

/* otvaranje praznih slogova u salda iz gk_stavke */
INSERT INTO salda 
SELECT DISTINCT kodPartnera FROM gk_stavke 
WHERE konto='2200'
;

ALTER TABLE salda
ADD saldo decimal(11,2) default 0 after kodPartnera;

update salda as s
inner join 
(
   select kodPartnera, (SUM(iznosDug) - SUM(iznosPot)) as saldo from gk_stavke
   where konto = '2200'
   group by kodPartnera 
) as sume
on sume.kodPartnera = s.kodPartnera  
SET s.saldo = sume.saldo; 

UPDATE gk_stavke as g
inner join salda as s on s.kodPartnera = g.kodPartnera
set g.iznosDug = g.iznosDug - (2 * s.saldo)
where g.konto = '2200' and g.brojTemeljnice = 12 and g.iznosDug <> 0 and s.saldo <> 0
and g.kodPartnera <> '867';

UPDATE gk_stavke as g
inner join salda as s on s.kodPartnera = g.kodPartnera
set g.iznosPot = g.iznosPot - (2 * s.saldo)
where g.konto = '2200' and g.brojTemeljnice = 12 and g.iznosPot <> 0 and s.saldo <> 0
and g.kodPartnera <> '867'
;