<?php
function add_primici_po_obracunu(&$slog) {
    global $db;
	$email_user = $_SESSION['admin']['email'];
    $query = " 
        INSERT INTO  primici_po_obracunu 
        (
           kodRadnika, godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, vrstaJOPPDizvjesca, 
           brojStavke, vrstaPrimitka, datumOd, datumDo, sati, satnica, iznos, posto,
           datumOtvaranja, tkoJeIzmjenio
        ) 
	VALUES 
        (
           :kodRadnika, :godinaObracuna, :mjesecObracuna, :vrstaPlace, :verzijaPlace, :vrstaJOPPDizvjesca,  
           :brojStavke, :vrstaPrimitka, :datumOd, :datumDo, :sati, :satnica, :iznos, :posto,
           NOW(), :email_user
        )
        ";
    try {
        $slog['brojStavke'] = get_primici_zadnji_brojStavke($slog) + 1;
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnika', $slog['kodRadnika']);
        $statement->bindValue(':godinaObracuna', $slog['godinaObracuna']);
        $statement->bindValue(':mjesecObracuna', $slog['mjesecObracuna']);
        $statement->bindValue(':vrstaPlace', $slog['vrstaPlace']);
        $statement->bindValue(':verzijaPlace', $slog['verzijaPlace']);
        $statement->bindValue(':vrstaJOPPDizvjesca', $slog['vrstaJOPPDizvjesca']);
        $statement->bindValue(':brojStavke', $slog['brojStavke']);
        $statement->bindValue(':vrstaPrimitka', $slog['vrstaPrimitka']);
        $d = new DateTime($slog['datumOd']);
        $statement->bindValue(':datumOd', $d->format("Y-m-d"));
        $d = new DateTime($slog['datumDo']);
        $statement->bindValue(':datumDo', $d->format("Y-m-d"));
        $statement->bindValue(':sati', str_replace(',', '.', $slog['sati']));
        $statement->bindValue(':satnica', str_replace(',', '.', $slog['satnica']));
        $statement->bindValue(':iznos', str_replace(',', '.', $slog['iznos']));
        $statement->bindValue(':posto', $slog['posto']);
        $statement->bindValue(':email_user', $email_user); 
        $statement->execute();
        $statement->closeCursor();      
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function update_primici_po_obracunu($slog) {
    global $db;
	$email_user = $_SESSION['admin']['email'];
    $query = " 
        UPDATE primici_po_obracunu 
        SET
            vrstaPrimitka=:vrstaPrimitka, 
            datumOd=:datumOd, 
            datumDo=:datumDo, 
            sati=:sati, 
            satnica=:satnica,
            iznos=:iznos,
            posto=:posto,
            datumIzmjene = NOW(),
            tkoJeIzmjenio = :email_user
        WHERE kodRadnika=:kodRadnika AND godinaObracuna=:godinaObracuna AND mjesecObracuna=:mjesecObracuna
          AND vrstaPlace=:vrstaPlace AND verzijaPlace=:verzijaPlace AND vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca 
          AND brojStavke=:brojStavke 
        ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnika', $slog['kodRadnika']);
        $statement->bindValue(':godinaObracuna', $slog['godinaObracuna']);
        $statement->bindValue(':mjesecObracuna', $slog['mjesecObracuna']);
        $statement->bindValue(':vrstaPlace', $slog['vrstaPlace']);
        $statement->bindValue(':verzijaPlace', $slog['verzijaPlace']);
        $statement->bindValue(':vrstaJOPPDizvjesca', $slog['vrstaJOPPDizvjesca']);
        $statement->bindValue(':brojStavke', $slog['brojStavke']);
        $statement->bindValue(':vrstaPrimitka', $slog['vrstaPrimitka']);
        $d = new DateTime($slog['datumOd']);
        $statement->bindValue(':datumOd', $d->format("Y-m-d"));
        $d = new DateTime($slog['datumDo']);
        $statement->bindValue(':datumDo', $d->format("Y-m-d"));
        $statement->bindValue(':sati', str_replace(',', '.', $slog['sati']));
        $statement->bindValue(':satnica', str_replace(',', '.', $slog['satnica']));
        $statement->bindValue(':iznos', str_replace(',', '.', $slog['iznos']));
        $statement->bindValue(':posto', str_replace(',', '.', $slog['posto']));
        $statement->bindValue(':email_user', $email_user); 
        $statement->execute();
        $statement->closeCursor();      
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_primici_zadnji_brojStavke($slog) {
    global $db;
    $query = " 
        SELECT IFNULL(max(brojStavke),0) AS brojStavke
        FROM primici_po_obracunu 
        WHERE kodRadnika=:kodRadnika AND godinaObracuna=:godinaObracuna AND mjesecObracuna=:mjesecObracuna
          AND vrstaPlace=:vrstaPlace AND vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca AND verzijaPlace=:verzijaPlace  
        ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnika', $slog['kodRadnika']);
        $statement->bindValue(':godinaObracuna', $slog['godinaObracuna']);
        $statement->bindValue(':mjesecObracuna', $slog['mjesecObracuna']);
        $statement->bindValue(':vrstaPlace', $slog['vrstaPlace']);
        $statement->bindValue(':verzijaPlace', $slog['verzijaPlace']);
        $statement->bindValue(':vrstaJOPPDizvjesca', $slog['vrstaJOPPDizvjesca']);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result['brojStavke'];
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
}

function get_primici_po_obracunu($godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca, $kodRadnika='') {
    global $db;
    $query = " 
        SELECT p.*, r.imeIprezime, vpr.oporezivPrimitak, vpr.nazivPrimitka, vpl.nazivVrstePlace
        FROM primici_po_obracunu as p
        INNER JOIN maticna_radnika as r ON r.kodRadnika=p.kodRadnika 
        INNER JOIN vrste_primitaka_place AS vpr ON vpr.vrstaPrimitka=p.vrstaPrimitka
        INNER JOIN vrste_placa AS vpl ON vpl.vrstaPlace=p.vrstaPlace
        WHERE p.godinaObracuna=:godinaObracuna AND p.mjesecObracuna=:mjesecObracuna 
          AND p.vrstaPlace=:vrstaPlace AND trim(p.verzijaPlace)=trim(:verzijaPlace) AND vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca  
          AND (p.kodRadnika=:kodRadnika OR trim(:kodRadnika)='')
        ORDER BY p.godinaObracuna, p.mjesecObracuna, p.vrstaPlace, p.verzijaPlace, p.kodRadnika, brojStavke
        ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->bindValue(':godinaObracuna', $godinaObracuna);
        $statement->bindValue(':mjesecObracuna', $mjesecObracuna);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
}

function akoSuSamoNeoporeziviPrimici($godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca) {
    // samo neoporezivi primici na teret firme HZZO bolovanja ne ulaze
    global $db;
    $brojNeoporezivih['0'] = 0;
    $brojSvih['0'] = 0;
    $query = " 
        SELECT COUNT(*) as brojNeoporezivih, p.vrstaPrimitka
        FROM primici_po_obracunu as p      
        INNER JOIN vrste_primitaka_place AS vpr ON vpr.vrstaPrimitka=p.vrstaPrimitka
        WHERE p.godinaObracuna=:godinaObracuna AND p.mjesecObracuna=:mjesecObracuna 
          AND p.vrstaPlace=:vrstaPlace AND trim(p.verzijaPlace)=trim(:verzijaPlace)
          AND (p.vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca OR :vrstaJOPPDizvjesca='')
          AND vpr.oporezivPrimitak = 'N'  and vpr.naTeret IS NULL
        ";
    try {
        $statement = $db->prepare($query);     
        $statement->bindValue(':godinaObracuna', $godinaObracuna);
        $statement->bindValue(':mjesecObracuna', $mjesecObracuna);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->execute();
        $brojNeoporezivih = $statement->fetch();
        $statement->closeCursor();    
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
    $query = " 
        SELECT COUNT(*) as brojSvih
        FROM primici_po_obracunu as p      
        INNER JOIN vrste_primitaka_place AS vpr ON vpr.vrstaPrimitka=p.vrstaPrimitka
        WHERE p.godinaObracuna=:godinaObracuna AND p.mjesecObracuna=:mjesecObracuna 
          AND p.vrstaPlace=:vrstaPlace AND trim(p.verzijaPlace)=trim(:verzijaPlace)
          AND (p.vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca OR :vrstaJOPPDizvjesca='')
        ";
    try {
        $statement = $db->prepare($query);     
        $statement->bindValue(':godinaObracuna', $godinaObracuna);
        $statement->bindValue(':mjesecObracuna', $mjesecObracuna);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->execute();
        $brojSvih = $statement->fetch();
        $statement->closeCursor();    
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }  
    
    $result=array();
   
    if ($brojSvih['0'] == 0) {
  //      echo 'U odabranom obračunu NEMA primitaka ! ';
 //       exit;
    } else {
      if ($brojNeoporezivih['brojNeoporezivih'] == $brojSvih['brojSvih']) {
          $result['oporeziviNeoporezivi'] = 'samoNeoporezivi';
          $result['vrstaPrimitka'] = $brojNeoporezivih['vrstaPrimitka'];         
      } else {
          $result['oporeziviNeoporezivi'] = '';
          $result['vrstaPrimitka'] = '';
      }
    }
    return $result;
}



function pregledUnesenihPrimitaka($godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca, 
         $kodRadnika, $vrstaPrimitka='', $groupBy='poRadniku', $oporezivPrimitak='', $nazocnostNaPoslu='') {
    /* defaultno sumirano po radniku, inače sumiramo po vrsti primitka */  
    global $db;  
    $querySelectPoRadniku="
        SELECT r.imeIprezime, CONCAT(godinaObracuna,'/', mjesecObracuna,'/', vrstaPlace,'/', verzijaPlace,'/', vrstaJOPPDizvjesca) AS placa,  
        p.kodRadnika, p.vrstaPrimitka,
        SUM(TIMESTAMPDIFF(DAY, datumOd, datumDo)) AS dana, SUM(sati) AS sati, SUM(iznos) AS iznos,  r.OIB, r.bodovi, 
        godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, vrstaJOPPDizvjesca ";
    
    $querySelectPoVrstiPrimitka=" 
        SELECT  SUM(sati) AS sati, SUM(iznos) AS iznos, p.vrstaPrimitka, vp.* 
        ";
    
    $querySelectOstali=" 
        SELECT  SUM(sati) AS sati, SUM(iznos) AS iznos 
        ";
    
    $queryZajednicki="
        FROM primici_po_obracunu AS p
        INNER JOIN maticna_radnika AS r ON r.kodRadnika=p.kodRadnika
        INNER JOIN vrste_primitaka_place AS vp ON vp.vrstaPrimitka = p.vrstaPrimitka
        WHERE ( (godinaObracuna*100+mjesecObracuna) between (:godinaObracunaOd*100+:mjesecObracunaOd) AND (:godinaObracunaDo*100+:mjesecObracunaDo) )
         AND (vrstaPlace=:vrstaPlace OR :vrstaPlace='sve') 
         AND (verzijaPlace=:verzijaPlace OR :verzijaPlace='sve')
         AND (vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca OR :vrstaJOPPDizvjesca='')
         AND (p.kodRadnika=:kodRadnika OR :kodRadnika='')
         AND (p.vrstaPrimitka=:vrstaPrimitka OR :vrstaPrimitka='') 
         AND (vp.oporezivPrimitak=:oporezivPrimitak OR :oporezivPrimitak='')
         AND (vp.nazocnostNaPoslu=:nazocnostNaPoslu OR :nazocnostNaPoslu='') 
         ";       
     
        if ($groupBy == 'poRadniku') {
            $query = $querySelectPoRadniku . $queryZajednicki . " 
             GROUP BY r.imeIprezime, p.kodRadnika,godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, vrstaJOPPDizvjesca, p.vrstaPrimitka";            
        } elseif ($groupBy == 'poVrstiPrimitka') {
            $query = $querySelectPoVrstiPrimitka . $queryZajednicki . " GROUP BY p.vrstaPrimitka ";  
        } else {
            // zbroj svih primitaka skupa -sve što nije poRadniku i nije poVrstiPrimitka
            $query = $querySelectOstali . $queryZajednicki;
        }     
        
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':godinaObracunaOd', $godinaObracunaOd);
        $statement->bindValue(':mjesecObracunaOd', $mjesecObracunaOd);
        $statement->bindValue(':godinaObracunaDo', $godinaObracunaDo);
        $statement->bindValue(':mjesecObracunaDo', $mjesecObracunaDo);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->bindValue(':vrstaPrimitka', $vrstaPrimitka);
        $statement->bindValue(':groupBy', $groupBy);
        $statement->bindValue(':oporezivPrimitak', $oporezivPrimitak);
        $statement->bindValue(':nazocnostNaPoslu', $nazocnostNaPoslu);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        
        if ($groupBy != 'poRadniku') return $result;
            
        $trenutniRadnik=$trenutnaPlaca='';
        $i=0;
        $primici = array();
        foreach ($result as $primitak) {
            if($trenutniRadnik!=$primitak["kodRadnika"] || $trenutnaPlaca!=$primitak['placa']) {
                if(isset($trenutniSlog)) {
                    $primici[$i++]=$trenutniSlog;
                    unset($trenutniSlog);
                }
                $trenutniRadnik=$trenutniSlog['kodRadnika']=$primitak['kodRadnika'];
                $trenutnaPlaca=$trenutniSlog['placa']=$primitak['placa'];
                $trenutniSlog['godinaObracuna']=$primitak['godinaObracuna'];
                $trenutniSlog['mjesecObracuna']=$primitak['mjesecObracuna'];
                $trenutniSlog['vrstaPlace']=$primitak['vrstaPlace'];
                $trenutniSlog['verzijaPlace']=$primitak['verzijaPlace'];
                $trenutniSlog['vrstaJOPPDizvjesca']=$primitak['vrstaJOPPDizvjesca'];
                $trenutniSlog['imeIprezime']=$primitak['imeIprezime'];
                $trenutniSlog['OIB']=$primitak['OIB'];
                $trenutniSlog['bodovi']=$primitak['bodovi'];
                $trenutniSlog['bruto']=0;
                $trenutniSlog['ukupnoSati']=0;
            }
            $trenutniSlog[$primitak['vrstaPrimitka']]=$primitak['iznos'];
            $trenutniSlog[$primitak['vrstaPrimitka'].'_sati']=$primitak['sati'];
            $trenutniSlog['bruto']+=$primitak['iznos'];
            $trenutniSlog['ukupnoSati']+=$primitak['sati'];
        }
        if(isset($trenutniSlog)) 
           $primici[$i++]=$trenutniSlog;
        return $primici;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
}

function primiciPoKolonama($godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca, $kodRadnika, $vrstaPrimitka, $poUcestalosti=true) {
    global $db;
    if($poUcestalosti)
        $sort='ORDER BY COUNT(*) DESC';
    else 
        $sort='';
    $query = " 
        SELECT p.vrstaPrimitka, vp.`nazivPrimitka`, COUNT(p.vrstaPrimitka) AS ucestalost 
        FROM primici_po_obracunu as p
        INNER JOIN vrste_primitaka_place as vp ON vp.`vrstaPrimitka`=p.`vrstaPrimitka`
        WHERE godinaObracuna*100+mjesecObracuna between :godinaObracunaOd*100+:mjesecObracunaOd AND :godinaObracunaDo*100+:mjesecObracunaDo 
         AND (verzijaPlace=:verzijaPlace OR :verzijaPlace='sve')
         AND (p.kodRadnika=:kodRadnika OR :kodRadnika='')
         AND (vrstaPlace=:vrstaPlace OR :vrstaPlace='sve')
         AND (vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca OR :vrstaJOPPDizvjesca='')
         AND (p.vrstaPrimitka=:vrstaPrimitka OR :vrstaPrimitka='') 
        GROUP By vrstaPrimitka
        $sort
        ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':godinaObracunaOd', $godinaObracunaOd);
        $statement->bindValue(':mjesecObracunaOd', $mjesecObracunaOd);
        $statement->bindValue(':godinaObracunaDo', $godinaObracunaDo);
        $statement->bindValue(':mjesecObracunaDo', $mjesecObracunaDo);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->bindValue(':vrstaPrimitka', $vrstaPrimitka);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        // return $result;
        $kolonePrimitaka=array();
        foreach ($result as $primitak) {
           $kolonePrimitaka[$primitak['vrstaPrimitka']] =$primitak['nazivPrimitka'];
        }
        return $kolonePrimitaka;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
}

// --------------
function get_primitak($slog) {
    global $db;
    $query = " 
        SELECT p.*, r.imeIprezime, vpr.nazivPrimitka, vpl.nazivVrstePlace
        FROM primici_po_obracunu as p
        INNER JOIN maticna_radnika as r ON r.kodRadnika=p.kodRadnika 
        INNER JOIN vrste_primitaka_place AS vpr ON vpr.vrstaPrimitka=p.vrstaPrimitka
        INNER JOIN vrste_placa AS vpl ON vpl.vrstaPlace=p.vrstaPlace
        WHERE p.godinaObracuna=:godinaObracuna AND p.mjesecObracuna=:mjesecObracuna 
          AND p.vrstaPlace=:vrstaPlace AND p.verzijaPlace=:verzijaPlace
          AND p.vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca 
          AND p.kodRadnika=:kodRadnika AND p.brojStavke=:brojStavke 
        ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnika', $slog['kodRadnika']);
        $statement->bindValue(':godinaObracuna', $slog['godinaObracuna']);
        $statement->bindValue(':mjesecObracuna', $slog['mjesecObracuna']);
        $statement->bindValue(':vrstaPlace', $slog['vrstaPlace']);
        $statement->bindValue(':verzijaPlace', $slog['verzijaPlace']);
        $statement->bindValue(':vrstaJOPPDizvjesca', $slog['vrstaJOPPDizvjesca']);
        $statement->bindValue(':brojStavke', $slog['brojStavke']);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
}

function get_vrste_neoporezivih_primitaka() {
    global $db;
    $query = " 
        SELECT * from vrste_primitaka_place       
        WHERE oporezivPrimitak = 'N' and naTeret is NULL and aplikacija = 'OD'
        ";
    try {
        $statement = $db->prepare($query);        
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();     
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
}
function get_suma_primitaka_jedne_vrste($godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca, $kodRadnika, $vrstaPrimitka) {
    global $db;
    $query = " 
        SELECT ifnull(SUM(iznos),0) as iznos, ifnull(avg(posto),0) as posto
        FROM primici_po_obracunu   
        WHERE godinaObracuna=:godinaObracuna AND mjesecObracuna=:mjesecObracuna 
          AND vrstaPlace=:vrstaPlace AND verzijaPlace=:verzijaPlace  
          AND kodRadnika=:kodRadnika AND vrstaPrimitka=:vrstaPrimitka 
          AND vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca
        ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->bindValue(':godinaObracuna', $godinaObracuna);
        $statement->bindValue(':mjesecObracuna', $mjesecObracuna);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->bindValue(':vrstaPrimitka', $vrstaPrimitka);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
}

function get_primiciZadnjePlace() {
    global $db;
    $query = " 
        SELECT p.godinaObracuna, p.mjesecObracuna, p.vrstaPlace, p.verzijaPlace, p.vrstaJOPPDizvjesca, p.kodRadnika
        FROM primici_po_obracunu as p
        ORDER BY p.godinaObracuna DESC, p.mjesecObracuna DESC, p.vrstaPlace DESC, p.verzijaPlace DESC, p.vrstaJOPPDizvjesca DESC, p.kodRadnika ASC
        LIMIT 1
        ";
    try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
}
function delete_primici_po_obracunu($slog) {
    global $db;
	$email_user = $_SESSION['admin']['email'];
    $query = " 
        DELETE FROM primici_po_obracunu 
        WHERE kodRadnika=:kodRadnika AND godinaObracuna=:godinaObracuna AND mjesecObracuna=:mjesecObracuna
          AND vrstaPlace=:vrstaPlace AND verzijaPlace=:verzijaPlace AND vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca AND brojStavke=:brojStavke 
        ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnika', $slog['kodRadnika']);
        $statement->bindValue(':godinaObracuna', $slog['godinaObracuna']);
        $statement->bindValue(':mjesecObracuna', $slog['mjesecObracuna']);
        $statement->bindValue(':vrstaPlace', $slog['vrstaPlace']);
        $statement->bindValue(':verzijaPlace', $slog['verzijaPlace']);
        $statement->bindValue(':godinaObracuna', $slog['godinaObracuna']);
        $statement->bindValue(':brojStavke', $slog['brojStavke']);
        $statement->bindValue(':vrstaJOPPDizvjesca', $slog['vrstaJOPPDizvjesca']);
        $statement->execute();
        $statement->closeCursor();      
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

?>
