<?php
function KPI_zadnji_rbr() {
    global $db; 
    $query = 
        "
        SELECT ifnull(max(interniBroj),0) as zadnjiBroj
        FROM kpi
        ";
    try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }         
}

function add_KPI($slog) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = " 
        INSERT INTO kpi
        (
        interniBroj, 
        DVO,
        brojTemeljnice,
        opis,
        gotovinaPrimitak,    
        ziroPrimitak,    
        naravaPrimitak,    
        PDVPrimitak,    
        gotovinaIzdatak,    
        ziroIzdatak,    
        naravaIzdatak,    
        PDVIzdatak,    
        cl33Izdatak,    
        vezniDokument,
         datumIzmjene,
         tkoJeIzmjenio
        )    
        VALUES
        (
        :interniBroj, 
        :DVO,
        :brojTemeljnice,
        :opis,
        :gotovinaPrimitak,    
        :ziroPrimitak,    
        :naravaPrimitak,    
        :PDVPrimitak,    
        :gotovinaIzdatak,    
        :ziroIzdatak,    
        :naravaIzdatak,    
        :PDVIzdatak,    
        :cl33Izdatak,    
        :vezniDokument,
         NOW(),
         :email_user
        )
        ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':interniBroj', $slog['interniBroj']);
        $d = new DateTime($slog['DVO']);
        $statement->bindValue(':DVO', $d->format("Y-m-d"));
        $statement->bindValue(':brojTemeljnice', $slog['brojTemeljnice']);
        $statement->bindValue(':opis', $slog['opis']);
        $statement->bindValue(':gotovinaPrimitak', str_replace(',', '.', $slog['gotovinaPrimitak']));
        $statement->bindValue(':ziroPrimitak',      str_replace(',', '.', $slog['ziroPrimitak']));
        $statement->bindValue(':naravaPrimitak',   str_replace(',', '.', $slog['naravaPrimitak']));
        $statement->bindValue(':PDVPrimitak',      str_replace(',', '.', $slog['PDVPrimitak']));
        $statement->bindValue(':gotovinaIzdatak',  str_replace(',', '.', $slog['gotovinaIzdatak']));
        $statement->bindValue(':ziroIzdatak',      str_replace(',', '.', $slog['ziroIzdatak']));
        $statement->bindValue(':naravaIzdatak',    str_replace(',', '.', $slog['naravaIzdatak']));
        $statement->bindValue(':PDVIzdatak',       str_replace(',', '.', $slog['PDVIzdatak']));
        $statement->bindValue(':cl33Izdatak',      str_replace(',', '.', $slog['cl33Izdatak']));
        $statement->bindValue(':vezniDokument',    $slog['vezniDokument']); 
        $statement->bindValue(':email_user', $email_user); 
        $statement->execute();
        $statement->closeCursor();      
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
}

function update_KPI($slog) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = " 
    UPDATE kpi
    SET     
        DVO=:DVO,
        brojTemeljnice=:brojTemeljnice,
        opis=:opis,
        gotovinaPrimitak=:gotovinaPrimitak,    
        ziroPrimitak=:ziroPrimitak,    
        naravaPrimitak=:naravaPrimitak,    
        PDVPrimitak:=:PDVPrimitak,    
        gotovinaIzdatak=:gotovinaIzdatak,    
        ziroIzdatak=:ziroIzdatak,    
        naravaIzdatak=:naravaIzdatak,    
        PDVIzdatak=:PDVIzdatak,    
        cl33Izdatak=:cl33Izdatak,    
        datumIzmjene = NOW(),
        tkoJeIzmjenio = :email_user
    WHERE interniBroj=:interniBroj    
        ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':interniBroj', $slog['interniBroj']);
        $d = new DateTime($slog['DVO']);
        $statement->bindValue(':DVO', $d->format("Y-m-d"));
        $statement->bindValue(':brojTemeljnice', $slog['brojTemeljnice']);
        $statement->bindValue(':opis', $slog['opis']);
        $statement->bindValue(':gotovinaPrimitak', str_replace(',', '.', $slog['gotovinaPrimitak']));
        $statement->bindValue(':ziroPrimitak',     str_replace(',', '.', $slog['ziroPrimitak']));
        $statement->bindValue(':naravaPrimitak',   str_replace(',', '.', $slog['naravaPrimitak']));
        $statement->bindValue(':PDVPrimitak',      str_replace(',', '.', $slog['PDVPrimitak']));
        $statement->bindValue(':gotovinaIzdatak',  str_replace(',', '.', $slog['gotovinaIzdatak']));
        $statement->bindValue(':ziroIzdatak',      str_replace(',', '.', $slog['ziroIzdatak']));
        $statement->bindValue(':naravaIzdatak',    str_replace(',', '.', $slog['naravaIzdatak']));
        $statement->bindValue(':PDVIzdatak',       str_replace(',', '.', $slog['PDVIzdatak']));
        $statement->bindValue(':cl33Izdatak',      str_replace(',', '.', $slog['cl33Izdatak']));
        $statement->bindValue(':email_user', $email_user); 
        $statement->execute();
        $statement->closeCursor();      
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
}

function delete_KPI($interniBroj) {
    global $db;
    $query = "DELETE FROM kpi WHERE interniBroj = :interniBroj ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':interniBroj', $interniBroj);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
}

function get_KPI($dioOpisa=null, $DVOod=null, $DVOdo=null, $prikaz=null) {
    global $db;
    $whereDio ='';
    $dOd = new DateTime($DVOod);
    $dDo = new DateTime($DVOdo);
    if(isset($dioOpisa)) {
        $whereDio = "WHERE opis like '%".trim($dioOpisa)."%' AND DVO BETWEEN '".$dOd->format('Y-m-d')."' AND '".$dDo->format('Y-m-d')."' ";
        if($prikaz=='P')
            $whereDio .=" and (gotovinaPrimitak<>0 or ziroPrimitak<>0 or naravaPrimitak or PDVPrimitak<>0 )";
        else if($prikaz=='I')
            $whereDio .=" and (gotovinaIzdatak<>0 or ziroIzdatak<>0 or naravaIzdatak or PDVIzdatak<>0 or cl33Izdatak<>0 )";
                
    }
    $query = 
            "SELECT * 
            FROM kpi
            $whereDio
            ORDER BY DVO
            ";
    try {
        $statement = $db->prepare($query);
        $statement->execute();
        $r = $statement->fetchAll();
        $statement->closeCursor();
        return $r;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }   
}

function get_KPI_1_slog($interniBroj) {
    global $db;
    $query = "SELECT * FROM kpi WHERE interniBroj = :interniBroj ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':interniBroj', $interniBroj);
        $statement->execute();
        $r = $statement->fetch();
        $statement->closeCursor();
        return $r;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
}

function get_KPI_vezniDokument($vezniDokument) {
    global $db;
    $query = "SELECT * FROM kpi WHERE vezniDokument = :vezniDokument ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vezniDokument', $vezniDokument);
        $statement->execute();
        $r = $statement->fetch();
        $statement->closeCursor();
        return $r;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
}
function prebaci_u_KPI($dokument, $vrstaDokumenta) {
    $slog = postaviPoljaKPI();
    $slog['vezniDokument'] = $dokument['broDo'];
    $s = get_KPI_vezniDokument($slog['vezniDokument']);
    if(is_array($s))
        return; // već postoji
    
    $slog['opis'] = $dokument['nazivDokumenta'].' br. '.$dokument['broDo'];
    if($vrstaDokumenta=='primitak') {
        if(trim($dokument['vrsDo']!='8'))
            $slog['opis'] .='<br>'.$dokument['nazivPartnera'];
        if(trim($dokument['zastitniKod'])!='') {
            $slog['gotovinaPrimitak'] = $dokument['osnovica'];
        }
        else {
            $slog['ziroPrimitak'] = $dokument['osnovica'];
        }
        $slog['PDVPrimitak'] = $dokument['pdv'];
    }
    else {
        $slog['opis'] .='<br>'.$dokument['nazivPartnera'];
        $slog['ziroIzdatak'] = $dokument['osnovica'];
        $slog['PDVIzdatak'] = $dokument['pdv'];
    }
            
    $r = KPI_zadnji_rbr();
    $slog['interniBroj'] = $r['zadnjiBroj']+1;
    unset($r);
    $slog['DVO'] = $dokument['DVO'];
    add_KPI($slog);
    return;
}

function postaviPoljaKPI() {
    $slogZaUnos['interniBroj'] = 0;
    $slogZaUnos['opis'] = $slogZaUnos['brojTemeljnice'] = $slogZaUnos['DVO'] = $slogZaUnos['vezniDokument'] = '';
    $slogZaUnos['gotovinaPrimitak'] = $slogZaUnos['ziroPrimitak'] = $slogZaUnos['naravaPrimitak'] = $slogZaUnos['PDVPrimitak'] = 0;
    $slogZaUnos['gotovinaIzdatak'] = $slogZaUnos['ziroIzdatak'] = $slogZaUnos['naravaIzdatak'] = $slogZaUnos['PDVIzdatak'] = $slogZaUnos['cl33Izdatak']= 0;
    return $slogZaUnos;    
}

function puniSlogKPI($slog) {
    $slogZaUnos['interniBroj'] = $slog['interniBroj'];
    $slogZaUnos['opis'] = $slog['opis'];
    $slogZaUnos['DVO'] = $slog['DVO'];
    $slogZaUnos['brojTemeljnice'] = $slog['brojTemeljnice'];;
    $slogZaUnos['gotovinaPrimitak'] = $slog['gotovinaPrimitak'];
    $slogZaUnos['ziroPrimitak'] = $slog['ziroPrimitak'];
    $slogZaUnos['naravaPrimitak'] = $slog['naravaPrimitak'];
    $slogZaUnos['PDVPrimitak'] = $slog['PDVPrimitak'];
    $slogZaUnos['gotovinaIzdatak'] = $slog['gotovinaIzdatak'];
    $slogZaUnos['ziroIzdatak'] = $slog['ziroIzdatak'];
    $slogZaUnos['naravaIzdatak'] = $slog['naravaIzdatak'];
    $slogZaUnos['PDVIzdatak'] = $slog['PDVIzdatak'];
    $slogZaUnos['cl33Izdatak']= $slog['cl33Izdatak'];
    if(isset($slog['vezniDokument']))
        $slogZaUnos['vezniDokument']= $slog['vezniDokument'];
    else
        $slogZaUnos['vezniDokument'] = '';
    return $slogZaUnos;    
    
}
?>
