<?php
//echo 'Dolazim u admin_db';
function is_valid_admin_login($email, $lozinka) {
    global $db;
    $lozinka = sha1($email . $lozinka);
    $query = '
        SELECT * FROM '.get_admin_db().'.administrators
        WHERE email = :email AND lozinka = :lozinka';
    $statement = $db->prepare($query);
    $statement->bindValue(':email', $email);
    $statement->bindValue(':lozinka', $lozinka);
    $statement->execute();
    $valid = ($statement->rowCount() == 1);
    $statement->closeCursor();
    return $valid;
}

function admin_count() {
    global $db;
    $query = 'SELECT count(*) AS adminCount FROM '.get_admin_db().'.administrators';
    $statement = $db->prepare($query);
    $statement->execute();
    $result = $statement->fetch();
    $statement->closeCursor();
    return $result['adminCount'];
}

function get_all_admins() {
    global $db;
    $query = 'SELECT * FROM '.get_admin_db().'.administrators ORDER BY prezime, ime';
    $statement = $db->prepare($query);
    $statement->execute();
    $admins = $statement->fetchAll();
    $statement->closeCursor();
    return $admins;
}

function get_admin ($kodAdmin) {
    global $db;
    $query = 'SELECT * FROM '.get_admin_db().'.administrators WHERE kodAdmin = :kodAdmin';
    $statement = $db->prepare($query);
    $statement->bindValue(':kodAdmin', $kodAdmin);
    $statement->execute();
    $admin = $statement->fetch();
    $statement->closeCursor();
    return $admin;
}

function get_admin_by_skracenica ($skracenica) {
    global $db;
    $query = 'SELECT * FROM '.get_admin_db().'.administrators WHERE skracenica = :skracenica';
    $statement = $db->prepare($query);
    $statement->bindValue(':skracenica', $skracenica);
    $statement->execute();
    $admin = $statement->fetch();
    $statement->closeCursor();
    return $admin;
}

function get_admin_by_OIB ($OIB) {
    global $db;
    $query = 'SELECT * FROM '.get_admin_db().'.administrators WHERE OIB = :OIB';
    $statement = $db->prepare($query);
    $statement->bindValue(':OIB', $OIB);
    $statement->execute();
    $admin = $statement->fetch();
    $statement->closeCursor();
    return $admin;
}


function get_admin_by_email ($email) {
    global $db;
    $query = 'SELECT * FROM '.get_admin_db().'.administrators WHERE email = :email';
    $statement = $db->prepare($query);
    $statement->bindValue(':email', $email);
    $statement->execute();
    $admin = $statement->fetch();
    $statement->closeCursor();
    return $admin;
}

function is_valid_admin_email($email) {
    global $db;
    $query = '
        SELECT * FROM '.get_admin_db().'.administrators
        WHERE email = :email';
    $statement = $db->prepare($query);
    $statement->bindValue(':email', $email);
    $statement->execute();
    $valid = ($statement->rowCount() == 1);
    $statement->closeCursor();
    return $valid;
}

function add_admin($email, $ime, $prezime, $lozinka_1, $lozinka_2, $firma, $OIB, $skracenica, $prioritet, $bazeZaKorisnika, $punkt, $poslovnicePunkta) {
    global $db;
    $lozinka = sha1($email . $lozinka_1);
	$email_user = $_SESSION['admin']['email'];
    $query = '
        INSERT INTO '.get_admin_db().'.administrators (email, lozinka, ime, prezime, firma, OIB, skracenica, prioritet, bazeZaKorisnika, punkt, poslovnicePunkta, datumOtvaranja, tkoJeIzmjenio)
        VALUES (:email, :lozinka, :ime, :prezime, :firma, :OIB, :skracenica, :prioritet, :bazeZaKorisnika, :punkt, :poslovnicePunkta, NOW(), :email_user )';
    $statement = $db->prepare($query);
    $statement->bindValue(':email', $email);
    $statement->bindValue(':lozinka', $lozinka);
    $statement->bindValue(':ime', $ime);
    $statement->bindValue(':prezime', $prezime);
	$statement->bindValue(':firma', $firma);
	$statement->bindValue(':OIB', $OIB);
	$statement->bindValue(':skracenica', $skracenica);
	$statement->bindValue(':prioritet', $prioritet);
	$statement->bindValue(':bazeZaKorisnika', $bazeZaKorisnika);
	$statement->bindValue(':punkt', $punkt);
	$statement->bindValue(':poslovnicePunkta', $poslovnicePunkta);
	$statement->bindValue(':email_user', $email_user);
    $statement->execute();
    $kodAdmin = $db->lastInsertId();
    $statement->closeCursor();
    return $kodAdmin;
}

function update_admin($kodAdmin, $email, $ime, $prezime, $lozinka_1, $lozinka_2, $firma,
    $OIB, $skracenica, $prioritet, $bazeZaKorisnika, $punkt, $poslovnicePunkta) {
    global $db;
	$email_user = $_SESSION['admin']['email'];
//	echo 'Dolazim u update_admin'; 
    $query = '
        UPDATE '.get_admin_db().'.administrators
        SET email = :email,
            ime = :ime,
            prezime = :prezime,
			firma = :firma,
			OIB = :OIB,
			skracenica = :skracenica,
			prioritet = :prioritet,
			bazeZaKorisnika = :bazeZaKorisnika,
			punkt = :punkt,
			poslovnicePunkta = :poslovnicePunkta,
			datumIzmjene = NOW(),
			tkoJeIzmjenio = :email_user
        WHERE kodAdmin = :kodAdmin';
    $statement = $db->prepare($query);
    $statement->bindValue(':email', $email);
    $statement->bindValue(':ime', $ime);
    $statement->bindValue(':prezime', $prezime);
	$statement->bindValue(':firma', $firma);
	$statement->bindValue(':OIB', $OIB);
	$statement->bindValue(':skracenica', $skracenica);
	$statement->bindValue(':prioritet', $prioritet);
	$statement->bindValue(':bazeZaKorisnika', $bazeZaKorisnika);
	$statement->bindValue(':punkt', $punkt);
	$statement->bindValue(':poslovnicePunkta', $poslovnicePunkta);
    $statement->bindValue(':kodAdmin', $kodAdmin);
	$statement->bindValue(':email_user', $email_user); 
    $statement->execute();
    $statement->closeCursor();

    if (!empty($lozinka_1) && !empty ($lozinka_2)) {
        if ($lozinka_1 !== $lozinka_2) {
            display_error('Lozinke 1 i 2 nisu iste!');
        } elseif (strlen($lozinka_1) < 6) {
            display_error('Lozinka mora imati najmanje 6 znakova!');
        }
        $lozinka = sha1($email . $lozinka_1);
        $query = '
            UPDATE '.get_admin_db().'.administrators
            SET lozinka = :lozinka,
	    tkoJeIzmjenio = :email_user
            WHERE kodAdmin = :kodAdmin';
        $statement = $db->prepare($query);
        $statement->bindValue(':lozinka', $lozinka);
        $statement->bindValue(':kodAdmin', $kodAdmin);
	$statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
    }
}

function delete_admin($kodAdmin) {
    global $db;
    $query = 'DELETE FROM '.get_admin_db().'.administrators WHERE kodAdmin = :kodAdmin';
    $statement = $db->prepare($query);
    $statement->bindValue(':kodAdmin', $kodAdmin);
    $statement->execute();
    $statement->closeCursor();
}

// funkcije za rad s parametrima
function add_parametri($nazivParametra, $vrijednostParametra, $opisParametra) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = "INSERT INTO ".get_admin_db().".parametri
             (
             nazivParametra, vrijednostParametra, opisParametra, datumOtvaranja,tkoJeIzmjenio
             )
             VALUES
             (
             :nazivParametra, :vrijednostParametra, :opisParametra,  NOW(), :email_user 
             )";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':nazivParametra', $nazivParametra);
        $statement->bindValue(':vrijednostParametra', $vrijednostParametra);
        $statement->bindValue(':opisParametra', $opisParametra);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
        return;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function azuriraj_parametar($nazivParametra, $vrijednostParametra, $opisParametra) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = 
            "INSERT INTO ".get_admin_db().".parametri
             ( nazivParametra, vrijednostParametra, opisParametra, datumOtvaranja,tkoJeIzmjenio )
             VALUES
             ( :nazivParametra, :vrijednostParametra, :opisParametra,  NOW(), :email_user )
             ON DUPLICATE KEY UPDATE
             vrijednostParametra=:vrijednostParametra, 
             opisParametra=:opisParametra, 
             datumIzmjene=NOW(),
             tkoJeIzmjenio=:email_user
             ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':nazivParametra', $nazivParametra);
        $statement->bindValue(':vrijednostParametra', $vrijednostParametra);
        $statement->bindValue(':opisParametra', $opisParametra);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
        return;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function update_parametri($nazivParametra, $vrijednostParametra, $opisParametra) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = "UPDATE ".get_admin_db().".parametri
             SET 
             vrijednostParametra=:vrijednostParametra, 
             opisParametra=:opisParametra, 
             datumIzmjene=NOW(),
             tkoJeIzmjenio=:email_user
             WHERE nazivParametra=:nazivParametra
            ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':nazivParametra', $nazivParametra);
        $statement->bindValue(':vrijednostParametra', $vrijednostParametra);
        $statement->bindValue(':opisParametra', $opisParametra);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
        return;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function delete_parametri($nazivParametra) {
    global $db;
    $query = "DELETE FROM ".get_admin_db().".parametri WHERE nazivParametra = :nazivParametra";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':nazivParametra', $nazivParametra);
        $statement->execute();        
        return;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_parametar ($nazivParametra) {
    global $db;
    $query = 'SELECT * FROM '.get_admin_db().'.parametri WHERE nazivParametra = :nazivParametra';
    $statement = $db->prepare($query);
    $statement->bindValue(':nazivParametra', $nazivParametra);
    $statement->execute();
    $parametar = $statement->fetch();
    $statement->closeCursor();
    return $parametar;
}

function get_parametri() {
    global $db;
    $query = 'SELECT * FROM '.get_admin_db().'.parametri ';
    $statement = $db->prepare($query);
    $statement->execute();
    $parametri = $statement->fetchAll();
    $statement->closeCursor();
    return $parametri;
}

function get_admin_db() {
    $http_host = $_SERVER['HTTP_HOST'];
    //if ($http_host == 'www.murski-gaji.hr' || $http_host == 'localhost') {
    if ($http_host === 'www.panex-agm.com' || $http_host === 'panex-agm.com' ) {
        //$username = 'murskiga_mguser';
        $dbname='panex_robno_mur';	    
    } else {   
    // za www.panex-agm.com   
        //$username = 'panex_mguser';
        $dbname='murskiga_robno_mur';
    }  

    
    return $dbname;
}

function postoji_baza($baza) {
    global $db;
    $query = 'select `SCHEMA_NAME` from information_schema.`SCHEMATA` where `SCHEMA_NAME`=:baza';
    $statement = $db->prepare($query);
    $statement->bindValue(':baza', $baza);
    $statement->execute();
    $b = $statement->fetchAll();
    $statement->closeCursor();
    return count($b)>0;
}
?>