<?php

function add_kons_stanja($kodPartnera, $kodRobe, $vrstaProdaje, $cijena, $stanje, $brojInvStavke,$datumInventure) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $maks=(int)$brojInvStavke;
    if($maks>0) {
        ;
    }
    else {
        $query = 'select max(brojInvStavke) as maks from kons_stanja where kodPartnera=:kodPartnera';
        try {
            $statement = $db->prepare($query);
            $statement->bindValue(':kodPartnera', $kodPartnera);
            //$statement->bindValue(':proda', $proda);
            $statement->execute();
            $result = $statement->fetch();
            $maks=(int)$result['maks'] +1;
            $statement->closeCursor();
        } catch (PDOException $e) {
            $error_message = $e->getMessage();
            display_db_error($error_message);
        }
    }
    
    $query = 'insert into kons_stanja
                (kodPartnera, kodRobe, vrstaProdaje, cijena, stanje, kolicinaInventure, brojInvStavke, datumInventure, tkoJeIzmjenio, datumOtvaranja)
             values
                (:kodPartnera, :kodRobe, :vrstaProdaje, :cijena, :stanje, :stanje, :maks, :datumInventure, :email_user, NOW())
            ';
    $datum=datum_inventure_iz_kons_stanja($kodPartnera);
    if(empty($datum)) {
        $datumInventure_d = new DateTime($datumInventure);
        $datum=$datumInventure_d->format("Y-m-d H:i:s");
    }    
    
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodPartnera', $kodPartnera);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
        $statement->bindValue(':cijena', str_replace(',', '.',$cijena));
        $statement->bindValue(':stanje', str_replace(',', '.',$stanje));
        $statement->bindValue(':maks', $maks);
        $statement->bindValue(':email_user', $email_user);
        //$statement->bindValue(':datumInventure', $datumInventure_d->format("Y-m-d H:i:s"));
        $statement->bindValue(':datumInventure', $datum);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
 
}

function update_kons_stanja($kodPartnera, $kodRobe, $vrstaProdaje, $cijena, $stanje) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = 'UPDATE kons_stanja
              SET stanje = :stanje,
              kolicinaInventure = :stanje,
              datumIzmjene = NOW(),
              tkoJeIzmjenio = :email_user
            WHERE kodPartnera = :kodPartnera 
            AND kodRobe = :kodRobe 
            AND vrstaProdaje = :vrstaProdaje
            AND cijena = :cijena
            ';

    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodPartnera', $kodPartnera);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
        $statement->bindValue(':cijena', str_replace(',', '.',$cijena));
        $statement->bindValue(':stanje', str_replace(',', '.',$stanje));
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
 
}
function delete_kons_stanje($kodPartnera, $kodRobe, $vrstaProdaje, $cijena) {
    global $db;
    $query = 'delete from kons_stanja
            WHERE kodPartnera = :kodPartnera
            AND kodRobe = :kodRobe 
            AND vrstaProdaje = :vrstaProdaje
            AND cijena = :cijena
            ';

    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodPartnera', $kodPartnera);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
        $statement->bindValue(':cijena', str_replace(',', '.',$cijena));
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
 
}

function get_kons_stanje($kodPartnera, $kodRobe, $vrstaProdaje, $cijena) {
    global $db;

    $query = 'select * from kons_stanja
            WHERE kodPartnera = :kodPartnera 
            AND kodRobe = :kodRobe
            AND vrstaProdaje = :vrstaProdaje
            AND cijena = :cijena
            ';

    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodPartnera', $kodPartnera);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
        $statement->bindValue(':cijena', str_replace(',', '.',$cijena));
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
 
}

function get_kons_stanje_po_partnerima($kodRobe, $vrstaProdaje) {
    global $db;

    $query = "
            select
            ks.kodPartnera, p.`nazivPartnera`, ks.kodRobe, m.`nazivRobe`, ks.vrstaProdaje, sum(stanje) as stanje
            from kons_stanja as ks
            left outer join partner as p on p.kodPartnera=ks.kodPartnera
            left outer join maticna_robe as m on m.`kodRobe`=ks.`kodRobe`
            where ks.kodRobe=:kodRobe and ks.vrstaProdaje=:vrstaProdaje
            group by ks.kodPartnera, ks.kodRobe, ks.vrstaProdaje 
            " 
            ;
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
 
}

function datum_inventure_iz_kons_stanja($kodPartnera) {
//pronalazi datum inventure i vrijeme za određenu prodavaonu
//dovoljno je da  pronađe datum-inventure za prvu stavku - jednu stavku
//ako ih je više onda nije dobro(različiti datumi inventure)    
    global $db;  
 /*   $query = "SELECT DISTINCT datumInventure from kons_stanja
            WHERE kodPartnera = :kodPartnera and datumInventure IS NOT NULL and datumInventure <> '' and brojInvStavke > 0";  */
 
    $query = "SELECT DISTINCT datumInventure from kons_stanja
            WHERE kodPartnera = :kodPartnera and datumInventure IS NOT NULL and brojInvStavke > 0";  
    $statement = $db->prepare($query);
    $statement->bindValue(':kodPartnera', $kodPartnera);
    $statement->execute();
    $result = $statement->fetch();
    $statement->closeCursor();
    $brojac = count($result);
//    echo '$brojac=' . $brojac;
    if ($brojac == 0) return $datumInventure = ''; 
    $datumInventure = $result[0];
//    echo '$datumInventure' . $datumInventure;
    return $datumInventure;

}

function get_svi_partneri_kons_stanja() {
    global $db;  
    $query = "SELECT DISTINCT kodPartnera from kons_stanja";
    $statement = $db->prepare($query);
    $statement->execute();
    $result = $statement->fetchAll();
    $statement->closeCursor();
    return $result;
    
}

function get_kons_po_partneru ($kodPartnera, $vrstaProdaje, $kodGrupe, $kojaStanja, $poreznaGrupa, $brojInvStavkeOd=0, $brojInvStavkeDo=9999) {
    global $db;
    $query = "
select s.kodPartnera,
`brojInvStavke`,
s.kodRobe, 
m.`nazivRobe`, 
`vrstaProdaje`, 
m.`jedinicaMjere`,
`kodGrupe`,
s.cijena, 
PDV, 
round(s.cijena*(PDV/100),2) as iznosPDV, 
round(s.cijena*(1+PDV/100),2) as cijenaSPDV, 
stanje,
0 as novoStanje
from kons_stanja as s
inner join maticna_robe as m on m.`kodRobe`=s.`kodRobe`
inner join porezi as p on p.poreznaGrupa= m.poreznaGrupa

where s.kodPartnera=:kodPartnera 
and (trim(:vrstaProdaje)='' or s.vrstaProdaje=:vrstaProdaje)
and (trim(:poreznaGrupa)='' or p.poreznaGrupa=:poreznaGrupa)
and (trim(:kodGrupe)='' or m.kodGrupe=:kodGrupe)
and (trim(:kojaStanja)='' 
    or (:kojaStanja='+-' and s.stanje<>0)
    or (:kojaStanja='0' and s.stanje=0)
    or (:kojaStanja='+' and s.stanje>0)
    or (:kojaStanja='-' and s.stanje<0)
    )
and brojInvStavke between :brojInvStavkeOd and :brojInvStavkeDo

order by `brojInvStavke`, s.kodRobe, vrstaProdaje
;";
    try {
        $statement = $db->prepare($query);
        
        $statement->bindValue(':kodPartnera', $kodPartnera);
        $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
        $statement->bindValue(':brojInvStavkeOd', $brojInvStavkeOd);
        $statement->bindValue(':brojInvStavkeDo', $brojInvStavkeDo);
        $statement->bindValue(':kodGrupe', $kodGrupe);
        $statement->bindValue(':kojaStanja', $kojaStanja);
        $statement->bindValue(':poreznaGrupa', $poreznaGrupa);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_kons_stanja_po_partneru_i_robi($kodPartnera, $kodRobe, $vrstaProdaje) {
    global $db;
    $query = "
select s.kodPartnera,
`brojInvStavke`,
s.kodRobe, 
m.`nazivRobe`, 
`vrstaProdaje`, 
m.`jedinicaMjere`,
`kodGrupe`,
s.cijena, 
PDV, 
round(s.cijena*(PDV/100),2) as iznosPDV, 
round(s.cijena*(1+PDV/100),2) as cijenaSPDV, 
stanje,
datumInventure
from kons_stanja as s
inner join maticna_robe as m on m.`kodRobe`=s.`kodRobe`
inner join porezi as p on p.poreznaGrupa= m.poreznaGrupa

where s.kodPartnera=:kodPartnera 
and s.vrstaProdaje=:vrstaProdaje
and  s.kodRobe=:kodRobe

;";
    try {
        $statement = $db->prepare($query);
        
        $statement->bindValue(':kodPartnera', $kodPartnera);
        $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function prijenos_kons_stanja_u_ng($kodPartnera, $kodRobe, $vrstaProdaje, $datumInventure, $brisanje) {
    global $db;
    $b=explode('_', $_SESSION['odabranaBaza']);
    unset($b[count($b)-1]);
    $baza=implode('_', $b);
    
    $db->beginTransaction();
    $obrisanoPoruka='';
    if($brisanje=='Da') {
        $query = "
        delete from $baza.kons_stanja
        where (kodPartnera=:kodPartnera or trim(:kodPartnera)='')
         and (kodRobe=:kodRobe or trim(:kodRobe)='')
         and (:vrstaProdaje='' or vrstaProdaje=:vrstaProdaje)
        ;";
        try {
            $statement = $db->prepare($query);

            $statement->bindValue(':kodPartnera', $kodPartnera);
            $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
            $statement->bindValue(':kodRobe', $kodRobe);
            $statement->execute();
            $obrisano = $statement->rowCount();
            $statement->closeCursor();
        } catch (PDOException $e) {
            $db->rollBack();
            $error_message = $e->getMessage();
            display_db_error($error_message);
        }
        $obrisanoPoruka=' Obrisano je '.$obrisano.' konsignacija.';
    }
    
    $query = "
    INSERT INTO $baza.kons_stanja
    (
    kodPartnera, kodRobe, vrstaProdaje, cijena, stanje, 
    datumInventure, kolicinaInventure,
    brojInvStavke, datumOtvaranja, datumIzmjene, tkoJeIzmjenio
    )
    select kodPartnera, kodRobe, vrstaProdaje, cijena, sum(ulaz-izlaz) as stanje, 
    :datumInventure as datumInventure, sum(ulaz-izlaz) as kolicinaInventure,
    0, -- @br:=@br+1 as brojInvStavke, 
    NOW() as datumOtvaranja, NULL as datumIzmjene, 'DONOS' as tkoJeIzmjenio  
    -- select * je metnut zbog parametra :kodPartnera, 
    -- naime dokumenti koji nisu K1, K2 ili inventura imaju drugi kodPartnera 
    -- pa im naknadno u kodParnera stavljam parnera iz ulaznog dokumenta
    from ( 
    select  
    if(trim(k.partner)='',  
        -- ako nema ulaza u K1 ili K2: :kodRobe<>kodRobe or :vrstaProdaje<>vrstaProdaje
        if(@pomKodRobe<>k.kodRobe or @pomVrstaProdaje<>k.vrstaProdaje, 
            @pomKodPartnera:='', 
            @pomKodPartnera), 
    -- else za if(trim(partner)=''
        @pomKodPartnera:=k.partner) as kodPartnera, 
    k.*, @pomKodRobe:=k.kodRobe, @pomVrstaProdaje:=k.vrstaProdaje
    from (
    select 
    st.kodPartnera as Partner, st.kodRobe, vrstaProdaje, '' as proda,'0' as vrsDo, 
    brojInvStavke as broDo,
    st.cijena as cijena,
    kolicinaInventure as ulaz, 0 as izlaz

    from kons_stanja as st
    where (st.kodPartnera=:kodPartnera or trim(:kodPartnera)='')
     and (st.kodRobe=:kodRobe or trim(:kodRobe)='')
     and (:vrstaProdaje='' or vrstaProdaje=:vrstaProdaje)
     and `kolicinaInventure` <>0 

    union all

    select 
    if(s.zapis in ('K1', 'K2'), z.kodPartnera, '') as partner,
    s.kodRobe , 
    s.vrstaProdaje, 
    z.proda, 
    z.vrsDo, 
    if(trim(z.verzi)='',z.broDo,concat(z.broDo,'/',z.verzi)) as broDo, 
    s.cijena as cijena, 
    if(z.vrsDo='1' or z.vrsDo='2' or z.vrsdo='3', s.kolicina, 0) as ulaz,
    if(z.vrsDo='5' or z.vrsDo='6' or z.vrsdo='7' or z.vrsDo= '8', s.kolicina, 0) as izlaz

    from dok_stavke as s
    join dok_zag as z 
    on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
    and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
    join vrste_dokumenata as vd on vd.vrsDo=z.vrsDo
    where (s.kodRobe=:kodRobe or trim(:kodRobe)='')
    and trim(s.vrstaProdaje)<>'0'
    and (:vrstaProdaje='' or s.vrstaProdaje=:vrstaProdaje)
    and vd.azurStanja<>0
     and (:vrstaProdaje='' or :vrstaProdaje<>'' and z.zapis<>'KN')
    order by kodRobe, vrstaProdaje, Partner desc, vrsDo
    ) as k
    inner join (select @pomKodPartnera:='', @pomKodRobe:='', @pomVrstaProdaje:='') as pp
    order by kodPartnera, kodRobe, vrstaProdaje, vrsDo
    ) as kk -- ,
    -- (SELECT @br:=ifnull(max(brojInvStavke),0) FROM $baza.kons_stanja) as n
    where (kodPartnera=:kodPartnera or trim(:kodPartnera)='') and kodPartnera<>''
    group by kodPartnera, kodRobe, vrstaProdaje, cijena
    having sum(ulaz-izlaz)<>0

    ;";
    try {
        $statement = $db->prepare($query);
        
        $statement->bindValue(':kodPartnera', $kodPartnera);
        $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':datumInventure', $datumInventure);
        $statement->execute();
        $stavaka = $statement->rowCount();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $db->rollBack();
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }

    // postavlja brojInvStavka
    $query = "
    update $baza.kons_stanja as ks
    inner join 
    ( 
    SELECT 
    if(@pomPartner<>kodPartnera, @br:=1, @br:=@br+1) as br, 
    k.kodPartnera, k.kodRobe, k.vrstaProdaje, k.cijena, if(@pomPartner<>kodPartnera, @pomPartner:=kodPartnera, @pomPartner) as kod 
    FROM $baza.kons_stanja as k,
    (select @pomPartner:='') as pp , (select @br:=0) as bb
    order by k.kodPartnera,k.kodRobe, k.vrstaProdaje, k.cijena
    ) as p on p.kodPartnera=ks.kodPartnera and p.kodRobe=ks.kodRobe and p.vrstaProdaje=ks.vrstaProdaje and p.cijena=ks.cijena
    set ks.brojInvStavke=p.br
    where (ks.kodPartnera=:kodPartnera or trim(:kodPartnera)='')
     and (ks.kodRobe=:kodRobe or trim(:kodRobe)='')
     and (:vrstaProdaje='' or ks.vrstaProdaje=:vrstaProdaje)
    ;";
    try {
        $statement = $db->prepare($query);

        $statement->bindValue(':kodPartnera', $kodPartnera);
        $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $db->rollBack();
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
    $db->commit();
    return $obrisanoPoruka.' Preneseno je '.$stavaka.' konsignacija.';
}

?>
