<?php
include_once 'model/isplate_na_banke_maticna_radnika_db.php';
function get_maticna_radnika($vrstaRadnika='') {
    global $db;
    switch ($_SESSION['admin']['tMaticnaRadnika']) {
    case 'Punkt':
        $punkt=$_SESSION['admin']['punkt'];
        $query = " 
        SELECT m.*
        FROM maticna_radnika as m
        JOIN ".get_admin_db().".administrators as a ON a.OIB COLLATE utf8_croatian_ci=m.OIB COLLATE utf8_croatian_ci
        WHERE a.punkt='$punkt' 
        AND (:vrstaRadnika='' OR (:vrstaRadnika='A' AND datumPrestankaRO is null) OR (:vrstaRadnika='N' AND datumPrestankaRO is not null))
        order by imeIprezime
        ";
        break;
    case 'Samo svoje':
        $OIB=$_SESSION['admin']['OIB'];
        $query = " 
        SELECT *
        FROM maticna_radnika
        WHERE OIB='$OIB'
        AND (:vrstaRadnika='' OR (:vrstaRadnika='A' AND datumPrestankaRO is null) OR (:vrstaRadnika='N' AND datumPrestankaRO is not null))
        order by imeIprezime";
        break;
    default:
        $query = " 
        SELECT *
        FROM maticna_radnika
        WHERE (:vrstaRadnika='' OR (:vrstaRadnika='A' AND datumPrestankaRO is null) OR (:vrstaRadnika='N' AND datumPrestankaRO is not null))
        order by imeIprezime
        ";
        break;
    }
	try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vrstaRadnika', $vrstaRadnika);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_maticna_radnika_po_imenu() {
    global $db;
    switch ($_SESSION['admin']['tMaticnaRadnika']) {
    case 'Punkt':
        $punkt=$_SESSION['admin']['punkt'];
        $query = " 
        SELECT m.*
        FROM maticna_radnika as m
        JOIN ".get_admin_db().".administrators as a ON a.OIB COLLATE utf8_croatian_ci=m.OIB COLLATE utf8_croatian_ci
        WHERE a.punkt='$punkt' order by imeIprezime";    
        break;
    case 'Samo svoje':
        $OIB=$_SESSION['admin']['OIB'];
        $query = " 
        SELECT *
        FROM maticna_radnika
        WHERE OIB='$OIB' order by imeIprezime";
        break;
    default:
        $query = " 
        SELECT *
        FROM maticna_radnika
        order by imeIprezime
        ";
        break;
    }
	try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_radnik($kodRadnka) {
    global $db;
    switch ($_SESSION['admin']['tMaticnaRadnika']) {
    case 'Punkt':
        $punkt=$_SESSION['admin']['punkt'];
        $query = " 
        SELECT m.*
        FROM maticna_radnika as m
        JOIN ".get_admin_db().".administrators as a ON a.OIB COLLATE utf8_croatian_ci=m.OIB COLLATE utf8_croatian_ci
        WHERE kodRadnika = :kodRadnika AND a.punkt='$punkt' ";    
        break;
    case 'Samo svoje':
        $OIB=$_SESSION['admin']['OIB'];
        $query = " 
        SELECT *
        FROM maticna_radnika
        WHERE kodRadnika = :kodRadnika AND OIB='$OIB'";
        break;
    default:
        $query = " 
        SELECT *
        FROM maticna_radnika
        WHERE kodRadnika = :kodRadnika";
        break;
    }
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnika', $kodRadnka);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
  //      if(count($result)>0) {
        if ( !empty($result) ) {
            /*
            $query = " 
            SELECT r.*, p.`nazivPartnera` as nazivBanke
            FROM isplate_na_banke_maticna_radnika as r
            LEFT OUTER JOIN partner as p ON p.kodPartnera=r.kodBanke
            WHERE kodRadnika = :kodRadnika";
            
            $statement = $db->prepare($query);
            $statement->bindValue(':kodRadnika', $kodRadnka);
            $statement->execute();
            $p=$statement->fetchAll();;
             * 
             */
            $p=get_isplate_na_banke_maticna_radnika_1radnik($kodRadnka);
       //     if(count($p)>0)
            if (!empty($p))
                $result['isplate_na_banke_maticna_radnika'] = $p;
            $statement->closeCursor();
        }
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_radnik1($kodRadnka) {
     global $db;
    $query = " 
        SELECT *
        FROM maticna_radnika
        WHERE kodRadnika = :kodRadnika"; 
    
     try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnika', $kodRadnka);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
}
function get_radnik_po_OIBu($OIB) {
     global $db;
    $query = " 
        SELECT *
        FROM maticna_radnika
        WHERE OIB = :OIB"; 
    
     try {
        $statement = $db->prepare($query);
        $statement->bindValue(':OIB', $OIB);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
}
function add_maticna_radnika($slog) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    ///*
    $query = "
        INSERT INTO maticna_radnika
        (
            kodRadnika,
            imeIprezime,
            spol,
            OIB,
            statusRadnika,
            datumRodjenja,
            mjestoRodjenja,
            drzavljanstvo,
            dozvolaZaBoravakIrad,
  
            mjestoBoravka,
            ulicaIbroj,
            posPretinac,
            brojPoste,
            mjestoPoste,
            opcinaPrebivalista,
        
            pocetakRadaSatMin,
            zavrsetakRadaSatMin,
            redovniSatiSubotom,
            pocetakSubotom,   
            zavrsetakSubotom,
            redovniSatiNaDan,
            godisnjiOdmorOd, 
            godisnjiOdmorDo,
            bolovanjeFirmaOd,
            bolovanjeFirmaDo, 
            bolovanjeHZZOod,   
            bolovanjeHZZOdo,
            porodiljskiOd,    
            porodiljskiDo,
            
            strucnaSprema,
            posebniIspitiTecajevi,
            zanimanje,
            posaoKojiObavlja,
            pocetakRada,
            ugovorOradu,
            odredjenoOd1,
            odredjenoDo1,
            odredjenoOd2,
            odredjenoDo2,
            odredivoDo,
            trajanjeProbnogRada,
            trajanjePripravnickogStaza,
            vrijemeIrezultatPripIspita,
            radUinozemstvu,
            privremenoUstupanjeRadnika,
            beneficiraniStaz,
            nacinRacunanjaBstaza,
            potrebnoUtvrZdrSposobnosti,
            redovitiPregledi,
            mjestoRada,
            radNaRaznimMjestima,
            tjednoRadnoVrijeme,
            TRVpunoSkracenoNepuno,
            MstazDoPocetkaRadaKodP,
            MstazDoPocetkaRadaKodPtekst,
            mirovanjeROod,
            mirovanjeROdo,
            mirovanjeROodRodiljni,
            mirovanjeROdoRodiljni,
            mirovanjeROodRoditeljski,
            mirovanjeROdoRoditeljski,
            datumPrestankaRO,
            razlogPrestankaRO,
  
            polaznaOsnovica,
            koeficijentSlozenostiPosla,
            stazZaObracun, 
            stimulacija,
            postoIliIznosStimulacija,
            drugiStup,
            prijevoz,
            
            kojaVrstaZaDjecu,
            kojaVrstaZaUzdrzavane,
            kojaVrstaZaInvalidnost,
            
            bodovi,
            pravoNaGO,
            iskoristeniGO,
            stariGO,
            registarskiBrojRadnika,
            opcinaMjestaRada,
            vrstaObracuna,
                       
            komentar,  
  
            pocetakVodjenjaE,
            zakljucenjeVodjenjaE,
            
            stazIzvanFirmeG,
            stazIzvanFirmeM,
            stazIzvanFirmeD,
            prekidStazaG,
            prekidStazaM,
            prekidStazaD,

            datumOtvaranja,
            tkoJeIzmjenio
     
        )
        VALUES
        (
            :kodRadnika,
            :imeIprezime,
            :spol,
            :OIB,
            :statusRadnika,
            
            :datumRodjenja,
            :mjestoRodjenja,
            :drzavljanstvo,
            :dozvolaZaBoravakIrad,
  
            :mjestoBoravka,
            :ulicaIbroj,
            :posPretinac,
            :brojPoste,
            :mjestoPoste,
            :opcinaPrebivalista,
              
            :pocetakRadaSatMin,
            :zavrsetakRadaSatMin,
            :redovniSatiSubotom,
            :pocetakSubotom,   
            :zavrsetakSubotom,
            :redovniSatiNaDan,
            :godisnjiOdmorOd, 
            :godisnjiOdmorDo,
            :bolovanjeFirmaOd,
            :bolovanjeFirmaDo, 
            :bolovanjeHZZOod,   
            :bolovanjeHZZOdo,
            :porodiljskiOd,    
            :porodiljskiDo,
            
            :strucnaSprema,
            :posebniIspitiTecajevi,
            :zanimanje,
            :posaoKojiObavlja,
            :pocetakRada,
            :ugovorOradu,
            :odredjenoOd1,
            :odredjenoDo1,
            :odredjenoOd2,
            :odredjenoDo2,
            :odredivoDo,
            :trajanjeProbnogRada,
            :trajanjePripravnickogStaza,
            :vrijemeIrezultatPripIspita,
            :radUinozemstvu,
            :privremenoUstupanjeRadnika,
            :beneficiraniStaz,
            :nacinRacunanjaBstaza,
            :potrebnoUtvrZdrSposobnosti,
            :redovitiPregledi,
            :mjestoRada,
            :radNaRaznimMjestima,
            :tjednoRadnoVrijeme,
            :TRVpunoSkracenoNepuno,
            :MstazDoPocetkaRadaKodP,
            :MstazDoPocetkaRadaKodPtekst,
            :mirovanjeROod,
            :mirovanjeROdo,
            :mirovanjeROodRodiljni,
            :mirovanjeROdoRodiljni,
            :mirovanjeROodRoditeljski,
            :mirovanjeROdoRoditeljski,
            :datumPrestankaRO,
            :razlogPrestankaRO,
  
            :polaznaOsnovica,
            :koeficijentSlozenostiPosla,
            :stazZaObracun, 
            :stimulacija,
            :postoIliIznosStimulacija,
            :drugiStup,
            :prijevoz,
            
             :kojaVrstaZaDjecu, 
             :kojaVrstaZaUzdrzavane,   
             :kojaVrstaZaInvalidnost, 
             
            :bodovi,
            :pravoNaGO,
            :iskoristeniGO,
            :stariGO,
            :registarskiBrojRadnika,
            :opcinaMjestaRada,
            :vrstaObracuna,            
 
            :komentar,  
  
            :pocetakVodjenjaE,
            :zakljucenjeVodjenjaE,

            :stazIzvanFirmeG,
            :stazIzvanFirmeM,
            :stazIzvanFirmeD,
            :prekidStazaG,
            :prekidStazaM,
            :prekidStazaD,

         
            NOW(), 
            :email_user 
        )";
    try {
        $statement = $db->prepare($query);
        
        $statement->bindValue(':kodRadnika',$slog['kodRadnika']);   
        $statement->bindValue(':imeIprezime',$slog['imeIprezime']); 
        $statement->bindValue(':spol',$slog['spol']);
        $statement->bindValue(':OIB',trim($slog['OIB'])); 
        $statement->bindValue(':statusRadnika',$slog['statusRadnika']);
        
        $d1=new DateTime($slog['datumRodjenja']);
        $datum = $d1->format('Y-m-d');
        $statement->bindValue(':datumRodjenja',$datum);
        $statement->bindValue(':mjestoRodjenja',$slog['mjestoRodjenja']);
        $statement->bindValue(':drzavljanstvo',$slog['drzavljanstvo']);
        $statement->bindValue(':dozvolaZaBoravakIrad',$slog['dozvolaZaBoravakIrad']);
  
        $statement->bindValue(':mjestoBoravka',$slog['mjestoBoravka']);
        
        $statement->bindValue(':ulicaIbroj',$slog['ulicaIbroj']);
        $statement->bindValue(':posPretinac',$slog['posPretinac']);
        $statement->bindValue(':brojPoste',$slog['brojPoste']);
        $statement->bindValue(':mjestoPoste',$slog['mjestoPoste']); 
        $statement->bindValue(':opcinaPrebivalista',$slog['opcinaPrebivalista']); 
  
        $statement->bindValue(':redovniSatiNaDan',$slog['redovniSatiNaDan']);
        $statement->bindValue(':pocetakRadaSatMin',$slog['pocetakRadaSatMin']); 
        $statement->bindValue(':zavrsetakRadaSatMin',$slog['zavrsetakRadaSatMin']);
        if(trim($slog['redovniSatiSubotom'])=='')
            $statement->bindValue(':redovniSatiSubotom', null, PDO::PARAM_NULL);
        else
            $statement->bindValue(':redovniSatiSubotom',$slog['redovniSatiSubotom']);
        $statement->bindValue('pocetakSubotom',$slog['pocetakSubotom']);   
        $statement->bindValue('zavrsetakSubotom',$slog['zavrsetakSubotom']); 
        
        if(trim($slog['godisnjiOdmorOd'])=='')
            $statement->bindValue(':godisnjiOdmorOd', null, PDO::PARAM_NULL);   
        else    
        {
            $d1=new DateTime($slog['godisnjiOdmorOd']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':godisnjiOdmorOd', $datum);
        }
        if(trim($slog['godisnjiOdmorDo'])=='')
            $statement->bindValue(':godisnjiOdmorDo', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['godisnjiOdmorDo']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':godisnjiOdmorDo', $datum);
        }

        if(trim($slog['bolovanjeFirmaOd'])=='')
            $statement->bindValue(':bolovanjeFirmaOd', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['bolovanjeFirmaOd']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':bolovanjeFirmaOd', $datum);
        }
        if(trim($slog['bolovanjeFirmaDo'])=='')
            $statement->bindValue(':bolovanjeFirmaDo', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['bolovanjeFirmaDo']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':bolovanjeFirmaDo', $datum);
        }
        
        if(trim($slog['bolovanjeHZZOod'])=='')
            $statement->bindValue(':bolovanjeHZZOod', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['bolovanjeHZZOod']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':bolovanjeHZZOod', $datum);
        }
        if(trim($slog['bolovanjeHZZOdo'])=='')
            $statement->bindValue(':bolovanjeHZZOdo', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['bolovanjeHZZOdo']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':bolovanjeHZZOdo', $datum);
        }

        if(trim($slog['bolovanjeHZZOod'])=='')
            $statement->bindValue(':bolovanjeHZZOod', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['bolovanjeHZZOod']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':bolovanjeHZZOod', $datum);
        }
        if(trim($slog['porodiljskiOd'])=='')
            $statement->bindValue(':porodiljskiOd', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['porodiljskiOd']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':porodiljskiOd', $datum);
        }
        if(trim($slog['porodiljskiDo'])=='')
            $statement->bindValue(':porodiljskiDo', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['porodiljskiDo']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':porodiljskiDo', $datum);
        }
  
        $statement->bindValue(':polaznaOsnovica',str_replace(',', '.', $slog['polaznaOsnovica']));
        $statement->bindValue(':koeficijentSlozenostiPosla',str_replace(',', '.', $slog['koeficijentSlozenostiPosla']));
        $statement->bindValue(':stazZaObracun',str_replace(',', '.', $slog['stazZaObracun'])); 
        $statement->bindValue(':stimulacija',str_replace(',', '.', $slog['stimulacija'])); 
        $statement->bindValue(':postoIliIznosStimulacija',$slog['postoIliIznosStimulacija']); 
        $statement->bindValue(':drugiStup',$slog['drugiStup']); 
        $statement->bindValue(':prijevoz',str_replace(',', '.', $slog['prijevoz']));
        $statement->bindValue(':bodovi',str_replace(',', '.', $slog['bodovi'])); 
        $statement->bindValue(':pravoNaGO',$slog['pravoNaGO']);
        $statement->bindValue(':iskoristeniGO',$slog['iskoristeniGO']);
        $statement->bindValue(':stariGO',$slog['stariGO']);
        $statement->bindValue(':registarskiBrojRadnika',$slog['registarskiBrojRadnika']);
        $statement->bindValue(':opcinaMjestaRada',$slog['opcinaMjestaRada']);    
  
        $statement->bindValue(':strucnaSprema',$slog['strucnaSprema']);
        $statement->bindValue(':posebniIspitiTecajevi',$slog['posebniIspitiTecajevi']);
        $statement->bindValue(':zanimanje',$slog['zanimanje']);
        $statement->bindValue(':posaoKojiObavlja',$slog['posaoKojiObavlja']);
        if(trim($slog['pocetakRada'])=='')
            $statement->bindValue(':pocetakRada', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['pocetakRada']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':pocetakRada', $datum);
        }
        $statement->bindValue(':ugovorOradu',$slog['ugovorOradu']);

        if(trim($slog['odredjenoOd1'])=='')
            $statement->bindValue(':odredjenoOd1', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['odredjenoOd1']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':odredjenoOd1', $datum);
        }
        if(trim($slog['odredjenoDo1'])=='')
            $statement->bindValue(':odredjenoDo1', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['odredjenoDo1']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':odredjenoDo1', $datum);
        }

        if(trim($slog['odredjenoOd2'])=='')
            $statement->bindValue(':odredjenoOd2', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['odredjenoOd2']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':odredjenoOd2', $datum);
        }
        if(trim($slog['odredjenoDo2'])=='')
            $statement->bindValue(':odredjenoDo2', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['odredjenoDo2']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':odredjenoDo2', $datum);
        }

        if(trim($slog['odredivoDo'])=='')
            $statement->bindValue(':odredivoDo', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['odredivoDo']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':odredivoDo', $datum);
        }
        
        $statement->bindValue(':trajanjeProbnogRada',$slog['trajanjeProbnogRada']);
        $statement->bindValue(':trajanjePripravnickogStaza',$slog['trajanjePripravnickogStaza']);
        $statement->bindValue(':vrijemeIrezultatPripIspita',$slog['vrijemeIrezultatPripIspita']);
        $statement->bindValue(':radUinozemstvu',$slog['radUinozemstvu']);
        $statement->bindValue(':privremenoUstupanjeRadnika',$slog['privremenoUstupanjeRadnika']);
        $statement->bindValue(':beneficiraniStaz',$slog['beneficiraniStaz']);
        $statement->bindValue(':nacinRacunanjaBstaza',$slog['nacinRacunanjaBstaza']);
        $statement->bindValue(':potrebnoUtvrZdrSposobnosti',$slog['potrebnoUtvrZdrSposobnosti']);
        $statement->bindValue(':redovitiPregledi',$slog['redovitiPregledi']);
        $statement->bindValue(':mjestoRada',$slog['mjestoRada']); 
        $statement->bindValue(':radNaRaznimMjestima',$slog['radNaRaznimMjestima']);
        $statement->bindValue(':tjednoRadnoVrijeme',$slog['tjednoRadnoVrijeme']);
        $statement->bindValue(':TRVpunoSkracenoNepuno',$slog['TRVpunoSkracenoNepuno']);
        $statement->bindValue(':MstazDoPocetkaRadaKodP',$slog['MstazDoPocetkaRadaKodP']);
        $statement->bindValue(':MstazDoPocetkaRadaKodPtekst',$slog['MstazDoPocetkaRadaKodPtekst']);

        if(trim($slog['mirovanjeROod'])=='')
            $statement->bindValue(':mirovanjeROod', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['mirovanjeROod']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':mirovanjeROod', $datum);
        }
        if(trim($slog['mirovanjeROdo'])=='')
            $statement->bindValue(':mirovanjeROdo', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['mirovanjeROdo']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':mirovanjeROdo', $datum);
        }

        if(trim($slog['mirovanjeROodRodiljni'])=='')
            $statement->bindValue(':mirovanjeROodRodiljni', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['mirovanjeROodRodiljni']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':mirovanjeROodRodiljni', $datum);
        }
        if(trim($slog['mirovanjeROdoRodiljni'])=='')
            $statement->bindValue(':mirovanjeROdoRodiljni', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['mirovanjeROdoRodiljni']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':mirovanjeROdoRodiljni', $datum);
        }

        if(trim($slog['mirovanjeROodRoditeljski'])=='')
            $statement->bindValue(':mirovanjeROodRoditeljski', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['mirovanjeROodRoditeljski']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':mirovanjeROodRoditeljski', $datum);
        }
        if(trim($slog['mirovanjeROdoRoditeljski'])=='')
            $statement->bindValue(':mirovanjeROdoRoditeljski', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['mirovanjeROdoRoditeljski']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':mirovanjeROdoRoditeljski', $datum);
        }

        if(trim($slog['datumPrestankaRO'])=='')
            $statement->bindValue(':datumPrestankaRO', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['datumPrestankaRO']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':datumPrestankaRO', $datum);
        }
        $statement->bindValue(':razlogPrestankaRO',$slog['razlogPrestankaRO']); 
 
        $statement->bindValue(':komentar',$slog['komentar']);
  
        if(trim($slog['pocetakVodjenjaE'])=='')
            $statement->bindValue(':pocetakVodjenjaE', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['pocetakVodjenjaE']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':pocetakVodjenjaE', $datum);
        }
        if(trim($slog['zakljucenjeVodjenjaE'])=='')
            $statement->bindValue(':zakljucenjeVodjenjaE', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['zakljucenjeVodjenjaE']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':zakljucenjeVodjenjaE', $datum);
        }
        $statement->bindValue(':vrstaObracuna',$slog['vrstaObracuna']);
        if(trim($slog['kojaVrstaZaDjecu'])=='')
            $statement->bindValue(':kojaVrstaZaDjecu', null, PDO::PARAM_NULL);
        else
            $statement->bindValue(':kojaVrstaZaDjecu',$slog['kojaVrstaZaDjecu']);
        if(trim($slog['kojaVrstaZaUzdrzavane'])=='')
            $statement->bindValue(':kojaVrstaZaUzdrzavane', null, PDO::PARAM_NULL);
        else
            $statement->bindValue(':kojaVrstaZaUzdrzavane',$slog['kojaVrstaZaUzdrzavane']);
        if(trim($slog['kojaVrstaZaInvalidnost'])=='')
            $statement->bindValue(':kojaVrstaZaInvalidnost', null, PDO::PARAM_NULL);
        else
            $statement->bindValue(':kojaVrstaZaInvalidnost',$slog['kojaVrstaZaInvalidnost']);
        
        $statement->bindValue(':stazIzvanFirmeG',$slog['stazIzvanFirmeG']);
        $statement->bindValue(':stazIzvanFirmeM',$slog['stazIzvanFirmeM']);
        $statement->bindValue(':stazIzvanFirmeD',$slog['stazIzvanFirmeD']);
        $statement->bindValue(':prekidStazaG',$slog['prekidStazaG']);
        $statement->bindValue(':prekidStazaM',$slog['prekidStazaM']);
        $statement->bindValue(':prekidStazaD',$slog['prekidStazaD']);
  
        
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
        //return $poreznaGrupa;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
     // */
}

/*
function update_maticna_radnika($slog) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    ///*
    //echo 'Prije query';
    $query = '
        UPDATE maticna_radnika
        SET 
            imeIprezime=:imeIprezime,
            spol=:spol,
            OIB=:OIB,
            statusRadnika=:statusRadnika,            
            datumRodjenja=:datumRodjenja,
            mjestoRodjenja=:mjestoRodjenja,
            drzavljanstvo=:drzavljanstvo,
            dozvolaZaBoravakIrad=:dozvolaZaBoravakIrad,
  
            mjestoBoravka=:mjestoBoravka,
            ulicaIbroj=:ulicaIbroj,
            posPretinac=:posPretinac,
            brojPoste=:brojPoste,
            mjestoPoste=:mjestoPoste,
            opcinaPrebivalista=:opcinaPrebivalista,
             
            pocetakRadaSatMin=:pocetakRadaSatMin,
            zavrsetakRadaSatMin=:zavrsetakRadaSatMin,
            redovniSatiSubotom=:redovniSatiSubotom,
            pocetakSubotom=:pocetakSubotom,   
            zavrsetakSubotom=:zavrsetakSubotom,
            redovniSatiNaDan=:redovniSatiNaDan,
            godisnjiOdmorOd=:godisnjiOdmorOd, 
            godisnjiOdmorDo=:godisnjiOdmorDo,
            bolovanjeFirmaOd=:bolovanjeFirmaOd,
            bolovanjeFirmaDo=:bolovanjeFirmaDo, 
            bolovanjeHZZOod=:bolovanjeHZZOod,   
            bolovanjeHZZOdo=:bolovanjeHZZOdo,
            porodiljskiOd=:porodiljskiOd,    
            porodiljskiDo=:porodiljskiDo,
            
            strucnaSprema=:strucnaSprema,
            posebniIspitiTecajevi=:posebniIspitiTecajevi,
            zanimanje=:zanimanje,
            posaoKojiObavlja=:posaoKojiObavlja,
            pocetakRada=:pocetakRada,
            ugovorOradu=:ugovorOradu,
            odredjenoOd1=:odredjenoOd1,
            odredjenoDo1=:odredjenoDo1,
            odredjenoOd2=:odredjenoOd2,
            odredjenoDo2=:odredjenoDo2,
            odredivoDo=:odredivoDo,
            trajanjeProbnogRada=:trajanjeProbnogRada,
            trajanjePripravnickogStaza=:trajanjePripravnickogStaza,
            vrijemeIrezultatPripIspita=:vrijemeIrezultatPripIspita,
            radUinozemstvu=:radUinozemstvu,
            privremenoUstupanjeRadnika=:privremenoUstupanjeRadnika,
            beneficiraniStaz=:beneficiraniStaz,
            nacinRacunanjaBstaza=:nacinRacunanjaBstaza,
            potrebnoUtvrZdrSposobnosti=:potrebnoUtvrZdrSposobnosti,
            redovitiPregledi=:redovitiPregledi,
            mjestoRada=:mjestoRada,
            radNaRaznimMjestima=:radNaRaznimMjestima,
            tjednoRadnoVrijeme=:tjednoRadnoVrijeme,
            TRVpunoSkracenoNepuno=:TRVpunoSkracenoNepuno,
            MstazDoPocetkaRadaKodP=:MstazDoPocetkaRadaKodP,
            MstazDoPocetkaRadaKodPtekst=:MstazDoPocetkaRadaKodPtekst,
            mirovanjeROod=:mirovanjeROod,
            mirovanjeROdo=:mirovanjeROdo,
            mirovanjeROodRodiljni=:mirovanjeROodRodiljni,
            mirovanjeROdoRodiljni=:mirovanjeROdoRodiljni,
            mirovanjeROodRoditeljski=:mirovanjeROodRoditeljski,
            mirovanjeROdoRoditeljski=:mirovanjeROdoRoditeljski,
            datumPrestankaRO=:datumPrestankaRO,
            razlogPrestankaRO=:razlogPrestankaRO,
  
            polaznaOsnovica=:polaznaOsnovica,
            koeficijentSlozenostiPosla=:koeficijentSlozenostiPosla,
            stazZaObracun=:stazZaObracun, 
            stimulacija=:stimulacija,
            postoIliIznosStimulacija=:postoIliIznosStimulacija,
            drugiStup=:drugiStup,
            prijevoz=:prijevoz,

            kojaVrstaZaDjecu=:kojaVrstaZaDjecu,
            kojaVrstaZaUzdrzavane=:kojaVrstaZaUzdrzavane,
            kojaVrstaZaInvalidnost=:kojaVrstaZaInvalidnost,

            bodovi=:bodovi,
            pravoNaGO=:pravoNaGO,
            iskoristeniGO=:iskoristeniGO,
            stariGO=:stariGO,
            registarskiBrojRadnika=:registarskiBrojRadnika,
            opcinaMjestaRada=:opcinaMjestaRada,
            vrstaObracuna=:vrstaObracuna,
            
            komentar=:komentar,  
  
            pocetakVodjenjaE=:pocetakVodjenjaE,
            zakljucenjeVodjenjaE=:zakljucenjeVodjenjaE,
       
            datumIzmjene = NOW(),
            tkoJeIzmjenio = :email_user
        WHERE kodRadnika=:kodRadnika';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnika',$slog['kodRadnika']);   
        $statement->bindValue(':imeIprezime',$slog['imeIprezime']); 
        $statement->bindValue(':spol',$slog['spol']);
        $statement->bindValue(':OIB',trim($slog['OIB'])); 
        $statement->bindValue(':statusRadnika',$slog['statusRadnika']);
       
        $d1=new DateTime($slog['datumRodjenja']);
        $datum = $d1->format('Y-m-d');
        $statement->bindValue(':datumRodjenja',$datum);
        $statement->bindValue(':mjestoRodjenja',$slog['mjestoRodjenja']);
        $statement->bindValue(':drzavljanstvo',$slog['drzavljanstvo']);
        $statement->bindValue(':dozvolaZaBoravakIrad',$slog['dozvolaZaBoravakIrad']);
  
        $statement->bindValue(':mjestoBoravka',$slog['mjestoBoravka']);
        
        $statement->bindValue(':ulicaIbroj',$slog['ulicaIbroj']);
        $statement->bindValue(':posPretinac',$slog['posPretinac']);
        $statement->bindValue(':brojPoste',$slog['brojPoste']);
        $statement->bindValue(':mjestoPoste',$slog['mjestoPoste']); 
        $statement->bindValue(':opcinaPrebivalista',$slog['opcinaPrebivalista']); 
  
        $statement->bindValue(':redovniSatiNaDan',$slog['redovniSatiNaDan']);
        $statement->bindValue(':pocetakRadaSatMin',$slog['pocetakRadaSatMin']); 
        $statement->bindValue(':zavrsetakRadaSatMin',$slog['zavrsetakRadaSatMin']);
        if(trim($slog['redovniSatiSubotom'])=='')
            $statement->bindValue(':redovniSatiSubotom', null, PDO::PARAM_NULL);
        else
            $statement->bindValue(':redovniSatiSubotom',$slog['redovniSatiSubotom']);
        $statement->bindValue('pocetakSubotom',$slog['pocetakSubotom']);   
        $statement->bindValue('zavrsetakSubotom',$slog['zavrsetakSubotom']); 
        
        if(trim($slog['godisnjiOdmorOd'])=='')
            $statement->bindValue(':godisnjiOdmorOd', null, PDO::PARAM_NULL);   
        else    
        {
            $d1=new DateTime($slog['godisnjiOdmorOd']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':godisnjiOdmorOd', $datum);
        }
        if(trim($slog['godisnjiOdmorDo'])=='')
            $statement->bindValue(':godisnjiOdmorDo', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['godisnjiOdmorDo']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':godisnjiOdmorDo', $datum);
        }

        if(trim($slog['bolovanjeFirmaOd'])=='')
            $statement->bindValue(':bolovanjeFirmaOd', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['bolovanjeFirmaOd']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':bolovanjeFirmaOd', $datum);
        }
        if(trim($slog['bolovanjeFirmaDo'])=='')
            $statement->bindValue(':bolovanjeFirmaDo', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['bolovanjeFirmaDo']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':bolovanjeFirmaDo', $datum);
        }
        
        if(trim($slog['bolovanjeHZZOod'])=='')
            $statement->bindValue(':bolovanjeHZZOod', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['bolovanjeHZZOod']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':bolovanjeHZZOod', $datum);
        }
        if(trim($slog['bolovanjeHZZOdo'])=='')
            $statement->bindValue(':bolovanjeHZZOdo', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['bolovanjeHZZOdo']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':bolovanjeHZZOdo', $datum);
        }

        if(trim($slog['bolovanjeHZZOod'])=='')
            $statement->bindValue(':bolovanjeHZZOod', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['bolovanjeHZZOod']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':bolovanjeHZZOod', $datum);
        }
        if(trim($slog['porodiljskiOd'])=='')
            $statement->bindValue(':porodiljskiOd', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['porodiljskiOd']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':porodiljskiOd', $datum);
        }
        if(trim($slog['porodiljskiDo'])=='')
            $statement->bindValue(':porodiljskiDo', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['porodiljskiDo']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':porodiljskiDo', $datum);
        }
  
        $statement->bindValue(':polaznaOsnovica',str_replace(',', '.', $slog['polaznaOsnovica']));
        $statement->bindValue(':koeficijentSlozenostiPosla',str_replace(',', '.', $slog['koeficijentSlozenostiPosla']));
        $statement->bindValue(':stazZaObracun',str_replace(',', '.', $slog['stazZaObracun'])); 
        $statement->bindValue(':stimulacija',str_replace(',', '.', $slog['stimulacija'])); 
        $statement->bindValue(':postoIliIznosStimulacija',$slog['postoIliIznosStimulacija']); 
        $statement->bindValue(':drugiStup',$slog['drugiStup']); 
        $statement->bindValue(':prijevoz',str_replace(',', '.', $slog['prijevoz']));
        $statement->bindValue(':bodovi',str_replace(',', '.', $slog['bodovi'])); 
        $statement->bindValue(':pravoNaGO',$slog['pravoNaGO']);
        $statement->bindValue(':iskoristeniGO',$slog['iskoristeniGO']);
        $statement->bindValue(':stariGO',$slog['stariGO']);
        $statement->bindValue(':registarskiBrojRadnika',$slog['registarskiBrojRadnika']);
        $statement->bindValue(':opcinaMjestaRada',$slog['opcinaMjestaRada']);    
    
        $statement->bindValue(':strucnaSprema',$slog['strucnaSprema']);
        $statement->bindValue(':posebniIspitiTecajevi',$slog['posebniIspitiTecajevi']);
        $statement->bindValue(':zanimanje',$slog['zanimanje']);
        $statement->bindValue(':posaoKojiObavlja',$slog['posaoKojiObavlja']);
        if(trim($slog['pocetakRada'])=='')
            $statement->bindValue(':pocetakRada', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['pocetakRada']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':pocetakRada', $datum);
        }
        $statement->bindValue(':ugovorOradu',$slog['ugovorOradu']);

        if(trim($slog['odredjenoOd1'])=='')
            $statement->bindValue(':odredjenoOd1', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['odredjenoOd1']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':odredjenoOd1', $datum);
        }
        if(trim($slog['odredjenoDo1'])=='')
            $statement->bindValue(':odredjenoDo1', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['odredjenoDo1']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':odredjenoDo1', $datum);
        }

        if(trim($slog['odredjenoOd2'])=='')
            $statement->bindValue(':odredjenoOd2', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['odredjenoOd2']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':odredjenoOd2', $datum);
        }
        if(trim($slog['odredjenoDo2'])=='')
            $statement->bindValue(':odredjenoDo2', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['odredjenoDo2']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':odredjenoDo2', $datum);
        }

        if(trim($slog['odredivoDo'])=='')
            $statement->bindValue(':odredivoDo', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['odredivoDo']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':odredivoDo', $datum);
        }
        
        $statement->bindValue(':trajanjeProbnogRada',$slog['trajanjeProbnogRada']);
        $statement->bindValue(':trajanjePripravnickogStaza',$slog['trajanjePripravnickogStaza']);
        $statement->bindValue(':vrijemeIrezultatPripIspita',$slog['vrijemeIrezultatPripIspita']);
        $statement->bindValue(':radUinozemstvu',$slog['radUinozemstvu']);
        $statement->bindValue(':privremenoUstupanjeRadnika',$slog['privremenoUstupanjeRadnika']);
        $statement->bindValue(':beneficiraniStaz',$slog['beneficiraniStaz']);
        $statement->bindValue(':nacinRacunanjaBstaza',$slog['nacinRacunanjaBstaza']);
        $statement->bindValue(':potrebnoUtvrZdrSposobnosti',$slog['potrebnoUtvrZdrSposobnosti']);
        $statement->bindValue(':redovitiPregledi',$slog['redovitiPregledi']);
        $statement->bindValue(':mjestoRada',$slog['mjestoRada']); 
        $statement->bindValue(':radNaRaznimMjestima',$slog['radNaRaznimMjestima']);
        $statement->bindValue(':tjednoRadnoVrijeme',$slog['tjednoRadnoVrijeme']);
        $statement->bindValue(':TRVpunoSkracenoNepuno',$slog['TRVpunoSkracenoNepuno']);
        $statement->bindValue(':MstazDoPocetkaRadaKodP',$slog['MstazDoPocetkaRadaKodP']);
        $statement->bindValue(':MstazDoPocetkaRadaKodPtekst',$slog['MstazDoPocetkaRadaKodPtekst']);

        if(trim($slog['mirovanjeROod'])=='')
            $statement->bindValue(':mirovanjeROod', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['mirovanjeROod']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':mirovanjeROod', $datum);
        }
        if(trim($slog['mirovanjeROdo'])=='')
            $statement->bindValue(':mirovanjeROdo', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['mirovanjeROdo']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':mirovanjeROdo', $datum);
        }

        if(trim($slog['mirovanjeROodRodiljni'])=='')
            $statement->bindValue(':mirovanjeROodRodiljni', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['mirovanjeROodRodiljni']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':mirovanjeROodRodiljni', $datum);
        }
        if(trim($slog['mirovanjeROdoRodiljni'])=='')
            $statement->bindValue(':mirovanjeROdoRodiljni', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['mirovanjeROdoRodiljni']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':mirovanjeROdoRodiljni', $datum);
        }

        if(trim($slog['mirovanjeROodRoditeljski'])=='')
            $statement->bindValue(':mirovanjeROodRoditeljski', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['mirovanjeROodRoditeljski']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':mirovanjeROodRoditeljski', $datum);
        }
        if(trim($slog['mirovanjeROdoRoditeljski'])=='')
            $statement->bindValue(':mirovanjeROdoRoditeljski', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['mirovanjeROdoRoditeljski']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':mirovanjeROdoRoditeljski', $datum);
        }

        if(trim($slog['datumPrestankaRO'])=='')
            $statement->bindValue(':datumPrestankaRO', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['datumPrestankaRO']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':datumPrestankaRO', $datum);
        }
        $statement->bindValue(':razlogPrestankaRO',$slog['razlogPrestankaRO']); 
 
        $statement->bindValue(':komentar',$slog['komentar']);
  
        if(trim($slog['pocetakVodjenjaE'])=='')
            $statement->bindValue(':pocetakVodjenjaE', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['pocetakVodjenjaE']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':pocetakVodjenjaE', $datum);
        }
        if(trim($slog['zakljucenjeVodjenjaE'])=='')
            $statement->bindValue(':zakljucenjeVodjenjaE', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($slog['zakljucenjeVodjenjaE']);
            $datum = $d1->format('Y-m-d');
            $statement->bindValue(':zakljucenjeVodjenjaE', $datum);
        }
        $statement->bindValue(':vrstaObracuna',$slog['vrstaObracuna']);
        if(trim($slog['kojaVrstaZaDjecu'])=='')
            $statement->bindValue(':kojaVrstaZaDjecu', null, PDO::PARAM_NULL);
        else
            $statement->bindValue(':kojaVrstaZaDjecu',$slog['kojaVrstaZaDjecu']);
        if(trim($slog['kojaVrstaZaUzdrzavane'])=='')
            $statement->bindValue(':kojaVrstaZaUzdrzavane', null, PDO::PARAM_NULL);
        else
            $statement->bindValue(':kojaVrstaZaUzdrzavane',$slog['kojaVrstaZaUzdrzavane']);
        if(trim($slog['kojaVrstaZaInvalidnost'])=='')
            $statement->bindValue(':kojaVrstaZaInvalidnost', null, PDO::PARAM_NULL);
        else
            $statement->bindValue(':kojaVrstaZaInvalidnost',$slog['kojaVrstaZaInvalidnost']);

        $statement->bindValue(':email_user', $email_user); 
        // echo 'Prije execute';
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
     // 
}
*/

function delete_maticna_radnika($kodRadnika) {
    global $db;
    $query = 'DELETE FROM maticna_radnika WHERE kodRadnika = :kodRadnika';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->execute();
        $statement->closeCursor();
        delete_isplate_na_banke_maticna_radnika($kodRadnika);
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function kontrola_oiba_radnika($kodRadnika, $OIB) {
    global $db;
    $query = 'SELECT * FROM maticna_radnika WHERE OIB=:OIB AND kodRadnika <> :kodRadnika';
    $statement = $db->prepare($query);
    $statement->bindValue(':kodRadnika', $kodRadnika);
    $statement->bindValue(':OIB', $OIB);
    $statement->execute();
    $partner = $statement->fetchAll();
    $statement->closeCursor();
    return $partner;
}

function starost_radnika_na_dan($kodRadnika, $datum='') {
    global $db;
    $query = 'SELECT datumRodjenja FROM maticna_radnika WHERE kodRadnika = :kodRadnika';
    $statement = $db->prepare($query);
    $statement->bindValue(':kodRadnika', $kodRadnika);
    $statement->execute();
    $radnik = $statement->fetch();
    $statement->closeCursor();

    $datumD = new DateTime($datum);
    //$datumD = trim($datum)=='' ? new DateTime() : new DateTime($datum);
    $datumRodjenja = new DateTime($radnik["datumRodjenja"]);
    $interval = $datumD->diff($datumRodjenja);
    $dob['godine'] = $interval->y;
    $dob['mjeseci'] = $interval->m;
    $dob['dani'] = $interval->d;
    return $dob;
    // return $interval->format('%y-%m-%d');
}

function staz_radnika_na_dan($datumObracuna, $vrstaRadnika, $azuriraPodatke=true, $kodRadnika='') {
    global $db;
    $query = " 
            SELECT * 
            FROM maticna_radnika 
            WHERE (kodRadnika = :kodRadnika OR trim(:kodRadnika)='')
            AND (:vrstaRadnika='' OR (:vrstaRadnika='A' AND datumPrestankaRO is null) OR (:vrstaRadnika='N' AND datumPrestankaRO is not null))
            AND statusRadnika='redPla'
            ORDER BY ugovororadu, imeIprezime
            ";
    $statement = $db->prepare($query);
    $statement->bindValue(':kodRadnika', $kodRadnika);
    $statement->bindValue(':vrstaRadnika', $vrstaRadnika);
    $statement->execute();
    $radnici = $statement->fetchAll();
    $statement->closeCursor();

    // foreach ($radnici as $radnik) {  
    for ($i = 0; $i < count($radnici); $i++) {
        $datumDo = new DateTime($datumObracuna);
        $radnici[$i]['datumObracunaStaza'] = $datumDo->format(('Y-m-d'));

        // ako je radnik otišao iz firme
        if(isset($radnici[$i]['datumPrestankaRO'])) {
            if(trim($radnici[$i]['datumPrestankaRO'])!='' && $radnici[$i]['datumPrestankaRO']<$radnici[$i]['datumObracunaStaza'] ) {
                $datumDo = new DateTime($radnici[$i]['datumPrestankaRO']);
            }    
        }

        $pocetakRada = new DateTime($radnici[$i]["pocetakRada"]);
        
        // prekid staža
        if($radnici[$i]['prekidStazaG']!=0 || $radnici[$i]['prekidStazaM']!=0 || $radnici[$i]['prekidStazaD']!=0) {
            $s = 'P'.$radnici[$i]['prekidStazaG'].'Y'.$radnici[$i]['prekidStazaM'].'M'.$radnici[$i]['prekidStazaD'].'D';
            $prekidStaza = new DateInterval($s);
            $datumDo->sub($prekidStaza);
        }
        $interval = $datumDo->diff($pocetakRada);
        $radnici[$i]['stazUFirmiG'] = $interval->y;
        $radnici[$i]['stazUFirmiM'] = $interval->m;
        $radnici[$i]['stazUFirmiD'] = $interval->d;
        if($azuriraPodatke) {
            $email_user = $_SESSION['admin']['email'];

            $query = '
                UPDATE maticna_radnika
                SET 
                    stazUFirmiG=:stazUFirmiG,
                    stazUFirmiM=:stazUFirmiM,
                    stazUFirmiD=:stazUFirmiD,
                    datumObracunaStaza=:datumObracunaStaza,            

                    datumIzmjene = NOW(),
                    tkoJeIzmjenio = :email_user
                WHERE kodRadnika=:kodRadnika';
            try {
                $statement = $db->prepare($query);
                $statement->bindValue(':kodRadnika',$radnici[$i]['kodRadnika']);   
                $statement->bindValue(':stazUFirmiG',$radnici[$i]['stazUFirmiG']); 
                $statement->bindValue(':stazUFirmiM',$radnici[$i]['stazUFirmiM']);
                $statement->bindValue(':stazUFirmiD',trim($radnici[$i]['stazUFirmiD'])); 
                $statement->bindValue(':datumObracunaStaza',$radnici[$i]['datumObracunaStaza']);

                $statement->bindValue(':email_user', $email_user); 

                $statement->execute();
                $statement->closeCursor();
            } catch (PDOException $e) {
                $error_message = $e->getMessage();
                display_db_error($error_message);
            }
            
        }
    }

    return $radnici;
}

function strucneSpreme() {
    $pom =  array ('kod' => 'A', 'kratica' => 'NKV', 'naziv' => 'Nekvalificirani');
    $strucneSpreme['A']=$pom;

    $pom =  array ('kod' => 'B', 'kratica' => 'PKV', 'naziv' => 'Priučeni-polukvalificirani');
    $strucneSpreme['B']=$pom;

    $pom =  array ('kod' => 'C', 'kratica' => 'KV', 'naziv' => 'Kvalificirani');
    $strucneSpreme['C']=$pom;

    $pom =  array ('kod' => 'D', 'kratica' => 'VKV', 'naziv' => 'Visokokvalificirani');
    $strucneSpreme['D']=$pom;

    $pom =  array ('kod' => 'E', 'kratica' => 'NSS', 'naziv' => 'Niže stručno obrazovanje');
    $strucneSpreme['E']=$pom;

    $pom =  array ('kod' => 'F', 'kratica' => 'SSS', 'naziv' => 'Srednje stručno obrazovanje');
    $strucneSpreme['F']=$pom;

    $pom =  array ('kod' => 'G', 'kratica' => 'VŠS', 'naziv' => 'Više stručno obrazovanje');
    $strucneSpreme['G']=$pom;

    $pom =  array ('kod' => 'H', 'kratica' => 'VSS', 'naziv' => 'Visoko stručno obrazovanje');
    $strucneSpreme['H']=$pom;

    $pom =  array ('kod' => 'I', 'kratica' => 'Mr.sc.', 'naziv' => 'Magistar znanosti');
    $strucneSpreme['I']=$pom;

    $pom =  array ('kod' => 'J', 'kratica' => 'Dr.', 'naziv' => 'Doktor znanosti');
    $strucneSpreme['J']=$pom;

    return $strucneSpreme;
}

?>
