<?php

// This function calculates a shipping charge of $5 per item
// but it only charges shipping for the first 5 items
function trosakIsporuke() {
    $item_count = cart_item_count();
    $item_shipping = 35;   // $5 per item
    if ($item_count > 5) {
        $trosakIsporuke = $item_shipping * 5;
    } else {
        $trosakIsporuke = $item_shipping * $item_count;
    }
    return $trosakIsporuke;
}

// This function calcualtes the sales tax,
// but only for orders in California (CA)
function tax_amount($subtotal) {
    $shipping_address = get_address($_SESSION['user']['shipAddressID']);
    $state = $shipping_address['state'];
    $state = strtoupper($state);
    switch ($state) {
        case 'CA': $tax_rate = 0.09; break;
        default: $tax_rate = 0; break;
    }
  //  return round($subtotal * $tax_rate, 2);
}

function card_name($vrstaKartice) {
    switch($vrstaKartice){
	     case 1: 
           return 'Internet bankarstvor';
           break; 
		case 2: 
           return 'Klasično virmansko plaćanje';
           break; 
		case 3: 
           return 'Plaćanje pouzećem';
           break;
        case 4: 
           return 'MasterCard';
           break;
        case 5: 
            return 'Visa';
            break;
        case 6: 
            return 'Discover';
            break;
        case 7:
            return 'American Express';
            break;
        default:
            return 'Nepoznat način plaćanja-kartice';
            break;
    }
}

function add_order($vrstaKartice, $brojKartice, $card_cvv, $vrijediDo, $komentarNarudzbeKupac) {
    global $db;
    $kodPartnera = $_SESSION['user']['kodPartnera'];
  //  $billing_id = $_SESSION['user']['billingAddressID'];
  //  $shipping_id = $_SESSION['user']['shipAddressID'];
      $trosakIsporuke = 0; 
   // $trosakIsporuke = trosakIsporuke();
    //$tax = tax_amount(cart_subtotal());
  //  $datum = date("Y-m-d H:i:s");
     $datum_o = new DateTime;
	 $datum = $datum_o->format("Y-m-d H:i:s");
	 $k_inicijalni = stripos($komentarNarudzbeKupac, 'Ako imate bilo kakav komentar,');
	 if ($k_inicijalni === 0) {
	     $komentarNarudzbeKupac = " ";
    }
	
    $query = '
         INSERT INTO narudzbe (kodPartnera, datum, trosakIsporuke, vrstaKartice, brojKartice, vrijediDo, komentarNarudzbeKupac)
         VALUES (:kodPartnera, :datum, :trosakIsporuke, :vrstaKartice, :brojKartice, :vrijediDo, :komentarNarudzbeKupac)';
    $statement = $db->prepare($query);
    $statement->bindValue(':kodPartnera', $kodPartnera);
    $statement->bindValue(':datum', $datum);
    $statement->bindValue(':trosakIsporuke', $trosakIsporuke);
 //  $statement->bindValue(':tax_amount', $tax);
 //   $statement->bindValue(':shipping_id', $shipping_id);
    $statement->bindValue(':vrstaKartice', $vrstaKartice);
    $statement->bindValue(':brojKartice', $brojKartice);
    $statement->bindValue(':vrijediDo', $vrijediDo);
	$statement->bindValue(':komentarNarudzbeKupac', $komentarNarudzbeKupac);
 //   $statement->bindValue(':billing_id', $billing_id);
    $statement->execute();
    $brojNarudzbe = $db->lastInsertId();
    $statement->closeCursor();
    return $brojNarudzbe;
}

function add_order_item($brojNarudzbe, $brojStavke, $kodRobe,
                        $cijena, $popust, $kolicina, $PDV, $poreznaGrupa) {
    global $db;
    $query = '
        INSERT INTO narudzbe_stavke (brojNarudzbe, brojStavke, kodRobe, cijena,
                                popust, kolicina, PDV, poreznaGrupa)
        VALUES (:brojNarudzbe, :brojStavke, :kodRobe, :cijena, :popust, :kolicina, :PDV, :poreznaGrupa)';
    $statement = $db->prepare($query);
    $statement->bindValue(':brojNarudzbe', $brojNarudzbe);
	$statement->bindValue(':brojStavke', $brojStavke);
    $statement->bindValue(':kodRobe', $kodRobe);
    $statement->bindValue(':cijena', $cijena);
    $statement->bindValue(':popust', $popust);
    $statement->bindValue(':kolicina', $kolicina);
	$statement->bindValue(':PDV', $PDV);
	$statement->bindValue(':poreznaGrupa', $poreznaGrupa);
    $statement->execute();
    $statement->closeCursor();
}

function get_order($brojNarudzbe) {
    global $db;
    $query = 'SELECT * FROM narudzbe WHERE brojNarudzbe = :brojNarudzbe';
    $statement = $db->prepare($query);
    $statement->bindValue(':brojNarudzbe', $brojNarudzbe);
    $statement->execute();
    $order = $statement->fetch();
    $statement->closeCursor();
    return $order;
}

function get_order_items($brojNarudzbe) {
    global $db;
    $query = 'SELECT * FROM narudzbe_stavke WHERE brojNarudzbe = :brojNarudzbe';
    $statement = $db->prepare($query);
    $statement->bindValue(':brojNarudzbe', $brojNarudzbe);
    $statement->execute();
    $order_items = $statement->fetchAll();
    $statement->closeCursor();
    return $order_items;
}

function get_orders_by_customer_id($kodPartnera) {
    global $db;
    $query = 'SELECT * FROM narudzbe WHERE kodPartnera = :kodPartnera
	ORDER BY brojNarudzbe DESC';
    $statement = $db->prepare($query);
    $statement->bindValue(':kodPartnera', $kodPartnera);
    $statement->execute();
    $order = $statement->fetchAll();
    $statement->closeCursor();
    return $order;
}

function get_unfilled_orders() {
    global $db;
    $query = 'SELECT * FROM narudzbe
              INNER JOIN partneri
              ON partneri.kodPartnera = narudzbe.kodPartnera
              WHERE datumIsporuke IS NULL ORDER BY datum';
    $statement = $db->prepare($query);
    $statement->execute();
    $orders = $statement->fetchAll();
    $statement->closeCursor();
    return $orders;
}

function get_filled_orders() {
    global $db;
    $query =
        'SELECT * FROM narudzbe
         INNER JOIN partneri
         ON partneri.kodPartnera = narudzbe.kodPartnera
         WHERE datumIsporuke IS NOT NULL ORDER BY datum';
    $statement = $db->prepare($query);
    $statement->execute();
    $orders = $statement->fetchAll();
    $statement->closeCursor();
    return $orders;
}

function set_datumIsporuke($brojNarudzbe) {
    global $db;
	$datum_o = new DateTime;
	$datumIsporuke = $datum_o->format("Y-m-d H:i:s");
    $query = '
         UPDATE narudzbe
         SET datumIsporuke = :datumIsporuke
         WHERE brojNarudzbe = :brojNarudzbe';
    $statement = $db->prepare($query);
    $statement->bindValue(':datumIsporuke', $datumIsporuke);
    $statement->bindValue(':brojNarudzbe', $brojNarudzbe);
    $statement->execute();
    $statement->closeCursor();
}
function set_datumPotvrdeOdKupca($brojNarudzbe) {
    global $db;
	$datum_o = new DateTime;
	$datumPotvrdeOdKupca = $datum_o->format("Y-m-d H:i:s");
    $query = '
         UPDATE narudzbe
         SET datumPotvrdeOdKupca = :datumPotvrdeOdKupca
         WHERE brojNarudzbe = :brojNarudzbe';
    $statement = $db->prepare($query);
    $statement->bindValue(':datumPotvrdeOdKupca', $datumPotvrdeOdKupca);
    $statement->bindValue(':brojNarudzbe', $brojNarudzbe);
    $statement->execute();
    $statement->closeCursor();
}
function set_datumOtkazaOdKupca($brojNarudzbe) {
    global $db;
	$datum_o = new DateTime;
	$datumOtkazaOdKupca = $datum_o->format("Y-m-d H:i:s");
    $query = '
         UPDATE narudzbe
         SET datumPotvrdeOdKupca = :datumPotvrdeOdKupca
         WHERE brojNarudzbe = :brojNarudzbe';
    $statement = $db->prepare($query);
    $statement->bindValue(':datumPotvrdeOdKupca', $datumPotvrdeOdKupca);
    $statement->bindValue(':brojNarudzbe', $brojNarudzbe);
    $statement->execute();
    $statement->closeCursor();
}
function set_potvrda($brojNarudzbe, $nacinIsporuke, $trosakIsporuke, $PDVisporuke, $komentarNarudzbeNas) {
    global $db;
	$datum_o = new DateTime;
	$datumPotvrdeOdNas = $datum_o->format("Y-m-d H:i:s");
    $query = '
         UPDATE narudzbe
         SET datumPotvrdeOdNas = :datumPotvrdeOdNas,
		     nacinIsporuke = :nacinIsporuke,
		     trosakIsporuke = :trosakIsporuke,
             PDVisporuke = :PDVisporuke,
             komentarNarudzbeNas = :komentarNarudzbeNas 		 
         WHERE brojNarudzbe = :brojNarudzbe';
    $statement = $db->prepare($query);
    $statement->bindValue(':datumPotvrdeOdNas', $datumPotvrdeOdNas);
	$statement->bindValue(':nacinIsporuke', $nacinIsporuke);
	$statement->bindValue(':trosakIsporuke', $trosakIsporuke);
	$statement->bindValue(':PDVisporuke', $PDVisporuke);
	$statement->bindValue(':komentarNarudzbeNas', $komentarNarudzbeNas);
    $statement->bindValue(':brojNarudzbe', $brojNarudzbe);
    $statement->execute();
    $statement->closeCursor();
}
function delete_order($brojNarudzbe) {
    global $db;
    $query = 'DELETE FROM narudzbe WHERE brojNarudzbe = :brojNarudzbe';
    $statement = $db->prepare($query);
    $statement->bindValue(':brojNarudzbe', $brojNarudzbe);
    $statement->execute();
    $statement->closeCursor();
}
?>