<?php
function get_products_by_category($proda, $kodGrupe) {
    global $db;
 //   echo  'Ulazim u get_products_by_category';
 //   exit;
    //$kojaStanja = 'neNul';
    $kojaStanja = 'svaStanja';
    if(isset($_REQUEST['rijec']))
        $rijec=$_REQUEST['rijec'];
    else 
        $rijec='';
    
    $rijec = '%' . $rijec . '%';
    if (isset($_SESSION['dok_zag']['vrsDo'])) {
        if ($_SESSION['dok_zag']['vrsDo'] == 'N ' || $_SESSION['dok_zag']['vrsDo'] == 'P ' || $_SESSION['dok_zag']['vrsDo'] ==  'U '
            || $_SESSION['dok_zag']['vrsDo'] == 'O ')
            $kojaStanja = 'svaStanja';
    }    
    if ($_SESSION['admin']['bazeZaKorisnika'] == 'murskiga_robno_akc')
        $kojaStanja = 'svaStanja';
    
    $query = '
        SELECT m.kodRobe, nazivRobe, jedinicaMjere, m.kodGrupe, m.cijena, poreznaGrupa, stanje, vrstaProdaje
        FROM maticna_robe m
        JOIN robne_grupe g ON m.kodGrupe = g.kodGrupe
	JOIN stanja s ON m.kodRobe = s.kodRobe
        WHERE (m.kodGrupe = :kodGrupe AND proda = :proda)
        AND ( nazivRobe LIKE :rijec or m.kodRobe LIKE :rijec )
        AND (NOT stanje = 0)
        ORDER BY m.cijena DESC';
    
    if ($kojaStanja == 'svaStanja')
    $query = '
        SELECT  m.kodRobe, nazivRobe, jedinicaMjere, m.kodGrupe, m.cijena, poreznaGrupa, SUM(stanje) AS stanje, vrstaProdaje
        FROM maticna_robe m
        JOIN robne_grupe g ON m.kodGrupe = g.kodGrupe
        JOIN stanja s  ON m.kodRobe = s.kodRobe
        WHERE (m.kodGrupe = :kodGrupe AND proda = :proda)
        AND ( nazivRobe LIKE :rijec or m.kodRobe LIKE :rijec )
        GROUP BY s.kodRobe 
        ORDER BY m.cijena DESC';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':proda', $proda);
        $statement->bindValue(':kodGrupe', $kodGrupe);
        $statement->bindValue(':rijec', $rijec);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_products_pregled($dioNaziva, $kodGrupe) {
    global $db;
    $query = "
        select kodRobe, nazivRobe, cijena, maticna_robe.poreznaGrupa, PDV, round(cijena*(1+PDV/100),3) as cijenaSPDV, 
        maticna_robe.kodGrupe, nazivGrupe, jedinicaMjere, popust
        from maticna_robe
        left outer join porezi on maticna_robe.poreznaGrupa= porezi.poreznaGrupa
        left outer join robne_grupe on maticna_robe.kodGrupe=robne_grupe.kodGrupe
        where (maticna_robe.kodGrupe = :kodGrupe or trim(:kodGrupe) ='')
          and 
        (nazivRobe like :dioNaziva or trim(:dioNaziva)='')
        order by nazivRobe
        ;";
    try {
        $statement = $db->prepare($query);
        $like = '';
        if(trim($dioNaziva)!='')
            $like ='%'.trim($dioNaziva).'%';
	$statement->bindValue(':dioNaziva', $like);
        $statement->bindValue(':kodGrupe', $kodGrupe);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_roba_na_skladistu_po_rijeci($dioNaziva, $kodGrupe, $proda, $predznak) {
    global $db;
    $query = "
        select distinct m.kodRobe, m.nazivRobe, m.cijena, m.poreznaGrupa, PDV, round(m.cijena*(1+PDV/100),3) as cijenaSPDV, 
        m.kodGrupe, nazivGrupe, jedinicaMjere
        from maticna_robe as m
        join stanja as st on st.`kodRobe`=m.`kodRobe`
        left outer join porezi as p on p.poreznaGrupa= m.poreznaGrupa
        left outer join robne_grupe g on g.kodGrupe=m.kodGrupe
        where (m.kodGrupe = :kodGrupe or trim(:kodGrupe) ='')
        and (nazivRobe like :dioNaziva or m.kodRobe like :dioNaziva or trim(:dioNaziva)='')
        and(proda=:proda or trim(:proda)='0')
        and (st.stanje<0 and :predznak='-' or st.stanje>0 and :predznak='+' or st.stanje=0 and :predznak='0' or trim(:predznak)='')
        and m.cijena>0
        order by nazivRobe
        ;";
    try {
        $statement = $db->prepare($query);
        $like = '';
        if(trim($dioNaziva)!='')
            $like ='%'.trim($dioNaziva).'%';
	$statement->bindValue(':dioNaziva', $like);
        $statement->bindValue(':kodGrupe', $kodGrupe);
        $statement->bindValue(':proda', $proda);
        $statement->bindValue(':predznak', $predznak);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function cijela_prodavaona($proda) {
    global $db;
    $query = '
        SELECT m.kodRobe, nazivRobe, jedinicaMjere, m.cijena, stanje, SUM(stanje) AS sum_stanje,
		SUM(stanje * m.cijena) AS iznosBezP, SUM(stanje * m.cijena * 1.25) AS iznosSaP, vrstaProdaje
        FROM maticna_robe m
           JOIN robne_grupe g
           ON m.kodGrupe = g.kodGrupe
		   JOIN stanja s
           ON m.kodRobe = s.kodRobe
        WHERE (m.kodGrupe = :kodGrupe AND proda = :proda)
        AND (NOT stanje = 0)
		GROUP BY m.kodGrupe
		ORDER BY m.cijena DESC';
    try {
        $statement = $db->prepare($query);
		$statement->bindValue(':proda', $proda);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_products_by_category_po_firmi($kodGrupe) {
    global $db;
    if(isset($_REQUEST['']))
        $rijec=$_REQUEST['rijec'];
    else 
        $rijec='';
    $rijec = '%' . $rijec . '%';
    $query = '
        SELECT m.kodRobe, nazivRobe, poreznaGrupa, jedinicaMjere, m.kodGrupe, vrstaProdaje, m.cijena, SUM(stanje) AS stanje, vrstaProdaje
        FROM maticna_robe m
        JOIN robne_grupe g ON g.kodGrupe = m.kodGrupe
	JOIN stanja s ON s.kodRobe = m.kodRobe 
        WHERE m.kodGrupe = :kodGrupe AND NOT stanje = 0
        AND (nazivRobe LIKE :rijec or m.kodRobe LIKE :rijec)
        GROUP BY m.kodRobe, nazivRobe, poreznaGrupa, jedinicaMjere, m.kodGrupe, vrstaProdaje, m.cijena
        ORDER BY m.cijena DESC';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodGrupe', $kodGrupe);
        $statement->bindValue(':rijec', $rijec);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_product($proda,$kodRobe) {
    global $db;
	if ($proda != '0') {
        $query = '
        SELECT *
        FROM maticna_robe m
           INNER JOIN robne_grupe g
           ON m.kodGrupe = g.kodGrupe
		   JOIN stanja s
           ON m.kodRobe = s.kodRobe
        WHERE m.kodRobe = :kodRobe AND s.proda = :proda
                 AND s.kodRobe = :kodRobe';
//	         AND s.kodRobe = :kodRobe AND NOT stanje = 0';
	}  else {	
        //proda = 0
		$query = '
        SELECT *
        FROM maticna_robe m
           INNER JOIN robne_grupe g
           ON m.kodGrupe = g.kodGrupe
		WHERE m.kodRobe = :kodRobe';
	}		 
    try {
        $statement = $db->prepare($query);
		if ($proda != '0') $statement->bindValue(':proda', $proda);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_product_maticna_robe($kodRobe) {
    global $db;
  
    $query = '
        SELECT *
        FROM maticna_robe m
	LEFT OUTER JOIN robne_grupe g
        ON m.kodGrupe = g.kodGrupe
       WHERE m.kodRobe = :kodRobe';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function kontrola_proOzRobe($kodRobe,$proOzRobe) {
    global $db;
  
    $query = '
        SELECT *
        FROM maticna_robe m
        WHERE m.kodRobe<>:kodRobe AND proOzRobe=:proOzRobe';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':proOzRobe', $proOzRobe);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_product_maticna_robe2($kodRobe) {
    global $db;
  
    $query = '
        SELECT *
        FROM maticna_robe m
	WHERE m.kodRobe = :kodRobe';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_maticna_robe() {
    global $db;
    $query = '
        SELECT *
        FROM maticna_robe m
		INNER JOIN robne_grupe g
           ON m.kodGrupe = g.kodGrupe';
    try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function gdje_je_roba($kodRobe) {
    global $db;
    $query = '
        SELECT s.proda, m.kodRobe, nazivRobe, jedinicaMjere, m.cijena, s.cijena as cijena_stanja, stanje, vrstaProdaje
        FROM maticna_robe m
        INNER JOIN robne_grupe g ON m.kodGrupe = g.kodGrupe
        JOIN stanja s ON m.kodRobe = s.kodRobe
       WHERE m.kodRobe = :kodRobe AND s.kodRobe = :kodRobe AND NOT stanje = 0';
    try {
        $statement = $db->prepare($query);
		$statement->bindValue(':kodRobe', $kodRobe);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_product_order_count($kodRobe) {
    global $db;
    $query = '
        SELECT COUNT(*) AS orderCount
        FROM narudzbe_stavke
        WHERE kodRobe = :kodRobe';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->execute();
        $product = $statement->fetch();
        $order_count = $product['orderCount'];
        $statement->closeCursor();
        return $order_count;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function add_product($kodGrupe,$kodRobe,$nazivRobe,$opis,$cijena,$popust,
    $jedinicaMjere = 'kom',$poreznaGrupa = 'A',$minZaliha = 0,$EANkod = ' ',$brutoTezina = 0,
    $zemljaPorijekla = 0,$kodUvoznika = 0,$proOzRobe = ' ',$sklopPoKatalogu = ' ',$stavkaSklopa = ' ',
	$kodProizvodjaca = ' ',$povratnaNaknada = 0,$robaUsluga = 'R',$prikazStanja = 'P', $netoTezina=0 ) {
    global $db;
    if(trim($cijena)=='')
        $cijena=0;
    if(trim($povratnaNaknada)=='')
        $povratnaNaknada=0;
    if(trim($popust)=='')
        $popust=0;
    if(trim($minZaliha)=='')
        $minZaliha=0;
    if(trim($brutoTezina)=='')
        $brutoTezina=0;
    if(trim($netoTezina)=='')
        $netoTezina=0;
    $email_user = $_SESSION['admin']['email'];
    if ($proOzRobe == ' ') 
        $proOzRobe = $kodRobe;
    $query = 'INSERT INTO maticna_robe
                 (kodGrupe,kodRobe,nazivRobe,opis,cijena,popust,jedinicaMjere,poreznaGrupa,
				 minZaliha,EANkod,brutoTezina,zemljaPorijekla,kodUvoznika,proOzRobe,
				 sklopPoKatalogu,stavkaSklopa,kodProizvodjaca,povratnaNaknada,robaUsluga,
				 prikazStanja,datumOtvaranja,tkoJeIzmjenio)
              VALUES
                 (:kodGrupe,:kodRobe,:nazivRobe,:opis,:cijena,:popust,:jedinicaMjere,:poreznaGrupa,
				 :minZaliha,:EANkod,:brutoTezina,:zemljaPorijekla,:kodUvoznika,:proOzRobe,
				 :sklopPoKatalogu,:stavkaSklopa,:kodProizvodjaca,:povratnaNaknada,:robaUsluga,
				 :prikazStanja,NOW(),:email_user )';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodGrupe', $kodGrupe);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':nazivRobe', $nazivRobe);
        $statement->bindValue(':opis', $opis);
        $statement->bindValue(':cijena', $cijena);
        $statement->bindValue(':popust', $popust);
		$statement->bindValue(':jedinicaMjere', $jedinicaMjere);
		$statement->bindValue(':poreznaGrupa', $poreznaGrupa);
		$statement->bindValue(':minZaliha', $minZaliha);
		$statement->bindValue(':EANkod', $EANkod);
		$statement->bindValue(':brutoTezina', $brutoTezina);
		$statement->bindValue(':zemljaPorijekla', $zemljaPorijekla);
		$statement->bindValue(':kodUvoznika', $kodUvoznika);
		$statement->bindValue(':proOzRobe', $proOzRobe);
		$statement->bindValue(':sklopPoKatalogu', $sklopPoKatalogu);
		$statement->bindValue(':stavkaSklopa', $stavkaSklopa);
		$statement->bindValue(':kodProizvodjaca', $kodProizvodjaca);
		$statement->bindValue(':povratnaNaknada', $povratnaNaknada);
		$statement->bindValue(':robaUsluga', $robaUsluga);
		$statement->bindValue(':prikazStanja', $prikazStanja);
		$statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

        // Get the last product ID that was automatically generated
      //  $kodRobe = $db->lastInsertId();
        return $kodRobe;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function update_product($kodRobe, $nazivRobe, $opis,
                           $cijena, $popust, $kodGrupe ) {
    global $db;
	$email_user = $_SESSION['admin']['email'];
    $query = '
        UPDATE maticna_robe
        SET nazivRobe = :nazivRobe,
            opis = :opis,
            cijena = :cijena,
            popust = :popust,
            kodGrupe = :kodGrupe,
			datumIzmjene = NOW(),
		    tkoJeIzmjenio = :email_user
        WHERE kodRobe = :kodRobe';
    try {
        $statement = $db->prepare($query);
		$statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':nazivRobe', $nazivRobe);
        $statement->bindValue(':opis', $opis);
        $statement->bindValue(':cijena', $cijena);
        $statement->bindValue(':popust', $popust);
        $statement->bindValue(':kodGrupe', $kodGrupe);
		$statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function delete_product($kodRobe) {
    global $db;
    $query = 'DELETE FROM maticna_robe WHERE kodRobe = :kodRobe';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function roba_po_dokumentima($kodRobe) {
    global $db;
    $query = 'select proda, vrsDo, proIn, zapis, broDo, verzi from dok_stavke WHERE kodRobe = :kodRobe';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);       
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;       
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function add_maticna_robe($kodRobe, $nazivRobe,  $kodGrupe, $jedinicaMjere, $poreznaGrupa, $cijena, $popust, $EANkod,
                        $minZaliha, $brutoTezina, $netoTezina, $povratnaNaknada, $zemljaPorijekla, $kodUvoznika, $kodDistributera,
                        $sklopPoKatalogu,$stavkaSklopa, $kodProizvodjaca, $robaUsluga, $prikazStanja, $opis, $proOzRobe, 
                        $tarifniBroj, $vrstaArtikla, $kraciNaziv,$preporucenaMPC=0,$kodGrupe2='',$velicinaRame='',$velicinaKotaca='',
                        $spol='',$brand='',$aktivan='1') {
    global $db;
    if(trim($cijena)=='')
        $cijena=0;
    if(trim($povratnaNaknada)=='')
        $povratnaNaknada=0;
    if(trim($popust)=='')
        $popust=0;
    if(trim($minZaliha)=='')
        $minZaliha=0;
    if(trim($brutoTezina)=='')
        $brutoTezina=0;
    if(trim($netoTezina)=='')
        $netoTezina=0;
    $email_user = $_SESSION['admin']['email'];
    if (trim($proOzRobe) == '') $proOzRobe = $kodRobe;
    $query = 'INSERT INTO maticna_robe
            (kodGrupe,kodRobe,nazivRobe,opis,cijena,preporucenaMPC,popust,jedinicaMjere,poreznaGrupa,
             minZaliha,EANkod,brutoTezina,netoTezina,zemljaPorijekla,kodUvoznika, kodDistributera, proOzRobe,
             sklopPoKatalogu,stavkaSklopa,kodProizvodjaca,povratnaNaknada,robaUsluga,
             prikazStanja,kraciNaziv,tarifniBroj, vrstaArtikla,datumOtvaranja,
             kodGrupe2,velicinaRame,velicinaKotaca,spol,brand,aktivan,tkoJeIzmjenio)
             VALUES
            (:kodGrupe,:kodRobe,:nazivRobe,:opis,:cijena,:preporucenaMPC,:popust,:jedinicaMjere,:poreznaGrupa,
             :minZaliha,:EANkod,:brutoTezina,:netoTezina,:zemljaPorijekla,:kodUvoznika,:kodDistributera,:proOzRobe,
             :sklopPoKatalogu,:stavkaSklopa,:kodProizvodjaca,:povratnaNaknada,:robaUsluga,
             :prikazStanja,:kraciNaziv,:tarifniBroj,:vrstaArtikla,NOW(),
             :kodGrupe2,:velicinaRame,:velicinaKotaca,:spol,:brand,:aktivan,:email_user )';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodGrupe', $kodGrupe);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':nazivRobe', $nazivRobe);
        $statement->bindValue(':opis', $opis);
        $statement->bindValue(':cijena', str_replace(',', '.',$cijena));
        $statement->bindValue(':preporucenaMPC', str_replace(',', '.',$preporucenaMPC));
        $statement->bindValue(':popust', str_replace(',', '.',$popust));
        $statement->bindValue(':jedinicaMjere', $jedinicaMjere);
        $statement->bindValue(':poreznaGrupa', $poreznaGrupa);
        $statement->bindValue(':minZaliha', str_replace(',', '.',$minZaliha));
        $statement->bindValue(':EANkod', $EANkod);
        $statement->bindValue(':brutoTezina', str_replace(',', '.',$brutoTezina));
        $statement->bindValue(':netoTezina', str_replace(',', '.',$netoTezina));
        $statement->bindValue(':zemljaPorijekla', $zemljaPorijekla);
        $statement->bindValue(':kodUvoznika', $kodUvoznika);
        $statement->bindValue(':kodDistributera', $kodDistributera);
        $statement->bindValue(':proOzRobe', $proOzRobe);
        $statement->bindValue(':sklopPoKatalogu', $sklopPoKatalogu);
        $statement->bindValue(':stavkaSklopa', $stavkaSklopa);
        $statement->bindValue(':kodProizvodjaca', $kodProizvodjaca);
        $statement->bindValue(':povratnaNaknada', str_replace(',', '.',$povratnaNaknada));
        $statement->bindValue(':robaUsluga', $robaUsluga);
        $statement->bindValue(':prikazStanja', $prikazStanja);
        $statement->bindValue(':kraciNaziv', $kraciNaziv);
        $statement->bindValue(':tarifniBroj', $tarifniBroj);
        $statement->bindValue(':vrstaArtikla', $vrstaArtikla);

        if(trim($kodGrupe2)=='')
            $statement->bindValue(':kodGrupe2', null, PDO::PARAM_NULL);   
        else 
            $statement->bindValue(':kodGrupe2', $kodGrupe2);
        if(trim($velicinaRame)=='')
            $statement->bindValue(':velicinaRame', null, PDO::PARAM_NULL);   
        else 
            $statement->bindValue(':velicinaRame', $velicinaRame);
        if(trim($velicinaKotaca)=='')
            $statement->bindValue(':velicinaKotaca', null, PDO::PARAM_NULL);   
        else 
            $statement->bindValue(':velicinaKotaca', $velicinaKotaca);
        if(trim($spol)=='')
            $statement->bindValue(':spol', null, PDO::PARAM_NULL);   
        else 
            $statement->bindValue(':spol', $spol);
        if(trim($brand)=='')
            $statement->bindValue(':brand', null, PDO::PARAM_NULL);   
        else 
            $statement->bindValue(':brand', $brand);
        if(trim($aktivan)=='')
            $statement->bindValue(':aktivan', null, PDO::PARAM_NULL);   
        else 
            $statement->bindValue(':aktivan', $aktivan);

        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

        // Get the last product ID that was automatically generated
      //  $kodRobe = $db->lastInsertId();
        return $kodRobe;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function update_maticna_robe($kodRobe, $nazivRobe,  $kodGrupe, $jedinicaMjere, $poreznaGrupa, $cijena, $popust, $EANkod,
                        $minZaliha, $brutoTezina, $netoTezina, $povratnaNaknada, $zemljaPorijekla, $kodUvoznika, $kodDistributera,
                        $sklopPoKatalogu,$stavkaSklopa, $kodProizvodjaca, $robaUsluga, $prikazStanja, $opis, $proOzRobe,
                        $tarifniBroj, $vrstaArtikla,$kraciNaziv,$preporucenaMPC=0,$kodGrupe2='',$velicinaRame='',$velicinaKotaca='',
                        $spol='',$brand='',$aktivan='1') {
    global $db;
    if(trim($cijena)=='')
        $cijena=0;
    if(trim($povratnaNaknada)=='')
        $povratnaNaknada=0;
    if(trim($popust)=='')
        $popust=0;
    if(trim($minZaliha)=='')
        $minZaliha=0;
    if(trim($brutoTezina)=='')
        $brutoTezina=0;
    if(trim($netoTezina)=='')
        $netoTezina=0;
    $email_user = $_SESSION['admin']['email'];
    if (trim($proOzRobe) == '') $proOzRobe = $kodRobe;
    $query = 'UPDATE maticna_robe
              SET kodGrupe = :kodGrupe,
              kodRobe = :kodRobe,
              nazivRobe = :nazivRobe,
              opis = :opis,
              cijena = :cijena,
              preporucenaMPC = :preporucenaMPC,
              popust = :popust,
              jedinicaMjere = :jedinicaMjere,
              poreznaGrupa = :poreznaGrupa,
              minZaliha = :minZaliha,
              EANkod = :EANkod,
              brutoTezina = :brutoTezina,
              netoTezina = :netoTezina,
              zemljaPorijekla = :zemljaPorijekla,
              kodUvoznika = :kodUvoznika,
              kodDistributera=:kodDistributera,
              proOzRobe = :proOzRobe,
              sklopPoKatalogu = :sklopPoKatalogu,
              stavkaSklopa = :stavkaSklopa,
              kodProizvodjaca = :kodProizvodjaca,
              povratnaNaknada = :povratnaNaknada,
              robaUsluga = :robaUsluga,
              prikazStanja = :prikazStanja,
              kraciNaziv = :kraciNaziv,
              tarifniBroj = :tarifniBroj,
              vrstaArtikla = :vrstaArtikla,
              kodGrupe2 = :kodGrupe2,
              velicinaRame = :velicinaRame,
              velicinaKotaca = :velicinaKotaca,
              spol = :spol,
              brand=:brand,
              aktivan=:aktivan,
              datumIzmjene = NOW(),
              tkoJeIzmjenio = :email_user
            WHERE kodRobe = :kodRobe';

    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodGrupe', $kodGrupe);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':nazivRobe', $nazivRobe);
        $statement->bindValue(':opis', $opis);
        $statement->bindValue(':cijena', str_replace(',', '.',$cijena));
        $statement->bindValue(':preporucenaMPC', str_replace(',', '.',$preporucenaMPC));
        $statement->bindValue(':popust', str_replace(',', '.',$popust));
        $statement->bindValue(':jedinicaMjere', $jedinicaMjere);
        $statement->bindValue(':poreznaGrupa', $poreznaGrupa);
        $statement->bindValue(':minZaliha', str_replace(',', '.',$minZaliha));
        $statement->bindValue(':EANkod', $EANkod);
        $statement->bindValue(':brutoTezina', str_replace(',', '.',$brutoTezina));
        $statement->bindValue(':netoTezina', str_replace(',', '.',$netoTezina));
        $statement->bindValue(':zemljaPorijekla', $zemljaPorijekla);
        $statement->bindValue(':kodUvoznika', $kodUvoznika);
        $statement->bindValue(':kodDistributera', $kodDistributera);
        $statement->bindValue(':proOzRobe', $proOzRobe);
        $statement->bindValue(':sklopPoKatalogu', $sklopPoKatalogu);
        $statement->bindValue(':stavkaSklopa', $stavkaSklopa);
        $statement->bindValue(':kodProizvodjaca', $kodProizvodjaca);
        $statement->bindValue(':povratnaNaknada', str_replace(',', '.',$povratnaNaknada));
        $statement->bindValue(':robaUsluga', $robaUsluga);
        $statement->bindValue(':prikazStanja', $prikazStanja);
        $statement->bindValue(':kraciNaziv', $kraciNaziv);
        $statement->bindValue(':tarifniBroj', $tarifniBroj);
        $statement->bindValue(':vrstaArtikla', $vrstaArtikla);

        if(trim($kodGrupe2)=='')
            $statement->bindValue(':kodGrupe2', null, PDO::PARAM_NULL);   
        else 
            $statement->bindValue(':kodGrupe2', $kodGrupe2);
        if(trim($velicinaRame)=='')
            $statement->bindValue(':velicinaRame', null, PDO::PARAM_NULL);   
        else 
            $statement->bindValue(':velicinaRame', $velicinaRame);
        if(trim($velicinaKotaca)=='')
            $statement->bindValue(':velicinaKotaca', null, PDO::PARAM_NULL);   
        else 
            $statement->bindValue(':velicinaKotaca', $velicinaKotaca);
        if(trim($spol)=='')
            $statement->bindValue(':spol', null, PDO::PARAM_NULL);   
        else 
            $statement->bindValue(':spol', $spol);
        if(trim($brand)=='')
            $statement->bindValue(':brand', null, PDO::PARAM_NULL);   
        else 
            $statement->bindValue(':brand', $brand);
        if(trim($aktivan)=='')
            $statement->bindValue(':aktivan', null, PDO::PARAM_NULL);   
        else 
            $statement->bindValue(':aktivan', $aktivan);

        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

        // Get the last product ID that was automatically generated
      //  $kodRobe = $db->lastInsertId();
        return $kodRobe;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
  
}

function update_cijena_robe_iz_ulaza($kodRobe,$cijena,$cijenePoUlazima) {
    global $db;
 
 //  -- cijenePoUlazima  odnosi se na cijene u maticna_robe(cijene su bezPDV-a na 3 decimale) 
//--  0 - cijena zadnjeg ulaza == važeća cijena(u tabeli maticna_robe uvijek se postavlja cijena zadnje knjiženog ulaza) 
//--  1 - ovisno o cijeni ulaza: ako je cijena ulaza veća od postojeće u maticna_robe postavlja se ta veća cijena inače ne.
//--  2 - ulazne cijene nemaju utjecaja na cijenu u maticna_robe   
    $query = 'SELECT cijena
        FROM maticna_robe 
       WHERE kodRobe = :kodRobe';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->execute();
        $result_cijena = $statement->fetch();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
while (true)  {    
//0 cijenu ispravlja
    if (empty($result_cijena))
        break;
    if ($cijenePoUlazima == 0 && ($result_cijena['cijena'] == $cijena))
        break;
    if ($cijenePoUlazima == 1 && ($cijena <= $result_cijena['cijena']))
        break;
    $email_user = $_SESSION['admin']['email'];
    $query = 'UPDATE maticna_robe
              SET cijena = :cijena,
              datumIzmjene = NOW(),
              tkoJeIzmjenio = :email_user
            WHERE kodRobe = :kodRobe';

    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':cijena', str_replace(',', '.',$cijena));
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

        // Get the last product ID that was automatically generated
      //  $kodRobe = $db->lastInsertId();
        return $kodRobe;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
  break;  
  }  
}
function update_cijena_robe($kodRobe,$cijena) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = 'UPDATE maticna_robe
              SET cijena = :cijena,
              datumIzmjene = NOW(),
              tkoJeIzmjenio = :email_user
            WHERE kodRobe = :kodRobe';

    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':cijena', str_replace(',', '.',$cijena));
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

        // Get the last product ID that was automatically generated
      //  $kodRobe = $db->lastInsertId();
        return $kodRobe;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
 
}

function update_zemlja_porijekla($kodRobe,$zemljaPorijekla) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = 'UPDATE maticna_robe
              SET zemljaPorijekla = :zemljaPorijekla,
              datumIzmjene = NOW(),
              tkoJeIzmjenio = :email_user
            WHERE kodRobe = :kodRobe';

    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':zemljaPorijekla', $zemljaPorijekla);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

        // Get the last product ID that was automatically generated
      //  $kodRobe = $db->lastInsertId();
        return $kodRobe;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
 
}
function update_grupu_robe($kodRobe,$kodGrupe) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = 'UPDATE maticna_robe
              SET kodGrupe = :kodGrupe,
              datumIzmjene = NOW(),
              tkoJeIzmjenio = :email_user
            WHERE kodRobe = :kodRobe';

    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':kodGrupe', $kodGrupe);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

        // Get the last product ID that was automatically generated
      //  $kodRobe = $db->lastInsertId();
        return $kodRobe;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
 
}
function update_grupu_robe2($kodRobe,$kodGrupe2) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = 'UPDATE maticna_robe
              SET kodGrupe2 = :kodGrupe2,
              datumIzmjene = NOW(),
              tkoJeIzmjenio = :email_user
            WHERE kodRobe = :kodRobe';

    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':kodGrupe2', $kodGrupe2);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

        // Get the last product ID that was automatically generated
      //  $kodRobe = $db->lastInsertId();
        return $kodRobe;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
 
}

function update_tarifni_broj_maticna($kodRobe,$tarifniBroj) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = 'UPDATE maticna_robe
              SET tarifniBroj = :tarifniBroj,
              datumIzmjene = NOW(),
              tkoJeIzmjenio = :email_user
            WHERE kodRobe = :kodRobe';

    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':tarifniBroj', $tarifniBroj);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

        // Get the last product ID that was automatically generated
      //  $kodRobe = $db->lastInsertId();
        return $kodRobe;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
 
}

function update_vrsta_artikla($kodRobe,$vrstaArtikla) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = 'UPDATE maticna_robe
              SET vrstaArtikla = :vrstaArtikla,
              datumIzmjene = NOW(),
              tkoJeIzmjenio = :email_user
            WHERE kodRobe = :kodRobe';

    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':vrstaArtikla', str_replace(',', '.',$vrstaArtikla));
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

        // Get the last product ID that was automatically generated
      //  $kodRobe = $db->lastInsertId();
        return $kodRobe;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
 
}

function update_aktivnost($kodRobe,$aktivan) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = 'UPDATE maticna_robe
              SET aktivan = :aktivan,
              datumIzmjene = NOW(),
              tkoJeIzmjenio = :email_user
            WHERE kodRobe = :kodRobe';

    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':aktivan', str_replace(',', '.',$aktivan));
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

        // Get the last product ID that was automatically generated
      //  $kodRobe = $db->lastInsertId();
        return $kodRobe;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
 
}

function update_popust($kodRobe,$popust) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = 'UPDATE maticna_robe
              SET popust = :popust,
              datumIzmjene = NOW(),
              tkoJeIzmjenio = :email_user
            WHERE kodRobe = :kodRobe';

    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':popust', str_replace(',', '.',$popust));
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
        return $kodRobe;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
 
}
function update_polje_robe($kodRobe,$polje, $nazivPolja) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = "UPDATE maticna_robe
              SET $nazivPolja = :$nazivPolja,
              datumIzmjene = NOW(),
              tkoJeIzmjenio = :email_user
            WHERE kodRobe = :kodRobe";

    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(":$nazivPolja", $polje);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

        // Get the last product ID that was automatically generated
      //  $kodRobe = $db->lastInsertId();
        return $kodRobe;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
 
}

function update_popust_za_grupu($kodGrupe,$vrijednost,$podgrupe, $dioNaziva='',$mijenjaSe='p') {
    global $db;
    if(trim($podgrupe)!='')
        $kodGrupe=trim($kodGrupe).'%';    
    if(trim($dioNaziva)!='')
        $dioNaziva='%'.trim($dioNaziva).'%';    

    $email_user = $_SESSION['admin']['email'];
    
    $query = "UPDATE maticna_robe SET popust = :vrijednost, datumIzmjene = NOW(), tkoJeIzmjenio = :email_user
            WHERE (trim(kodGrupe) like :kodGrupe OR trim(:kodGrupe)='')
            AND (nazivRobe like :dioNaziva or trim(:dioNaziva)='')
            AND (trim(:kodGrupe)<>'' OR trim(:dioNaziva)<>'')";
    
    if ($mijenjaSe == 't')    
    $query = "UPDATE maticna_robe SET tarifniBroj = :vrijednost, datumIzmjene = NOW(), tkoJeIzmjenio = :email_user
            WHERE (trim(kodGrupe) like :kodGrupe OR trim(:kodGrupe)='')
            AND (nazivRobe like :dioNaziva or trim(:dioNaziva)='')
            AND (trim(:kodGrupe)<>'' OR trim(:dioNaziva)<>'')";
    if ($mijenjaSe == 'zp')    
    $query = "UPDATE maticna_robe SET zemljaPorijekla = :vrijednost, datumIzmjene = NOW(), tkoJeIzmjenio = :email_user
            WHERE (trim(kodGrupe) like :kodGrupe OR trim(:kodGrupe)='')
            AND (nazivRobe like :dioNaziva or trim(:dioNaziva)='')
            AND (trim(:kodGrupe)<>'' OR trim(:dioNaziva)<>'')";
    if ($mijenjaSe == 'v')    
    $query = "UPDATE maticna_robe SET vrstaArtikla = :vrijednost, datumIzmjene = NOW(), tkoJeIzmjenio = :email_user
            WHERE (trim(kodGrupe) like :kodGrupe OR trim(:kodGrupe)='')
            AND (nazivRobe like :dioNaziva or trim(:dioNaziva)='')
            AND (trim(:kodGrupe)<>'' OR trim(:dioNaziva)<>'')";
    if ($mijenjaSe == 'a')    
    $query = "UPDATE maticna_robe SET aktivan = :vrijednost, datumIzmjene = NOW(), tkoJeIzmjenio = :email_user
            WHERE (trim(kodGrupe) like :kodGrupe OR trim(:kodGrupe)='')
            AND (nazivRobe like :dioNaziva or trim(:dioNaziva)='')
            AND (trim(:kodGrupe)<>'' OR trim(:dioNaziva)<>'')";
    if ($mijenjaSe == 'g')    
    $query = "UPDATE maticna_robe SET kodGrupe = :vrijednost, datumIzmjene = NOW(), tkoJeIzmjenio = :email_user
            WHERE (trim(kodGrupe) like :kodGrupe OR trim(:kodGrupe)='')
            AND (nazivRobe like :dioNaziva or trim(:dioNaziva)='')
            AND (trim(:kodGrupe)<>'' OR trim(:dioNaziva)<>'')";
    if ($mijenjaSe == 'g2')    
    $query = "UPDATE maticna_robe SET kodGrupe2 = :vrijednost, datumIzmjene = NOW(), tkoJeIzmjenio = :email_user
            WHERE (trim(kodGrupe) like :kodGrupe OR trim(:kodGrupe)='')
            AND (nazivRobe like :dioNaziva or trim(:dioNaziva)='')
            AND (trim(:kodGrupe)<>'' OR trim(:dioNaziva)<>'')";
//
    if ($mijenjaSe == 'vr')    
    $query = "UPDATE maticna_robe SET velicinaRame = :vrijednost, datumIzmjene = NOW(), tkoJeIzmjenio = :email_user
            WHERE (trim(kodGrupe) like :kodGrupe OR trim(:kodGrupe)='')
            AND (nazivRobe like :dioNaziva or trim(:dioNaziva)='')
            AND (trim(:kodGrupe)<>'' OR trim(:dioNaziva)<>'')";
    if ($mijenjaSe == 'vk')    
    $query = "UPDATE maticna_robe SET velicinaKotaca = :vrijednost, datumIzmjene = NOW(), tkoJeIzmjenio = :email_user
            WHERE (trim(kodGrupe) like :kodGrupe OR trim(:kodGrupe)='')
            AND (nazivRobe like :dioNaziva or trim(:dioNaziva)='')
            AND (trim(:kodGrupe)<>'' OR trim(:dioNaziva)<>'')";
    if ($mijenjaSe == 'sb')    
    $query = "UPDATE maticna_robe SET spol = :vrijednost, datumIzmjene = NOW(), tkoJeIzmjenio = :email_user
            WHERE (trim(kodGrupe) like :kodGrupe OR trim(:kodGrupe)='')
            AND (nazivRobe like :dioNaziva or trim(:dioNaziva)='')
            AND (trim(:kodGrupe)<>'' OR trim(:dioNaziva)<>'')";
    if ($mijenjaSe == 'b')    
    $query = "UPDATE maticna_robe SET brand = :vrijednost, datumIzmjene = NOW(), tkoJeIzmjenio = :email_user
            WHERE (trim(kodGrupe) like :kodGrupe OR trim(:kodGrupe)='')
            AND (nazivRobe like :dioNaziva or trim(:dioNaziva)='')
            AND (trim(:kodGrupe)<>'' OR trim(:dioNaziva)<>'')";
    
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodGrupe', $kodGrupe);
        $statement->bindValue(':dioNaziva', $dioNaziva);
        $statement->bindValue(':vrijednost', str_replace(',', '.',$vrijednost));
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
 
}

function get_kartica($proda,$kodRobe,$DVOod,$DVOdo, $vrstaProdaje, $kodPartnera, $sort, $vrstaCijene, $vrsteDokumenata) {
    global $db;
    $prioritet = $_SESSION['admin']['prioritet'];
    $query = "
select 
vrstaProdaje,
if(datumInventure='0000-00-00 00:00:00' or datumInventure is null, concat(year(now()),'-01-01 00:00:00'), datumInventure) as DVO,
'0' as vrsDo, 'Inventura' as nazivDokumenta, 
'' as zapis, '' as proIn, '' as verzi,
brojInvStavke as broDo,
st.kodRobe,  
if(:vrstaCijene='bezPDV', st.cijena, st.cijena*(1+p.PDV/100)) as cijena,
kolicinaInventure as ulaz,
0 as izlaz,
'' as rabatPopust, '' as absRabatPopust, '' as casasSconto, '' as absCasasSconto,
'' as marza, '' as absMarza,
'' as kodPartnera, 
'' as nazivPartnera,
if(:sort='poCijeni', st.cijena, 0) as cijenaSort
from stanja as st
left outer join maticna_robe as m on m.`kodRobe`=st.`kodRobe`
left outer join porezi as p on p.poreznaGrupa=m.`poreznaGrupa`
where proda=:proda 
 and st.kodRobe=:kodRobe
 and (:vrstaProdaje='' or vrstaProdaje=:vrstaProdaje)
 and `kolicinaInventure` <>0 
 and :prioritet <> 9
 and (trim(:vrsteDokumenata)='' or trim(:vrsteDokumenata)='1')
 
union all

select vrstaProdaje, z.DVO, z.vrsDo, trim(concat(vd.nazivDokumenta,' ',z.zapis,' ',z.proIn)) as nazivDokumenta,
z.zapis, z.proIn, z.verzi,
z.broDo, s.kodRobe, 
if(:vrstaCijene='bezPDV', s.cijena, s.cijena*(1+s.PDV/100)) as cijena, 
if(vd.azurStanja=1,  s.kolicina, 0) as ulaz,
if(vd.azurStanja=-1, s.kolicina, 0) as izlaz,
s.rabatPopust, s.absRabatPopust, z.`casasSconto`, z.`absCasasSconto`,
s.marza, s.absMarza,
z.kodPartnera, 
part.nazivPartnera,
if(:sort='poCijeni', s.cijena, 0) as cijenaSort
from dok_stavke as s
left outer join dok_zag as z 
left outer join vrste_dokumenata as vd on vd.vrsDo=z.vrsDo
on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
left outer join partner as part on part.`kodPartnera`=z.`kodPartnera`
where z.proda=:proda 
and z.DVO between :DVOOd and :DVODo
and (:vrstaProdaje='' or vrstaProdaje=:vrstaProdaje)
and kodRobe=:kodRobe
and (z.kodPartnera=:kodPartnera or trim(:kodPartnera)='') 
and (vd.azurStanja=:vrsteDokumenata or trim(:vrsteDokumenata)='')
and vd.azurStanja<>0
order by vrstaProdaje, cijenaSort, DVO, vrsDo
            ";
    
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);

    $statement = $db->prepare($query);
    // /*
    $statement->bindValue(':proda', $proda);
    $statement->bindValue(':kodRobe', $kodRobe);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
    $statement->bindValue(':kodPartnera', $kodPartnera);
    $statement->bindValue(':sort', $sort);
    $statement->bindValue(':vrstaCijene', $vrstaCijene);
    $statement->bindValue(':vrsteDokumenata', $vrsteDokumenata);
    $statement->bindValue(':prioritet', $prioritet);
     // */
    $statement->execute();
    $knjiga= $statement->fetchAll();
    $statement->closeCursor();
    return $knjiga;
    
}
function get_razlikeCijenaStanjaMaticna($proda,$vrstaProdaje) {
    global $db;
$query = "
    select vrstaProdaje, s.kodRobe, s.cijena as Cijena_stanja, m.cijena as Cijena_maticna,
           stanje, nazivRobe
from stanja as s
left outer join maticna_robe as m 
  on s.kodRobe= m.kodRobe 
where
 proda=:proda 
 and s.kodRobe=m.kodRobe
 and ($vrstaProdaje='' or vrstaProdaje=:vrstaProdaje)
 and `stanje` <>0 
 and s.cijena <> m.cijena
 order by nazivRobe
  ";

  $statement = $db->prepare($query);
    $statement->bindValue(':proda', $proda);
    $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
    $statement->execute();
    $razlike = $statement->fetchAll();
    $statement->closeCursor();
    return $razlike;
}

function get_dupli_EANkod($kodRobe,$EANkod) {
    global $db;
    $query = " 
        select * 
        from maticna_robe
        where trim(EANkod)<>''
        and EANkod=:EANkod and kodRobe<>:kodRobe            
        ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':EANkod', $EANkod);
        $statement->execute();
        $r= $statement->fetchAll();
        $statement->closeCursor();
        return $r;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
 
}

function get_vrste_artikala() {
    global $db;
    $query = " 
        select vrstaArtikla
        from maticna_robe
        where vrstaArtikla<>''
        group by vrstaArtikla
        ";
    try {
        $statement = $db->prepare($query);
        $statement->execute();
        $r= $statement->fetchAll();
        $statement->closeCursor();
        return $r;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
 
}
function get_maticna_stanja_za_excel($proda) {
    global $db;
    $query = " 
       select s.kodRobe, proda, nazivRobe, kodGrupe, sum(stanje) as stanje from stanja as s
       join maticna_robe as m on m.kodRobe = s.kodRobe
       where stanje <> 0
       and (FIND_IN_SET(trim(proda), :proda) or trim(:proda)='' or trim(:proda)='0')
       group by s.kodRobe, proda";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':proda', $proda);
        $statement->execute();
        $r= $statement->fetchAll();
        $statement->closeCursor();
        return $r;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}


function polja_za_bicikl() {
    $parametar=get_parametar('poljaZaBicikle_'.$_SESSION['skracenicaFirme']);
    if(!is_array($parametar))
      return false;
    else
      return strtoupper(trim($parametar['vrijednostParametra']))=='DA';

} 

function get_minimalne_zalihe($kodRobe, $kodPoslovnice='') {
    global $db;
    $query = " 
    SELECT * 
    FROM minimalne_zalihe
    WHERE (kodRobe=:kodRobe or trim(:kodRobe)='')
    AND (kodPoslovnice=:kodPoslovnice or trim(:kodPoslovnice)='')
    ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':kodPoslovnice', $kodPoslovnice);
        $statement->execute();
        $r= $statement->fetchAll();
        $statement->closeCursor();
        return $r;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
}

function kontrola_minimalne_zalihe($kodRobe, $kodPoslovnice, $kolicina=0) {
    $minZaliha=get_minimalne_zalihe($kodRobe, $kodPoslovnice);
    if(isset($minZaliha[0]['minZaliha'])) {
      $stanje=stanje_po_kodu_robe_1p_sveVP($kodPoslovnice, $kodRobe);  
      if(isset($stanje['suma_po_kodu_robe'])) {
          $stanje['suma_po_kodu_robe']-=$kolicina;
          if($stanje['suma_po_kodu_robe']<$minZaliha[0]['minZaliha']) 
              return 'Stanje na skladištu:'.round($stanje['suma_po_kodu_robe'],2).' je manje od minimalne zalihe. Minimalna zaliha je:'.round($minZaliha[0]['minZaliha'],2).'!';
      }
    }
    return false;
}

function add_robu_iz_excela($slog) {   
    global $db;
    
    $email_user = $_SESSION['admin']['email'];
    //if (trim($proOzRobe) == '') $proOzRobe = $kodRobe;
    $query = "INSERT INTO maticna_robe 
        (
            kodGrupe,
            kodRobe,
            nazivRobe,
            cijena,
            preporucenaMPC,
            popust,
            jedinicaMjere,
            poreznaGrupa,
            EANkod,
            vrstaArtikla,
            zemljaPorijekla,
            proOzRobe,
            robaUsluga,
            tarifniBroj,
            kodGrupe2,
            velicinaRame,
            velicinaKotaca,
            spol,
            brand,
            aktivan,
            opis,
            datumOtvaranja,
            tkoJeIzmjenio
            )
             VALUES
            (
            :kodGrupe,
            :kodRobe,
            :nazivRobe,
            :cijena,
            :preporucenaMPC,
            :popust,
            :jedinicaMjere,
            :poreznaGrupa,
            :EANkod,
            :vrstaArtikla,
            :zemljaPorijekla,
            :proOzRobe,
            :robaUsluga,
            :tarifniBroj,
            :kodGrupe2,
            :velicinaRame,
            :velicinaKotaca,
            :spol,
            :brand,
            :aktivan,
            '',
            NOW(),
            :email_user 
            )";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodGrupe', $slog['kodGrupe']);
        $statement->bindValue(':kodRobe', $slog['kodRobe']);
        $statement->bindValue(':nazivRobe', $slog['nazivRobe']);
        $statement->bindValue(':cijena', str_replace(',', '.',$slog['cijena']));
        $statement->bindValue(':preporucenaMPC', str_replace(',', '.',$slog['preporucenaMPC']));
        $statement->bindValue(':popust', str_replace(',', '.',$slog['popust']));
        $statement->bindValue(':jedinicaMjere', $slog['jedinicaMjere']);
        $statement->bindValue(':poreznaGrupa', 'A');
        $statement->bindValue(':EANkod', $slog['EANkod']);      
       
        $statement->bindValue(':proOzRobe', $slog['proOzRobe']);
        $statement->bindValue(':robaUsluga', 'R');
        $statement->bindValue(':tarifniBroj', $slog['tarifniBroj']);

        if(trim($slog['kodGrupe2'])=='')
            $statement->bindValue(':kodGrupe2', null, PDO::PARAM_NULL);   
        else 
            $statement->bindValue(':kodGrupe2', $slog['kodGrupe2']);
        if(trim($slog['velicinaRame'])=='')
            $statement->bindValue(':velicinaRame', null, PDO::PARAM_NULL);   
        else 
            $statement->bindValue(':velicinaRame', $slog['velicinaRame']);
        if(trim($slog['velicinaKotaca'])=='')
            $statement->bindValue(':velicinaKotaca', null, PDO::PARAM_NULL);   
        else 
            $statement->bindValue(':velicinaKotaca', $slog['velicinaKotaca']);
        if(trim($slog['spol'])=='')
            $statement->bindValue(':spol', null, PDO::PARAM_NULL);   
        else 
            $statement->bindValue(':spol', $slog['spol']);
        if(trim($slog['brand'])=='')
            $statement->bindValue(':brand', null, PDO::PARAM_NULL);   
        else 
            $statement->bindValue(':brand', $slog['brand']);
        $statement->bindValue(':aktivan', '1');

        if(trim($slog['zemljaPorijekla'])=='')
            $statement->bindValue(':zemljaPorijekla', null, PDO::PARAM_NULL);   
        else 
            $statement->bindValue(':zemljaPorijekla', $slog['zemljaPorijekla']);
        
        if(trim($slog['vrstaArtikla'])=='')
            $statement->bindValue(':vrstaArtikla', null, PDO::PARAM_NULL);   
        else 
            $statement->bindValue(':vrstaArtikla', $slog['vrstaArtikla']);
        $statement->bindValue(':email_user', $email_user);

        //$statement->bindValue(':opis', $opis);
        //$statement->bindValue(':popust', str_replace(',', '.',$popust));
        //$statement->bindValue(':minZaliha', str_replace(',', '.',$minZaliha));
        //$statement->bindValue(':kodUvoznika', $kodUvoznika);
        //$statement->bindValue(':kodDistributera', $kodDistributera);
        //$statement->bindValue(':sklopPoKatalogu', $sklopPoKatalogu);
        //$statement->bindValue(':stavkaSklopa', $stavkaSklopa);
        //$statement->bindValue(':kodProizvodjaca', $kodProizvodjaca);
        //$statement->bindValue(':povratnaNaknada', str_replace(',', '.',$povratnaNaknada));
        //$statement->bindValue(':prikazStanja', $prikazStanja);
        //$statement->bindValue(':kraciNaziv', $kraciNaziv);
        //$statement->bindValue(':vrstaArtikla', $vrstaArtikla);

        $statement->execute();
        $statement->closeCursor();

        // Get the last product ID that was automatically generated
      //  $kodRobe = $db->lastInsertId();
        return 'OK';
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        return $error_message;
    }
}
function EANkodovi($proda, $kodGrupe, $kodRobe, $kojiEANkodovi, $EANod, $EANdo, $kakoSort, $grupeArray) {
    global $db; 
    require_once('./razno/kontrolniBrojEAN13.php');
    $stringGrupe = '';
    foreach($grupeArray as $jednaGrupa) {
      $stringGrupe .= $jednaGrupa . ',';  
    }
    $EANarray= array();
   
    if (($kojiEANkodovi == 'puni' || $kojiEANkodovi == 'prazni' || $kojiEANkodovi == 'svi' ) && $EANod > 0 && $EANdo > 0) {        
        $stavka = array();
        $EANkod = $EANod;
        while ($EANkod <= $EANdo) {    
           $eanKod12 = $EANkod; 
           $kontrolni_broj = kontrolniBrojEAN13($eanKod12); 
           $stavka['EANkod'] = $EANkod . $kontrolni_broj; 
  //         echo "stavkaEANkod" . $stavka['EANkod'];
           $query = "select kodRobe, nazivRobe, jedinicaMjere, kodGrupe from maticna_robe
              where EANkod = :EANkod
              and (:kodGrupe='' or kodGrupe=:kodGrupe)
              and (locate(concat(trim(kodGrupe),','),:stringGrupe) > 0 or trim(:stringGrupe)='')                 
              and (:kodRobe='' or kodRobe=:kodRobe)             
           ";
           try {
           $statement = $db->prepare($query);    
           $statement->bindValue(':EANkod', trim($stavka['EANkod']));
           $statement->bindValue(':kodGrupe', $kodGrupe);
           $statement->bindValue(':kodRobe', $kodRobe);   
           $statement->bindValue(':stringGrupe', trim($stringGrupe));           
           $statement->execute();
           $result = $statement->fetch();
           $statement->closeCursor();
           } catch (PDOException $e) {
             $error_message = $e->getMessage();
             display_db_error($error_message);
           }   
           if (empty($result))  {   // nema robe sa takvim EAN kodom
              $stavka['kodRobe'] = ' '; 
              $stavka['nazivRobe'] = ' '; 
              $stavka['jedinicaMjere'] = ' ';
              $stavka['kodGrupe'] = ' ';                          
           } else {   
              $stavka['kodRobe'] = $result['kodRobe']; 
              $stavka['nazivRobe'] = $result['nazivRobe']; 
              $stavka['jedinicaMjere'] = $result['jedinicaMjere'];
              $stavka['kodGrupe'] = $result['kodGrupe'];                
           }
           switch ($kojiEANkodovi) {           
           case 'prazni':
               if (empty($result)) $EANarray[] = $stavka;
           break;  
           case 'puni':
               if (!empty($result)) $EANarray[] = $stavka;
           break;  
           default:
              $EANarray[] = $stavka;
           break;
           }          
           $EANkod++; 
        }
    return $EANarray;    
    }      
    if ($kojiEANkodovi == 'kontrolaIspravnostiMaticna') {
 /* 1. izbor EAN kodova iz maticna_robe
  * 2. u foreac petlji pozivanje kontrolniBrojEAN13 i utrđivanje krivih  * 
  */       
           if (trim($EANod) == '' ) $EANod = '0000000000001';
           if (trim($EANdo) == '' ) $EANdo = '9999999999999';
           $query = "select kodRobe, EANkod, nazivRobe, jedinicaMjere, kodGrupe from maticna_robe
              where substr(EANkod,1,12) >= :EANod and substr(EANkod,1,12) <= :EANdo and trim(EANkod) <> ''
              and (:kodGrupe='' or kodGrupe=:kodGrupe)
              and (locate(concat(trim(kodGrupe),','),:stringGrupe) > 0 or trim(:stringGrupe)='')                 
              and (:kodRobe='' or kodRobe=:kodRobe)             
           ";
           try {
           $statement = $db->prepare($query);    
           $statement->bindValue(':EANod', substr($EANod,0,12));
           $statement->bindValue(':EANdo', substr($EANdo,0,12));
           $statement->bindValue(':kodGrupe', $kodGrupe);
           $statement->bindValue(':kodRobe', $kodRobe);   
           $statement->bindValue(':stringGrupe', trim($stringGrupe));            
           $statement->execute();
           $result = $statement->fetchAll();
           $statement->closeCursor();
           } catch (PDOException $e) {
             $error_message = $e->getMessage();
             display_db_error($error_message);
           }   
           if (empty($result)) {
               echo '<p> Nije nađen niti jedan puni EAN kod u tabeli maticna_robe kod kontrole ean kodova iz maticna_robe! </p>';
               exit;
           }
           return $result;
    }
}
?>        
<script type="text/javascript">
function dozvoljenaMinZaliha(kodRobe,minZaliha,stanje) {
    if(stanje<minZaliha && minZaliha>0) {
        return confirm('Za robu:'+kodRobe+' novo stanje na skladištu:'+stanje+' je manje od minimalne zalihe. Minimalna zaliha je:'+minZaliha+'! \nŽelite li nastaviti?');
    }
    else
        return true;
}        
</script>  