<?php
function get_rate_kartice_sve() {
    global $db;
    $query = 'SELECT * FROM rate_kartice'; 
    try {
        $statement = $db->prepare($query);
        $statement->execute();
        $rate = $statement->fetchAll();
        $statement->closeCursor();
        for ($i = 0; $i < count($rate); $i++) {
            $dd=new DateTime($rate[$i]['valuta']);
            $rate[$i]['valuta']=$dd->format("d.m.Y H:i:s");
        }
        return $rate;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_rate_kartice($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi) {
    global $db;
    $query = 'SELECT * FROM rate_kartice WHERE proda = :proda AND vrsDo = :vrsDo AND proIn = :proIn
	AND zapis = :zapis AND broDo = :broDo AND verzi = :verzi';
    $statement = $db->prepare($query);
    $statement->bindValue(':proda', $proda);
    $statement->bindValue(':vrsDo', $vrsDo);
    $statement->bindValue(':proIn', $proIn);
    $statement->bindValue(':zapis', $zapis);
    $statement->bindValue(':broDo', $broDo);
    $statement->bindValue(':verzi', $verzi);
    $statement->execute();
    $rate = $statement->fetchAll();
    $statement->closeCursor();
    for ($i = 0; $i < count($rate); $i++) {
        $dd=new DateTime($rate[$i]['valuta']);
        //$rate[$i]['valuta']=$dd->format("d.m.Y H:i:s");
        $rate[$i]['valuta']=$dd->format("d.m.Y");
    }
    return $rate;
}

function add_rate_kartice($slog) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = "
        INSERT INTO rate_kartice
        (
            proda,  
            vrsDo,
            proIn,  
            zapis,
            broDo,
            verzi,
            brojStavke,
            valuta, 
            iznosRateKartice,
            vrstaRateKartice,  
            datumOtvaranja,
            tkoJeIzmjenio
        )
        VALUES
        (
            :proda,  
            :vrsDo,
            :proIn,  
            :zapis,
            :broDo,
            :verzi,
            :brojStavke,
            :valuta, 
            :iznosRateKartice,
            :vrstaRateKartice,  
            NOW(), 
            :email_user 
        )";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':proda', $slog['proda']);
        $statement->bindValue(':vrsDo', $slog['vrsDo']);
        $statement->bindValue(':proIn', $slog['proIn']);
        $statement->bindValue(':zapis', $slog['zapis']);
        $statement->bindValue(':broDo', $slog['broDo']);
        $statement->bindValue(':verzi', $slog['verzi']);
        $statement->bindValue(':brojStavke', $slog['brojStavke']);
        $dd=new DateTime($slog['valuta']);
        //$valuta=$dd->format("Y-m-d H:i:s");
        $valuta=$dd->format("Y-m-d 00:00:00");
        $statement->bindValue(':valuta', $valuta);
        $statement->bindValue(':iznosRateKartice', str_replace(',', '.', $slog['iznosRateKartice']));
        $statement->bindValue(':vrstaRateKartice', $slog['vrstaRateKartice']);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
        //return $poreznaGrupa;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function delete_rate_kartice($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi) {
    global $db;
    $query = 'DELETE FROM rate_kartice WHERE trim(proda) = trim(:proda) AND trim(vrsDo) = trim(:vrsDo) AND trim(proIn) = trim(:proIn)
       AND trim(zapis) = trim(:zapis) AND broDo = :broDo AND trim(verzi) = trim(:verzi)';
    try {	
        $statement = $db->prepare($query);
        $statement->bindValue(':proda', $proda);
        $statement->bindValue(':vrsDo', $vrsDo);
        $statement->bindValue(':proIn', $proIn);
        $statement->bindValue(':zapis', $zapis);
        $statement->bindValue(':broDo', $broDo);
        $statement->bindValue(':verzi', $verzi);
        $statement->execute();
        $rowCount = $statement->rowCount();
        $statement->closeCursor();
    //	return $rowCount;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
 
}
?>