<?php
function get_v_k_c() {
    global $db;
    $query = 'SELECT * FROM v_k_c'; 
	try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_v_k_c_jedan($vrsKart) {
    global $db;
    $query = '
        SELECT *
        FROM v_k_c
        WHERE vrsKart = :vrsKart';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vrsKart', $vrsKart);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}


function add_v_k_c($vrsKart, $nazivKarticeCeka) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = 'INSERT INTO v_k_c
                 (vrsKart, nazivKarticeCeka, datumOtvaranja, tkoJeIzmjenio)
              VALUES
                 (:vrsKart, :nazivKarticeCeka, NOW(), :email_user )';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vrsKart', $vrsKart);
        $statement->bindValue(':nazivKarticeCeka', $nazivKarticeCeka);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

        // Get the last product ID that was automatically generated
       // $kodGrupe_ = $db->lastInsertId();
        return $vrsKart;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function update_v_k_c($vrsKart, $nazivKarticeCeka) {
    global $db;
	$email_user = $_SESSION['admin']['email'];
    $query = '
        UPDATE v_k_c
        SET nazivKarticeCeka = :nazivKarticeCeka,
		datumIzmjene = NOW(),
		tkoJeIzmjenio = :email_user
        WHERE vrsKart = :vrsKart';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vrsKart', $vrsKart);
        $statement->bindValue(':nazivKarticeCeka', $nazivKarticeCeka);
        $statement->bindValue(':email_user', $email_user); 
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function delete_v_k_c($vrsKart) {
    global $db;
    $query = 'DELETE FROM v_k_c WHERE vrsKart = :vrsKart';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vrsKart', $vrsKart);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
?>