<?php
function get_vrste_dokumenata() {
    global $db;
    $query = 'SELECT * FROM vrste_dokumenata';
    $statement = $db->prepare($query);
    $statement->execute();
    $vrsteDokumenata = $statement->fetchAll();
    $statement->closeCursor();
    return $vrsteDokumenata;
}
function get_vrsta_dokumenta($vrsDo) {
    global $db;
    $query = 'SELECT * FROM vrste_dokumenata
        WHERE vrsDo = :vrsDo';
    $statement = $db->prepare($query);
   	$statement->bindValue(':vrsDo', $vrsDo);
	$statement->execute();
    $vrstaDokumenta = $statement->fetch();
    $statement->closeCursor();
    return $vrstaDokumenta;
}

//function add_vrsta_dokumenta($vrsDo, $nazivDokumenta, $tipDokumenta, $azurStanja,$oznakaDokumenta,$brojTemeljnice) {
function add_vrsta_dokumenta($slog) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = 'INSERT INTO vrste_dokumenata
                 (vrsDo, nazivDokumenta, tipDokumenta, azurStanja, oznakaDokumenta, brojTemeljnice, fiskalizacija, datumOtvaranja, tkoJeIzmjenio)
              VALUES
                 (:vrsDo, :nazivDokumenta, :tipDokumenta, :azurStanja, :oznakaDokumenta, :brojTemeljnice, :fiskalizacija, NOW(), :email_user )';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vrsDo', $slog['vrsDo']);
        $statement->bindValue(':nazivDokumenta', $slog['nazivDokumenta']);
        $statement->bindValue(':tipDokumenta', $slog['tipDokumenta']);
        $statement->bindValue(':azurStanja', $slog['azurStanja']);
        $statement->bindValue(':brojTemeljnice', $slog['brojTemeljnice']);
        $statement->bindValue(':oznakaDokumenta', $slog['oznakaDokumenta']);
        $statement->bindValue(':fiskalizacija', $slog['fiskalizacija']);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
        include_once 'model/predlosci_db.php';
        obradaPredloska( 'predlozak', $slog['vrsDo']);
        return true;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
        return false;
    }
}

//function update_vrsta_dokumenta($vrsDo, $nazivDokumenta, $tipDokumenta, $azurStanja, $oznakaDokumenta, $brojTemeljnice) {
function update_vrsta_dokumenta($slog) {
    global $db;
	$email_user = $_SESSION['admin']['email'];
    $query = '
        UPDATE vrste_dokumenata
        SET nazivDokumenta = :nazivDokumenta,
            tipDokumenta = :tipDokumenta,
            azurStanja = :azurStanja,
            oznakaDokumenta = :oznakaDokumenta,
            brojTemeljnice = :brojTemeljnice,
            fiskalizacija = :fiskalizacija,
            datumIzmjene = NOW(),
            tkoJeIzmjenio = :email_user
        WHERE vrsDo = :vrsDo';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vrsDo', $slog['vrsDo']);
        $statement->bindValue(':nazivDokumenta', $slog['nazivDokumenta']);
        $statement->bindValue(':tipDokumenta', $slog['tipDokumenta']);
        $statement->bindValue(':azurStanja', $slog['azurStanja']);
        $statement->bindValue(':brojTemeljnice', $slog['brojTemeljnice']);
        $statement->bindValue(':oznakaDokumenta', $slog['oznakaDokumenta']);
        $statement->bindValue(':fiskalizacija', $slog['fiskalizacija']);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
        include_once 'model/predlosci_db.php';
        obradaPredloska( 'predlozak', $slog['vrsDo']);
        
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function delete_vrstu_dokumenta($vrsDo) {
    global $db;
    $query = 'DELETE FROM vrste_dokumenata WHERE vrsDo = :vrsDo';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vrsDo', $vrsDo);
        $statement->execute();
        $statement->closeCursor();
        include_once 'model/predlosci_db.php';
        delete_predlosci($vrsDo);
        
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_vrste_zapisnika() {
    return array ( 
    'OT' => 'Otpis(OT)',
    'RT' => 'Zamjene šifri(RT)',
    'PC' => 'Povišenje(promjena) cijena(PC)',
    'SC' => 'Sniženje cijena(SC)',
    'K1' => 'Tuđa roba kod nas(K1)',
    'K2' => 'Naša roba kod drugih(K2)',
    'RA' => 'Zamjene šifri po inventuri(RA)',
    'PO' => 'Povrat robe(PO)',
    'OK' => 'Obavijest o knjiženju(OK)</option>',
    'KN' => 'Kompjuterske nivelacije(KN)',
    'NC' => 'Nivelacije po cjeniku(NC)',
    'KR' => 'Krađa(KR)',
    'KA' => 'Kalo(KA)',
    'LO' => 'Lom(LO)',
    'EV' => 'Evidentno(EV)',
    'RE' => 'Reklamacije(RE)',
    'RB' => 'Zapisnik(RB)',  
    'VI' => 'Višak robe(VI)', 
    'MA' => 'Manjak robe(MA)' 
    );
}

?>