
DELIMITER $$
DROP PROCEDURE IF EXISTS `prijenos_dok_u_GK` $$
CREATE PROCEDURE prijenos_dok_u_GK()
BEGIN
    INSERT INTO gk_stavke
    (
    brojStavke,
    brojTemeljnice, 
    vrsDo,
    broDo , konto, kodPartnera, DVO, valuta,
    iznosDug,
    iznosPot,
    iznosOtv,
    tkoJeIzmjenio,
    datumOtvaranja
    )
    SELECT 
    brojStavke,
    brojTemeljnice, 
    vrsDo,
    broDo , konto, kodPartnera, DVO, valuta,
    iznosDug,
    iznosPot,
    iznosDug+iznosPot,
    'prijenos@murski-gaji.hr' As tkoJeIzmjenio,
    now() as datumOtvaranja
    FROM 
    ( 
        SELECT 
        @brojStavke := IF(@brojTemeljnice=z.brojTemeljnice,@brojStavke+1,ifnull(zadnjiBrojStavke,0) + 1) AS brojStavke,
        @brojTemeljnice:=z.brojTemeljnice as brojTemeljnice, 
        z.vrsDoGk as vrsDo,
        broDoGk as broDo , z.konto, z.kodPartnera, z.DVO, z.valuta,
        sum(round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit'),2)) as iznosDug,
        0 as iznosPot
        FROM
        ( 
            /*
            selektira samo one dokumente koji se prenose
            to je stavljeno u subselect kako bi select u gk_stavke dohvaćao stavke samo za one dokumente koji se prenose 
            i tako bio brži (pogoto pred kraj godine)
            */
            SELECT 
            z.proda, z.vrsDo, z.proIn, z.zapis, z.broDo, z.verzi, 
            concat('20',if(month(z.DVO)<10,'0',''),month(z.DVO),day(LAST_DAY(z.DVO))) as brojTemeljnice,
             '20' AS vrsDoGk, 
            '1200' As konto,
            CONCAT(z.proda,'-',trim(z.zapis),z.brodo, if(trim(z.verzi)='','','/'),trim(z.verzi)) as broDoGk,
            z.kodPartnera, date(z.DVO) as DVO, date(z.valuta) as valuta
            FROM dok_zag as z
            LEFT OUTER JOIN gk_stavke as gk 
            on gk.vrsDo='20' and gk.kodPartnera=z.kodPartnera AND year(gk.DVO)=year(z.DVO) 
            and gk.broDo=CONCAT(z.proda,'-',trim(z.zapis),z.brodo, if(trim(z.verzi)='','','/'),trim(z.verzi))
            WHERE trim(z.vrsDo)='5' AND z.`datumZakljucavanja` is null
            AND gk.konto is null
            ORDER BY brojTemeljnice, broDoGk
        ) AS z
         -- /*
        inner join dok_stavke as s on s.proda=z.proda and s.vrsDo=z.vrsDo 
             and s.proIn=z.proIn and s.zapis=z.zapis and s.broDo=z.broDo and s.verzi=z.verzi
        LEFT OUTER JOIN 
        (
            SELECT brojTemeljnice, max(brojStavke) as zadnjiBrojStavke
            FROM gk_stavke 
            GROUP BY brojTemeljnice
        ) AS brSt ON brSt.brojTemeljnice=z.brojTemeljnice
        inner join poslovnice as  p on p.kodPoslovnice=z.proda,
        (SELECT @brojStavke:=1) as x,
        (SELECT @brojTemeljnice:='') y
        WHERE (p.daniPrijenosaGKSK>0 AND DATEDIFF(now(), z.DVO)>= p.daniPrijenosaGKSK)
        GROUP BY z.proda, z.vrsDo, z.proIn, z.zapis, z.broDo, z.verzi 
    ) AS zz;

END $$

DELIMITER ;


