DROP EVENT IF EXISTS probni_dogadjaj;
DROP TABLE IF EXISTS t1;

CREATE TABLE IF NOT EXISTS `t1` (
  `sifra` char(4) NOT NULL,
  `broj` int(11) DEFAULT NULL,
  PRIMARY KEY (`sifra`)
) ;

INSERT INTO `t1` (`sifra`, `broj`) VALUES ('1', 0);

DELIMITER $$

CREATE EVENT probni_dogadjaj
    ON SCHEDULE EVERY 10 SECOND
    COMMENT 'Probni dogadjaj. Svakih 10 sekundi u tablici t1 za sifru 1 poveca broj za 1.'
    DO
    BEGIN
        UPDATE t1
        SET broj=broj+1
        WHERE sifra='1';
        
    END $$

DELIMITER ;

/*
-- disablira događaj
ALTER EVENT probni_dogadjaj DISABLE;
-- enablira događaj
ALTER EVENT probni_dogadjaj ENABLE;
*/

-- prikazuje sve događaje
select * from mysql.event
