/*
Skripta za ažuriranje dokumenat ulaza i izlaza u tablici stanja
Ako se u varijablu @proda stavi broj poslovnice, radi samo za tu poslovnicu
Nije 'najbrža na svijetu' no mislim da brzina nije presudna
*/

set @proda='';

/* ulazni dokumenti */
/*
select 
s.proda, s.kodRobe, s.vrstaProdaje, s.cijena, max(s.DVO) as DVO,
d.vrsDo, d.proIn, d.zapis, d.broDo, d.verzi 
from dok_stavke as s
join dok_stavke as d 
on d.proda=s.proda and d.`vrsDo`=s.`vrsDo` and d.`proIn`=s.`proIn` and d.zapis=s.zapis and d.`broDo`=s.`broDo` and d.verzi=s.verzi
join vrste_dokumenata as vd on vd.`vrsDo`=s.`vrsDo`
where vd.`azurStanja`=1
and (s.proda=@proda or trim(@proda)='')
and s.zapis<>'KN'
group by 
--d.proda, d.vrsDo, d.proIn, d.zapis, d.broDo, d.verzi, 
s.proda, s.kodrobe, s.vrstaProdaje, s.cijena
;
*/
update stanja as st
join
(
    select 
    s.proda, s.kodRobe, s.vrstaProdaje, s.cijena, max(s.DVO) as DVO,
    d.vrsDo, d.proIn, d.zapis, d.broDo, d.verzi 
    from dok_stavke as s
    join dok_stavke as d 
    on d.proda=s.proda and d.`vrsDo`=s.`vrsDo` and d.`proIn`=s.`proIn` and d.zapis=s.zapis and d.`broDo`=s.`broDo` and d.verzi=s.verzi
    join vrste_dokumenata as vd on vd.`vrsDo`=s.`vrsDo`
    where vd.`azurStanja`=1
    and s.zapis<>'KN'
    and (s.proda=@proda or trim(@proda)='')
    group by 
    --d.proda, d.vrsDo, d.proIn, d.zapis, d.broDo, d.verzi, 
    s.proda, s.kodrobe, s.vrstaProdaje, s.cijena
) as ds on ds.proda=st.proda and ds.kodRobe=st.kodRobe and ds.vrstaProdaje=st.vrstaProdaje and ds.cijena=st.cijena
set 
    st.vrsDoPu=ds.vrsDo,
    st.`proInPu`=ds.`proIn`, 
    st.zapisPu=ds.zapis,
    st.`broDoPu`=ds.`broDo`,
    st.`verziPu`=ds.verzi,
    st.datumPu=ds.DVO
where (st.proda=@proda or trim(@proda)='')
;

/* izlazni dokumenti */
/*
select 
s.proda, s.kodRobe, s.vrstaProdaje, s.cijena, max(s.DVO) as DVO,
d.vrsDo, d.proIn, d.zapis, d.broDo, d.verzi 
from dok_stavke as s
join dok_stavke as d 
on d.proda=s.proda and d.`vrsDo`=s.`vrsDo` and d.`proIn`=s.`proIn` and d.zapis=s.zapis and d.`broDo`=s.`broDo` and d.verzi=s.verzi
join vrste_dokumenata as vd on vd.`vrsDo`=s.`vrsDo`
where vd.`azurStanja`=-1
and (s.proda=@proda or trim(@proda)='')
group by 
--d.proda, d.vrsDo, d.proIn, d.zapis, d.broDo, d.verzi, 
s.proda, s.kodrobe, s.vrstaProdaje, s.cijena
;
*/

update stanja as st
join
(
    select 
    s.proda, s.kodRobe, s.vrstaProdaje, s.cijena, max(s.DVO) as DVO,
    d.vrsDo, d.proIn, d.zapis, d.broDo, d.verzi 
    from dok_stavke as s
    join dok_stavke as d 
    on d.proda=s.proda and d.`vrsDo`=s.`vrsDo` and d.`proIn`=s.`proIn` and d.zapis=s.zapis and d.`broDo`=s.`broDo` and d.verzi=s.verzi
    join vrste_dokumenata as vd on vd.`vrsDo`=s.`vrsDo`
    where vd.`azurStanja`=-1
    and (s.proda=@proda or trim(@proda)='')
    group by 
    --d.proda, d.vrsDo, d.proIn, d.zapis, d.broDo, d.verzi, 
    s.proda, s.kodrobe, s.vrstaProdaje, s.cijena
) as ds on ds.proda=st.proda and ds.kodRobe=st.kodRobe and ds.vrstaProdaje=st.vrstaProdaje and ds.cijena=st.cijena
set 
    st.vrsDoPi=ds.vrsDo,
    st.`proInPi`=ds.`proIn`, 
    st.zapisPi=ds.zapis,
    st.`broDoPi`=ds.`broDo`,
    st.`verziPi`=ds.verzi,
    st.datumPi=ds.DVO
where (st.proda=@proda or trim(@proda)='')
;
