
set @DVOOd = '2019-09-01 00:00:00.00', @DVODo='2019-12-31 23:59:59.00';

CREATE TABLE exportulaziDin (
  proda char(5),
  broDo int(7) default 0,
  verzi CHAR(3) default '',
  brojStavke int(7) default 0,
  DVO DATETIME NOT NULL,
  kodRobe CHAR(16) NOT NULL,
  nazivRobe varchar(100) NOT NULL,
  jedinicaMjere char(3) NOT NULL,
  nabavnaCijena decimal(11,2) NOT NULL,
  rabatPopust decimal(11,2) NOT NULL,
  marza decimal(11,2) NOT NULL,
  cijena decimal(11,2) NOT NULL,
  kolicina decimal(11,2) default 0,
  iznos decimal(11,2) default 0, 
  partner CHAR(13) default '',
  nazivPartnera VARCHAR(50) default '',
  kodGrupe VARCHAR(13) default '',
  nazivGrupe VARCHAR(50) default '',
  PRIMARY KEY (proda, broDo, verzi, brojStavke, kodRobe)
) DEFAULT CHARSET=utf8;

INSERT INTO exportulaziDin
 SELECT s.proda, s.broDo, s.verzi, s.brojStavke, z.DVO, s.kodRobe, nazivRobe, m.jedinicaMjere, s.nabavnaCijena, s.rabatPopust, marza, s.cijena, s.kolicina, (s.cijena * s.kolicina) as iznos,
 z.kodPartnera, p.nazivPartnera, m.kodGrupe, g.nazivGrupe from dok_stavke as s
 inner join maticna_robe m on s.kodRobe = m.kodRobe
 inner join robne_grupe g on g.kodGrupe = m.kodGrupe 
 inner join dok_zag z on z.proda = s.proda and z.vrsDo = s.vrsDo and z.proIn = s.proIn and z.zapis = s.zapis and z.broDo = s.broDo and z.verzi = s.verzi
 inner join partner p on p.kodPartnera = z.kodPartnera
 where trim(z.kodPartnera) = '1194' and trim(z.vrsDo) = '1'
 and z.DVO between @DVOOd and @DVODo;

select * from exportulaziDin;

-- DROP TABLE exportulaziDin ;
