<!-- Drop down lista -->
<style>
.dndPanel {
    position: absolute;  
    background-color: white; 
    border:1px solid #ccc;
    display: none; 
    box-shadow: 5px 5px 5px #ccc;
    font-size: 14px;
} 
.dndPanel a {
    color: gray;
    font-size: 100%;
    font-weight: bold;
    padding-left: 4px;
}
.dndPanel .t_lista_primka {
    border: 1px solid #ccc;
    font-size: 12px;
    
}
.klikni {
    cursor: pointer; 
    text-decoration: underline; 
    color: rgb(69, 85, 106); 
    font-weight: bold;    
}
</style>
<script src="/apl/robno/js/multiSelect.js"></script>

<?php
/*
 * nazivPolja - id input polja npr. 'poslovnice' - u inut tagu name i id moraju postojati i biti jednaki)
 * $polje - php varijabla u kojoj se nalazi popis preuzetih šifri
 * $lista - array iz kojeg se kreira tablica npr. poslovnice ili vrste dokumenata
 * $poljeSifre - naziv polja šifre koji ispisuje i preuzima kao multiselelct, može biti 0,1 (redni broj kolone) ili 'kodPoslivnice', 'kodvsDo'
 * $poljeNaziva - naziv koji se ispisuje u tablici, može biti 1,3, ... (redni broj kolone) ili npr. 'nazivPoslivnice', ako jed null ne ispisuje se
 * $testMode - ako je true testiramo dnd listu - na početku nije skrivena (display: block) to dobro dođe za otklanjanje grešaka
 */
function kreirajDndLstu($nazivPolja, $polje, $lista, $poljeSifre, $poljeNaziva=null, $testMode=false) {
    $tablica='dndTablica'.$nazivPolja;
    $panel='dnd'.$nazivPolja;
    $odabrano=explode(',', $polje);
    $klasa='ch'.$nazivPolja;
    if($testMode)
        $testiranje='style="display: block"';
    else
        $testiranje='style="display: none"';
?>

<div id="<?php echo $panel?>" class="dndPanel" <?php echo $testiranje ?>  >
    <table class="t_lista_primka" id="<?php echo $tablica ?>">
        <tbody style="display: block; max-height: 300px; overflow: auto; background-color: white;"> 
          <?php $RB = 0; 
          foreach ($lista as $slog) :
          ?>
            <tr class="<?php echo (++$RB % 2 == 0) ? 'pozadina2' : 'pozadina1';?>">
                <td style="width: 2em" >
                    <input type="checkbox" class="<?php echo $klasa ?>" id="<?php echo 'RG'.$RB ?>" value="<?php echo $slog[$poljeSifre]?>" 
                           onclick="chkBoxClick('<?php echo $nazivPolja ?>', '<?php echo $klasa ?>')"
                          <?php if(in_array($slog[$poljeSifre], $odabrano)) echo 'checked=""' ?> />                       
                </td>
                <td style="min-width: 3em">                  
                   <?php echo $slog[$poljeSifre]; ?> &nbsp; 
                </td> 
                <?php if( !empty($poljeNaziva) ) : ?>
                <td class="left" >
                   <?php echo $slog[$poljeNaziva]; ?> &nbsp;
                </td>  
                <?php endif; ?>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>  
    <span class='klikni' onclick="selektirajSve('<?php echo $tablica ?>',0,true, '<?php echo $nazivPolja ?>', '<?php echo $klasa ?>')">Označi sve </span>  &nbsp; &nbsp;
    <span class='klikni' onclick="selektirajSve('<?php echo $tablica ?>',0,false, '<?php echo $nazivPolja ?>', '<?php echo $klasa ?>')">Makni sve oznake</span> 
</div>

<script type="text/javascript">
    var polje=document.getElementById("<?php echo $nazivPolja?>");
    var panel=document.getElementById("<?php echo $panel?>");
    var klasa="<?php echo $klasa?>";
    
    inicijalizacija(polje, panel, klasa);
    puniPolje(polje.name,"","."+klasa);

    function getAbsPos(el) {
        var x = 0;
        var y = 0;
        while(el && !isNaN(el.offsetLeft) && !isNaN(el.offsetTop)) {
            x += el.offsetLeft - el.scrollLeft;
            y += el.offsetTop - el.scrollTop;
            el = el.offsetParent;
        }
        return { top: y, left: x };
    }
</script>
<?php
}
?>

<script type="text/javascript">
function inicijalizacija(polje, panel, klasa) {        
    // panel.style.left=polje.offsetLeft+"px";
    panel.style.left=getAbsPos(polje).left+"px";
    panel.polje=polje;
    polje.panel=panel;
    
    polje.odabir=false;
    polje.onfocus = function() {
        this.panel.style.display='block';
    }

     polje.onblur = function() {
        if(!this.odabir)
            this.panel.style.display='none';
    }
    
    panel.onmouseover = function() {
        this.polje.odabir=true;
    }
   
    panel.onmouseout = function() {
        this.polje.odabir=false;
        if(!this.polje.hasFocus())
            this.style.display='none';
    }

    panel.onclick = function() {
        this.polje.focus();
    }
    
    polje.onkeydown = function(evt)
    {
        var charCode = (evt.which) ? evt.which : event.keyCode;
        if(charCode == 27 || charCode == 7) {
            this.odabir=false;
            this.panel.style.display='none';
        }
        else if(charCode == 40) 
            this.panel.style.display='block';
            
        return true;
    }
}    
    
    function chkBoxClick(nazivPolja, klasa) {
        puniPolje(nazivPolja,"","."+klasa);
    }
    
    function selektirajSve(nazivTablice,kolona, DaNe,nazivPolja, klasa) {
        postaviSve(nazivTablice,kolona, DaNe);
        puniPolje(nazivPolja,"","."+klasa);
    }


</script>